2010-09-17  Eli Zaretskii  <eliz@gnu.org>

	* fringe.el (fringe-mode, fringe-query-style): Use 4 pixels, not
	5, for `half' width fringes.  (Bug#6933)

2010-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defvar)
	(byte-compile-defvar): "foo/bar" does not lack a prefix.

	* subr.el (y-or-n-p): Add the "(y or n)" that was lost somehow.

2010-09-17  Stephen Berman  <stephen.berman@gmx.net>

	* dframe.el (dframe-reposition-frame-emacs): Use tool-bar-pixel-width
	in calculating new frame position.  Add more space between new and
	parent on the left (Bug#7048).

2010-09-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el (tramp-compat-with-temp-message): Make it a
	defmacro.

2010-09-16  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el: Add "*unsent mail*" to same-window-buffer-names.

	* term/x-win.el (x-cut-buffer-or-selection-value): Define as
	obsolete alias for x-selection-value.

	* ido.el (ido-make-buffer-list): Fix error in 2010-08-22 merge.

2010-09-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cmds.el (tramp-cleanup-connection): Set tramp-autoload
	cookie.

2010-09-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el (tramp-compat-with-temp-message)
	(tramp-compat-font-lock-add-keywords, tramp-compat-process-get)
	(tramp-compat-process-put): New defuns.

	* net/tramp.el (top):
	* net/tramp-gvfs.el (top):
	* net/tramp-cache.el (top): Use `tramp-compat-font-lock-add-keywords'.

	* net/tramp.el (tramp-progress-reporter-update):
	Use `tramp-compat-funcall'.

	* net/tramp.el (tramp-process-actions):
	* net/tramp-gvfs.el (tramp-handle-vc-registered):
	* net/tramp-sh.el (tramp-gvfs-handler-askquestion)
	(tramp-get-remote-stat, tramp-get-remote-readlink):
	Use `tramp-compat-with-temp-message'.

	* net/tramp-sh.el (top): Require 'cl.
	(tramp-handle-start-file-process): Use `tramp-compat-process-get'.
	(tramp-open-connection-setup-interactive-shell):
	Use `tramp-compat-process-put'.

2010-09-15  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-forward-<>-arglist-recur): Correct the
	indentation.
	(c-forward-<>-arglist-recur): Fix an infinite recursion.

2010-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-warning-types): New type
	`lexical' for warnings related to lexical scoping.
	(byte-compile-file-form-defvar, byte-compile-defvar): Warn about
	global vars which don't have a prefix and could hence affect lexical
	scoping in unrelated files.

2010-09-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/imap.el: Revert back to version
	cb950ed8ff3e0f40dac437a51b269166f9ffb60d, since some of the changes
	seem problematic.

2010-09-14  Juanma Barranquero  <lekktu@gmail.com>

	* obsolete/old-whitespace.el (whitespace-unload-function):
	Explicitly pass `obarray' to `unintern' to avoid a warning.

2010-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-run.el (set-advertised-calling-convention):
	Add `when' argument.  Update callers.

	* subr.el (unintern): Declare the obarray arg mandatory.

2010-09-14  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries-hook, diary-sort-entries):
	Doc fixes.

	* calendar/diary-lib.el (diary-included-files): New variable.
	(diary-list-entries): Maybe initialize diary-included-files.
	(diary-include-other-diary-files): Append to diary-included-files.
	* calendar/appt.el (appt-update-list): Also check the members of
	diary-included-files.  (Bug#6999)
	(appt-check): Doc fix.

2010-09-14  David Reitter  <david.reitter@gmail.com>

	* simple.el (line-move-visual): Do not truncate goal column to
	integer size.  (Bug#7020)

2010-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* repeat.el (repeat): Allow repeating when the last event is a click.
	Suggested by Drew Adams (bug#6256).

2010-09-14  Sascha Wilde  <wilde@sha-bang.de>

	* vc/vc-hg.el (vc-hg-state,vc-hg-working-revision):
	Replace setting HGRCPATH to "" by some less invasive --config options.

2010-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-beginning-of-syntax-function):
	Mark as obsolete.

2010-09-14  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-options-save): Fix handling of menu-bar
	and tool-bar modes.  (Bug#6211)
	(menu-bar-mode): Move setting of standard-value after the
	minor-mode definition, otherwise it seems to have no effect.

2010-09-14  Masatake YAMATO  <yamato@redhat.com>

	* progmodes/antlr-mode.el (antlr-font-lock-additional-keywords):
	Fix typo.  (Bug#6976)

2010-09-14  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Allow cleaning up blanks without blank
	visualization (Bug#6651).  Adjust help window for
	whitespace-toggle-options (Bug#6479).  Allow to use fill-column
	instead of whitespace-line-column (from EmacsWiki).  New version 13.1.
	(whitespace-style): Add new value 'face.  Adjust docstring.
	(whitespace-space, whitespace-hspace, whitespace-tab):
	Adjust foreground property face.
	(whitespace-line-column): Adjust docstring and type declaration.
	(whitespace-style-value-list, whitespace-toggle-option-alist)
	(whitespace-help-text): Adjust const initialization.
	(whitespace-toggle-options, global-whitespace-toggle-options):
	Adjust docstring.
	(whitespace-display-window, whitespace-interactive-char)
	(whitespace-style-face-p, whitespace-color-on): Adjust code.
	(whitespace-help-scroll): New fun.

2010-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* calendar/time-date.el (format-seconds): Comment fix.

2010-09-13  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.7.
	(sql-buffer-live-p): Improve detection.
	(sql-find-sqli-buffer, sql-set-sqli-buffer-generally)
	(sql-set-sqli-buffer): Use it.
	(sql-product-interactive): Run `sql-set-sqli-hook'.
	(sql-rename-buffer): Code cleanup.
	(sql-redirect, sql-redirect-value): New functions.  More to come.

2010-09-13  Juanma Barranquero  <lekktu@gmail.com>

	Port tramp-related Makefile changes of revnos 101381, 101422 to Windows.
	* makefile.w32-in (LOADDEFS): Add $(lisp)/net/tramp-loaddefs.el.
	(TRAMP_SRC): New macro.
	($(lisp)/net/tramp-loaddefs.el): New target.

2010-09-13  Michael Albinus  <michael.albinus@gmx.de>

	Major code cleanup.  Split tramp.el into tramp.el and tramp-sh.el.

	* Makefile.in (TRAMP_SRC): Remove tramp-fish.el.  Add tramp-sh.el.

	* net/tramp.el (top): Don't show loading message.  Require just
	'tramp-compat, everything else is required there.
	Use `ignore-errors' where appropriate.
	(tramp-inline-compress-start-size, tramp-copy-size-limit)
	(tramp-terminal-type, tramp-end-of-output)
	(tramp-initial-end-of-output, tramp-completion-function-alist-rsh)
	(tramp-completion-function-alist-ssh)
	(tramp-completion-function-alist-telnet)
	(tramp-completion-function-alist-su)
	(tramp-completion-function-alist-putty, tramp-remote-path)
	(tramp-remote-process-environment, tramp-sh-extra-args)
	(tramp-actions-before-shell, tramp-uudecode)
	(tramp-perl-file-truename, tramp-perl-file-name-all-completions)
	(tramp-perl-file-attributes)
	(tramp-perl-directory-files-and-attributes)
	(tramp-perl-encode-with-module, tramp-perl-decode-with-module)
	(tramp-perl-encode, tramp-perl-decode)
	(tramp-vc-registered-read-file-names, tramp-file-mode-type-map)
	(tramp-file-name-handler-alist, tramp-make-tramp-temp-file)
	(tramp-handle-make-symbolic-link, tramp-handle-load)
	(tramp-handle-file-name-as-directory)
	(tramp-handle-file-name-directory)
	(tramp-handle-file-name-nondirectory, tramp-handle-file-truename)
	(tramp-handle-file-exists-p, tramp-handle-file-attributes)
	(tramp-do-file-attributes-with-ls)
	(tramp-do-file-attributes-with-perl)
	(tramp-do-file-attributes-with-stat)
	(tramp-handle-set-visited-file-modtime)
	(tramp-handle-verify-visited-file-modtime)
	(tramp-handle-set-file-modes, tramp-handle-set-file-times)
	(tramp-set-file-uid-gid, tramp-remote-selinux-p)
	(tramp-handle-file-selinux-context)
	(tramp-handle-set-file-selinux-context)
	(tramp-handle-file-executable-p, tramp-handle-file-readable-p)
	(tramp-handle-file-newer-than-file-p, tramp-handle-file-modes)
	(tramp-handle-file-directory-p, tramp-handle-file-regular-p)
	(tramp-handle-file-symlink-p, tramp-handle-file-writable-p)
	(tramp-handle-file-ownership-preserved-p)
	(tramp-handle-directory-file-name, tramp-handle-directory-files)
	(tramp-handle-directory-files-and-attributes)
	(tramp-do-directory-files-and-attributes-with-perl)
	(tramp-do-directory-files-and-attributes-with-stat)
	(tramp-handle-file-name-all-completions)
	(tramp-handle-file-name-completion, tramp-handle-add-name-to-file)
	(tramp-handle-copy-file, tramp-handle-copy-directory)
	(tramp-handle-rename-file, tramp-do-copy-or-rename-file)
	(tramp-do-copy-or-rename-file-via-buffer)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-handle-make-directory, tramp-handle-delete-directory)
	(tramp-handle-delete-file)
	(tramp-handle-dired-recursive-delete-directory)
	(tramp-handle-dired-compress-file, tramp-handle-dired-uncache)
	(tramp-handle-insert-directory)
	(tramp-handle-unhandled-file-name-directory)
	(tramp-handle-expand-file-name)
	(tramp-handle-substitute-in-file-name)
	(tramp-handle-executable-find, tramp-process-sentinel)
	(tramp-handle-start-file-process, tramp-handle-process-file)
	(tramp-handle-call-process-region, tramp-handle-shell-command)
	(tramp-handle-file-local-copy, tramp-handle-file-remote-p)
	(tramp-handle-insert-file-contents)
	(tramp-handle-insert-file-contents-literally)
	(tramp-handle-find-backup-file-name)
	(tramp-handle-make-auto-save-file-name, tramp-handle-write-region)
	(tramp-vc-registered-file-names, tramp-handle-vc-registered)
	(tramp-sh-file-name-handler, tramp-vc-file-name-handler)
	(tramp-maybe-send-script, tramp-set-auto-save, tramp-run-test)
	(tramp-run-test2, tramp-find-executable, tramp-set-remote-path)
	(tramp-find-file-exists-command, tramp-open-shell)
	(tramp-find-shell, tramp-barf-if-no-shell-prompt)
	(tramp-open-connection-setup-interactive-shell)
	(tramp-local-coding-commands, tramp-remote-coding-commands)
	(tramp-find-inline-encoding, tramp-call-local-coding-command)
	(tramp-inline-compress-commands, tramp-find-inline-compress)
	(tramp-compute-multi-hops, tramp-maybe-open-connection)
	(tramp-send-command , tramp-wait-for-output)
	(tramp-send-command-and-check, tramp-barf-unless-okay)
	(tramp-send-command-and-read, tramp-mode-string-to-int)
	(tramp-convert-file-attributes, tramp-check-cached-permissions)
	(tramp-file-mode-from-int, tramp-file-mode-permissions)
	(tramp-shell-case-fold, tramp-make-copy-program-file-name)
	(tramp-method-out-of-band-p, tramp-local-host-p)
	(tramp-get-remote-path, tramp-get-remote-tmpdir)
	(tramp-get-ls-command, tramp-get-ls-command-with-dired)
	(tramp-get-test-command, tramp-get-test-nt-command)
	(tramp-get-file-exists-command, tramp-get-remote-ln)
	(tramp-get-remote-perl, tramp-get-remote-stat)
	(tramp-get-remote-readlink, tramp-get-remote-trash)
	(tramp-get-remote-id, tramp-get-remote-uid, tramp-get-remote-gid)
	(tramp-get-local-uid, tramp-get-local-gid)
	(tramp-get-inline-compress, tramp-get-inline-coding): Move to
	tramp-sh.el.
	(tramp-methods, tramp-default-method-alist)
	(tramp-default-user-alist, tramp-foreign-file-name-handler-alist):
	Move initialization to tramp-sh.el.
	(tramp-temp-name-prefix): Make it a defconst.
	(tramp-dissect-file-name): Don't check anymore for multi-hop
	methods.
	(tramp-debug-outline-regexp): Add a docstring.
	(tramp-debug-outline-level): Rename from `tramp-outline-level'.
	(tramp-get-debug-buffer): Use it.

	* net/tramp-cache.el (top): Set tramp-autoload cookie for
	initialization forms.
	(tramp-set-connection-property): Don't protect `tramp-message'
	call, it isn't necessary any longer.
	(tramp-dump-connection-properties): Use `ignore-errors'.

	* net/tramp-compat.el (top): Require 'advice, 'format-spec,
	'password-cache and 'auth-source.

	* net/tramp-gvfs.el (top):
	* net/tramp-smb.el (top): Require 'tramp-sh.

	* net/tramp-gw.el (tramp-gw-open-network-stream): Use `ignore-errors'.

	* net/tramp-sh.el: New file, derived from tramp.el.
	(top): Initialize `tramp-methods', `tramp-default-method-alist',
	`tramp-default-user-alist', `tramp-foreign-file-name-handler-alist'.
	Remove "scp1_old", "scp2_old", "ssh1_old", "ssh2_old".
	Use `ignore-errors' where appropriate.
	(tramp-sh-file-name-handler-alist): Rename from
	`tramp-file-name-handler-alist'.
	(tramp-send-command-and-check): Return t or nil.  Remove all
	`zerop' checks, where called.
	(tramp-handle-set-file-modes)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-handle-delete-directory, tramp-handle-delete-file)
	(tramp-maybe-send-script, ): Use `tramp-barf-unless-okay'.
	(tramp-sh-file-name-handler, tramp-send-command-and-check)
	(tramp-get-remote-ln): Set tramp-autoload cookie.

	* net/tramp-fish.el: Remove file.

2010-09-13  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-insert-file-contents): If visiting, bind
	buffer-file-name to avoid file-locking.  (Bug#7026)

2010-09-13  Julien Danjou  <julien@danjou.info>

	* notifications.el (notifications-notify): Add support for
	image-path and sound-name.
	(notifications-specification-version): Add this variable.

2010-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (y-or-n-p): New function, moved from src/fns.c; use read-key.

2010-09-12  Leo  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-server-commands, rcirc-client-commands)
	(rcirc-completion-start): New variables.
	(rcirc-nick-completions): Rename to rcirc-completions.
	(rcirc-nick-completion-start-offset): Delete.
	(rcirc-completion-at-point): New function for constructing
	completion data for both nicks and irc commands.  Add to
	completion-at-point-functions in rcirc mode.
	(rcirc-complete): Rename from rcirc-nick-complete; use
	rcirc-completion-at-point.
	(defun-rcirc-command): Update rcirc-client-commands.

2010-09-11  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file): Create .elc files
	atomically, to avoid parallel build errors.  (Bug#4196)

2010-09-11  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.6
	(sql-dialect): Synonym for "sql-product".
	(sql-find-sqli-buffer, sql-set-sqli-buffer-generally)
	(sql-set-sqli-buffer, sql-show-sqli-buffer, sql-interactive-mode):
	Set "sql-buffer" to buffer name not buffer object so multiple sql
	interactive buffers work properly.  Reverts misguided changes in
	earlier work.
	(sql-comint): Make sure different buffer name is used if "*SQL*"
	buffer is for a different product.
	(sql-make-alternate-buffer-name): Fix bug with "sql-database"
	login param.
	(sql-oracle, sql-sybase, sql-informix, sql-sqlite, sql-mysql)
	(sql-solid, sql-ingres, sql-ms, sql-postgres, sql-interbase)
	(sql-db2, sql-linter, sql-product-interactive, sql-rename-buffer):
	Accept new buffer name or prompt for one.
	(sql-port): Default to zero.
	(sql-comint-mysql): Handle "sql-port" as a numeric.
	(sql-port-history): Delete unused variable.
	(sql-get-login): Default "sql-port" to a number.
	(sql-product-alist): Correct Postgres prompt and terminator regexp.
	(sql-sqlite-program): Dynamically detect presence of "sqlite" or
	"sqlite3" executables.
	(sql-sqlite-login-params): Add "*.sqlite[23]?" database name pattern.
	(sql-buffer-live-p): New function.
	(sql-mode-menu, sql-send-string): Use it.
	(sql-mode-oracle-font-lock-keywords): Improve SQL*Plus REMARK
	syntax pattern.
	(sql-mode-postgres-font-lock-keywords): Support Postgres V9.
	(sql-mode-sqlite-font-lock-keywords): Hilight sqlite commands.

2010-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/netrc.el (netrc-credentials): New convenience function.

2010-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/texinfo.el (texinfo-syntax-propertize-function): New fun
	to replace texinfo-font-lock-syntactic-keywords.
	(texinfo-mode): Use it.

	* textmodes/tex-mode.el (tex-common-initialization, doctex-mode):
	Use syntax-propertize-function.

	* textmodes/sgml-mode.el (sgml-syntax-propertize-function): New var to
	replace sgml-font-lock-syntactic-keywords.
	(sgml-mode): Use it.

	* textmodes/reftex.el (font-lock-syntactic-keywords): Don't declare
	since we don't use it.

	* textmodes/bibtex.el (bibtex-mode): Use syntax-propertize-function.

	* progmodes/vhdl-mode.el (vhdl-mode): Use syntax-propertize-function
	if available.
	(vhdl-fontify-buffer): Adjust.

	* progmodes/tcl.el (tcl-syntax-propertize-function): New var to
	replace tcl-font-lock-syntactic-keywords.
	(tcl-mode): Use it.

	* progmodes/simula.el (simula-syntax-propertize-function): New var to
	replace simula-font-lock-syntactic-keywords.
	(simula-mode): Use it.

	* progmodes/sh-script.el (sh-st-symbol): Remove.
	(sh-font-lock-close-heredoc, sh-font-lock-open-heredoc): Add eol arg.
	(sh-font-lock-flush-syntax-ppss-cache, sh-font-lock-here-doc): Remove.
	(sh-font-lock-quoted-subshell): Assume we've already matched $(.
	(sh-font-lock-paren): Set syntax-multiline.
	(sh-font-lock-syntactic-keywords): Remove.
	(sh-syntax-propertize-function): New function to replace it.
	(sh-mode): Use it.

	* progmodes/ruby-mode.el (ruby-here-doc-beg-re):
	Define while compiling.
	(ruby-here-doc-end-re, ruby-here-doc-beg-match)
	(ruby-font-lock-syntactic-keywords, ruby-comment-beg-syntax)
	(syntax-ppss, ruby-in-ppss-context-p, ruby-in-here-doc-p)
	(ruby-here-doc-find-end, ruby-here-doc-beg-syntax)
	(ruby-here-doc-end-syntax): Only define when
	syntax-propertize is not available.
	(ruby-syntax-propertize-function, ruby-syntax-propertize-heredoc):
	New functions.
	(ruby-in-ppss-context-p): Update to new syntax of heredocs.
	(electric-indent-chars): Silence bytecompiler.
	(ruby-mode): Use prog-mode, syntax-propertize-function, and
	electric-indent-chars.

	* progmodes/python.el (python-syntax-propertize-function): New var to
	replace python-font-lock-syntactic-keywords.
	(python-mode): Use it.
	(python-quote-syntax): Simplify and adjust to new use.

	* progmodes/perl-mode.el (perl-syntax-propertize-function): New fun to
	replace perl-font-lock-syntactic-keywords.
	(perl-syntax-propertize-special-constructs): New fun to replace
	perl-font-lock-special-syntactic-constructs.
	(perl-font-lock-syntactic-face-function): New fun.
	(perl-mode): Use it.

	* progmodes/octave-mod.el (octave-syntax-propertize-sqs): New function
	to replace octave-font-lock-close-quotes.
	(octave-syntax-propertize-function): New function to replace
	octave-font-lock-syntactic-keywords.
	(octave-mode): Use it.

	* progmodes/mixal-mode.el (mixal-syntax-propertize-function): New var;
	replaces mixal-font-lock-syntactic-keywords.
	(mixal-mode): Use it.

	* progmodes/make-mode.el (makefile-syntax-propertize-function):
	New var; replaces makefile-font-lock-syntactic-keywords.
	(makefile-mode): Use it.
	(makefile-imake-mode): Adjust.

	* progmodes/js.el (js--regexp-literal): Define while compiling.
	(js-syntax-propertize-function): New var; replaces
	js-font-lock-syntactic-keywords.
	(js-mode): Use it.

	* progmodes/gud.el (gdb-script-syntax-propertize-function): New var;
	replaces gdb-script-font-lock-syntactic-keywords.
	(gdb-script-mode): Use it.

	* progmodes/fortran.el (fortran-mode): Use syntax-propertize-function.
	(fortran--font-lock-syntactic-keywords): New var.
	(fortran-line-length): Update syntax-propertize-function and
	fortran--font-lock-syntactic-keywords.

	* progmodes/cperl-mode.el (cperl-mode): Use syntax-propertize-function.

	* progmodes/cfengine.el (cfengine-mode):
	Use syntax-propertize-function.
	(cfengine-font-lock-syntactic-keywords): Remove.

	* progmodes/autoconf.el (autoconf-mode):
	Use syntax-propertize-function.
	(autoconf-font-lock-syntactic-keywords): Remove.

	* progmodes/ada-mode.el (ada-set-syntax-table-properties)
	(ada-after-change-function, ada-initialize-syntax-table-properties)
	(ada-handle-syntax-table-properties): Only define when
	syntax-propertize is not available.
	(ada-mode): Use syntax-propertize-function.

	* font-lock.el (font-lock-syntactic-keywords): Make obsolete.
	(font-lock-fontify-syntactic-keywords-region): Move handling of
	font-lock-syntactically-fontified to...
	(font-lock-default-fontify-region): ...here.
	Let syntax-propertize-function take precedence.
	(font-lock-fontify-syntactically-region): Cal syntax-propertize.

	* emacs-lisp/syntax.el (syntax-propertize-function)
	(syntax-propertize-chunk-size, syntax-propertize--done)
	(syntax-propertize-extend-region-functions): New vars.
	(syntax-propertize-wholelines, syntax-propertize-multiline)
	(syntax-propertize--shift-groups, syntax-propertize-via-font-lock)
	(syntax-propertize): New functions.
	(syntax-propertize-rules): New macro.
	(syntax-ppss-flush-cache): Set syntax-propertize--done.
	(syntax-ppss): Call syntax-propertize.

	* emacs-lisp/regexp-opt.el (regexp-opt-depth): Skip named groups.

2010-09-10  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-init-process): Improve comments.
	XEmacs compatibility changes regarding (add-hook) 'local option
	and (set-process-query-on-exit-flag).

2010-09-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cache.el (tramp-parse-connection-properties):
	Set tramp-autoload cookie.

2010-09-09  Glenn Morris  <rgm@gnu.org>

	* image.el (imagemagick-types-inhibit): Add :type, :version, :group.
	(imagemagick-register-types): Doc fix.

2010-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (electric-indent-chars): Silence bytecomp.

	* progmodes/js.el (require): Require is already "eval-and-compile".
	(js--re-search-forward): Avoid `eval'.  Preserve the error data.
	(js--re-search-backward): Use js--re-search-forward.

	* progmodes/fortran.el (fortran-line-length): Don't recompute
	syntactic keywords redundantly a second time.

	* progmodes/ada-mode.el: Replace "(set '" with setq.
	(ada-mode): Simplify.
	(ada-create-case-exception, ada-adjust-case-interactive)
	(ada-adjust-case-region, ada-format-paramlist, ada-indent-current)
	(ada-search-ignore-string-comment, ada-move-to-start)
	(ada-move-to-end): Use with-syntax-table.

	* font-lock.el (save-buffer-state): Remove `varlist' arg.
	(font-lock-unfontify-region, font-lock-default-fontify-region):
	Update usage correspondingly.
	(font-lock-fontify-syntactic-keywords-region):
	Set parse-sexp-lookup-properties buffer-locally here.
	(font-lock-fontify-syntactically-region): Remove unused `ppss' arg.

	* simple.el (blink-matching-open): Don't burp if we can't find a match.

2010-09-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-report-ops):
	Error if not compiled with -DBYTE_CODE_METER.

	* emacs-lisp/bytecomp.el (byte-recompile-directory):
	Ignore dir-locals-file.

2010-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Not a const.
	(compilation-error-regexp-alist-alist): Rule out ": " in file names
	for the `gnu' messages.
	(compilation-set-skip-threshold): New command.
	(compilation-start): Use \' rather than $.
	(compilation-forget-errors): Use clrhash.

2010-09-08  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-valid-dictionary-list):
	Simplify logic.

2010-09-08  Michael Albinus  <michael.albinus@gmx.de>

	Migrate to Tramp 2.2.  Rearrange load dependencies.
	(Bug#1529, Bug#5448, Bug#5705)

	* Makefile.in (TRAMP_DIR, TRAMP_SRC): New variables.
	($(TRAMP_DIR)/tramp-loaddefs.el): New target.
	(LOADDEFS): Add $(lisp)/net/tramp-loaddefs.el.

	* net/tramp.el (top): Remove all other tramp-* loads except
	tramp-compat.el.  Remove all changes to tramp-unload-hook for
	other tramp-* packages.  Rearrange defun order.  Change calls of
	`tramp-compat-call-process', `tramp-compat-decimal-to-octal',
	`tramp-compat-octal-to-decimal' to new function names.
	(tramp-terminal-type, tramp-initial-end-of-output)
	(tramp-methods, tramp-foreign-file-name-handler-alist)
	(tramp-tramp-file-p, tramp-completion-mode-p)
	(tramp-send-command-and-check, tramp-get-remote-path)
	(tramp-get-remote-tmpdir, tramp-get-remote-ln)
	(tramp-shell-quote-argument): Set tramp-autoload cookie.
	(with-file-property, with-connection-property): Move to
	tramp-cache.el.
	(tramp-local-call-process, tramp-decimal-to-octal)
	(tramp-octal-to-decimal): Move to tramp-compat.el.
	(tramp-handle-shell-command): Do not require 'shell.
	(tramp-compute-multi-hops): No special handling for tramp-gw-*
	symbols.
	(tramp-unload-tramp): Do not call `tramp-unload-file-name-handlers'.

	* net/tramp-cache.el (top): Require 'tramp.  Add to
	`tramp-unload-hook'.
	(tramp-cache-data, tramp-get-file-property)
	(tramp-set-file-property, tramp-flush-file-property)
	(tramp-flush-directory-property, tramp-get-connection-property)
	(tramp-set-connection-property, tramp-flush-connection-property)
	(tramp-cache-print, tramp-list-connections): Set tramp-autoload
	cookie.
	(with-file-property, with-connection-property): New defuns, moved
	from tramp.el.
	(tramp-flush-file-function): Use `with-parsed-tramp-file-name'
	macro.

	* net/tramp-cmds.el (top): Add to `tramp-unload-hook'.
	(tramp-version): Set tramp-autoload cookie.

	* net/tramp-compat.el (top): Require 'tramp-loaddefs.  Remove all
	changes to tramp-unload-hook for other tramp-* packages.  Add to
	`tramp-unload-hook'.
	(tramp-compat-decimal-to-octal, tramp-compat-octal-to-decimal)
	(tramp-compat-call-process): New defuns, moved from tramp.el.

	* net/tramp-fish.el (top) Require just 'tramp.  Add objects to
	`tramp-methods' and `tramp-foreign-file-name-handler-alist'.  Add
	to `tramp-unload-hook'.  Change call of
	`tramp-compat-decimal-to-octal' to new function name.
	(tramp-fish-method): Make it a defconst.
	(tramp-fish-file-name-p): Make it a defsubst.
	(tramp-fish-method, tramp-fish-file-name-handler)
	(tramp-fish-file-name-p): Set tramp-autoload cookie.

	* net/tramp-ftp.el (top) Add objects to `tramp-methods' and
	`tramp-foreign-file-name-handler-alist'.  Add to
	`tramp-unload-hook'.
	(tramp-ftp-method): Make it a defconst.
	(tramp-ftp-file-name-p): Make it a defsubst.
	(tramp-ftp-method, tramp-ftp-file-name-handler)
	(tramp-ftp-file-name-p): Set tramp-autoload cookie.

	* net/tramp-gvfs.el (top) Add objects to `tramp-methods' and
	`tramp-foreign-file-name-handler-alist'.  Add to
	`tramp-unload-hook'.  Change checks, whether package can be
	loaded.
	(tramp-gvfs-file-name-p): Make it a defsubst.
	(tramp-gvfs-methods, tramp-gvfs-file-name-handler)
	(tramp-gvfs-file-name-p): Set tramp-autoload cookie.
	(tramp-gvfs-handle-file-directory-p): New defun.
	(tramp-gvfs-file-name-handler-alist): Use it.

	* net/tramp-gw.el (top) Add objects to `tramp-methods' and
	`tramp-foreign-file-name-handler-alist'.  Add to
	`tramp-unload-hook'.
	(tramp-gw-tunnel-method, tramp-gw-default-tunnel-port)
	(tramp-gw-socks-method, tramp-gw-default-socks-port): Make it a
	defconst.
	(tramp-gw-tunnel-method, tramp-gw-socks-method)
	(tramp-gw-open-connection): Set tramp-autoload cookie.

	* net/tramp-imap.el (top) Require just 'tramp.  Add objects to
	`tramp-methods' and `tramp-foreign-file-name-handler-alist'.  Add
	to `tramp-unload-hook'.  Change checks, whether package can be
	loaded.
	(tramp-imap-file-name-p): Make it a defsubst.
	(tramp-imap-method, tramp-imaps-method)
	(tramp-imap-file-name-handler)
	(tramp-imap-file-name-p): Set tramp-autoload cookie.

	* net/tramp-smb.el (top) Require just 'tramp.  Add objects to
	`tramp-methods' and `tramp-foreign-file-name-handler-alist'.  Add
	to `tramp-unload-hook'.  Change checks, whether package can be
	loaded.  Change call of `tramp-compat-decimal-to-octal' to new
	function name.
	(tramp-smb-tunnel-method): Make it a defconst.
	(tramp-smb-file-name-p): Make it a defsubst.
	(tramp-smb-method, tramp-smb-file-name-handler)
	(tramp-smb-file-name-p): Set tramp-autoload cookie.

	* net/tramp-uu.el (top) Add to `tramp-unload-hook'.
	(tramp-uuencode-region): Set tramp-autoload cookie.

	* net/trampver.el (top) Add to `tramp-unload-hook'.
	(tramp-version, tramp-bug-report-address): Set tramp-autoload
	cookie.  Update release number.

2010-09-07  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-start-process): Make sure original
	arg list is properly initialized (Bug#6993, Bug#6994).

2010-09-06  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* files.el (directory-abbrev-alist): Use \` as default regexp.

	* emacs-lisp/rx.el (rx-any): Don't explode ranges that end in special
	chars like - or ] (bug#6984).
	(rx-any-condense-range): Explode 2-char ranges.

2010-09-06  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-path): Bump :version after 2009-09-15 change.

2010-09-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el:
	* proced.el: Update to new email for Roland Winkler <winkler@gnu.org>.

2010-09-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/imap.el (imap-message-map): Remove optional buffer parameter,
	since no callers use it.
	(imap-message-get): Ditto.
	(imap-message-put): Ditto.
	(imap-mailbox-map): Ditto.
	(imap-mailbox-put): Ditto.
	(imap-mailbox-get): Ditto.
	(imap-mailbox-get): Revert last change for this function.

2010-09-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/imap.el (imap-fetch-safe): Remove function, and alter all
	callers to use `imap-fetch' instead.  According to the comments, this
	should be safe, since all other IMAP clients use the 1:* syntax.
	(imap-enable-exchange-bug-workaround): Remove.
	(imap-debug): Remove -- doesn't seem very useful.

2010-09-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/imap.el (imap-log): New convenience function used throughout
	instead of repeating the same code all over the place.

2010-09-05  David De La Harpe Golden  <david@harpegolden.net>

	* mouse.el (mouse-save-then-kill): Save region to kill-ring
	when mouse-drag-copy-region is non-nil (Bug#6956).

2010-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-ls-sorting-switches, dired-sort-by-name-regexp):
	Improve regexps (Bug#6987).
	(dired-sort-toggle): Search more robustly for -t flag.

	* files.el (get-free-disk-space): Search more robustly for
	"available" column.  Suggested by Ehud Karni
	<ehud@unix.mvs.co.il>.

2010-09-05  Juanma Barranquero  <lekktu@gmail.com>

	* international/uni-bidi.el:
	* international/uni-category.el:
	* international/uni-combining.el:
	* international/uni-decimal.el:
	* international/uni-mirrored.el:
	* international/uni-name.el: Regenerate.

2010-09-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* electric.el (electric-indent-post-self-insert-function):
	Don't reindent with a sloppy indentation function.

	* emacs-lisp/syntax.el (syntax-ppss): More sanity check to catch
	border case in change-log-mode.

2010-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Remove ruby regexp; handle Ruby errors with gcc-include and gnu.
	Recognize leading tab in gcc-include regexp.  Ignore names with
	leading "from" or "in" in gnu regexp (Bug#6937).

2010-09-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	Avoid global recursive calls to kill-buffer-hooks; fit into 80 cols.
	* textmodes/ispell.el (ispell-process-buffer-name): Remove.
	(ispell-start-process): Avoid setq and simplify logic.
	(ispell-init-process): Setup kill-buffer-hook locally when needed.
	(kill-buffer-hook): Don't use it globally with code that uses
	expand-file-name since that may call kill-buffer via
	code_conversion_restore.

2010-09-04  Noorul Islam K M  <noorul@noorul.com>  (tiny change)

	* emacs-lisp/package.el (package-directory-list): Only call
	file-name-nondirectory on a string.

2010-09-02  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package--download-one-archive):
	Ensure that archive-contents is valid before saving it.
	(package-activate-1, package-mark-obsolete, define-package)
	(package-compute-transaction, package-list-maybe-add): Use push.

2010-09-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use SMIE's blink-paren for octave-mode.
	* progmodes/octave-mod.el (octave-font-lock-close-quotes):
	Backslashes do not escape single-quotes, single-quotes do.
	(octave-block-else-regexp, octave-block-end-regexp)
	(octave-block-match-alist): Remove.
	(octave-smie-bnf-table): New var, with old content.
	(octave-smie-op-levels): Use it.
	(octave-smie-closer-alist): New var.
	(octave-mode): Use it.  Setup smie-blink-matching and electric-indent.
	(octave-blink-matching-block-open): Remove.
	(octave-reindent-then-newline-and-indent, octave-electric-semi)
	(octave-electric-space): Let self-insert-command run expand-abbrev and
	blink parens.

	* electric.el (electricity): New group.
	(electric-indent-chars): New var.
	(electric-indent-post-self-insert-function): New fun.
	(electric-indent-mode): New minor mode.
	(electric-pair-skip-self): New custom.
	(electric-pair-post-self-insert-function): New function.
	(electric-pair-mode): New minor mode.

	* calc/calc-aent.el (calcAlg-blink-matching-check): New fun, to replace
	calcAlg-blink-matching-open.
	(calc-alg-ent-map, calc-alg-ent-esc-map): Initialize in the declaration.
	(calc-do-alg-entry): Only touch the part of the keymap that varies.
	Use the new blink-matching-check-function.

	Provide blink-matching support to SMIE.
	* emacs-lisp/smie.el (smie-bnf-closer-alist): New function.
	(smie-blink-matching-triggers, smie-blink-matching-inners): New vars.
	(smie-blink-matching-check, smie-blink-matching-open): New functions.

	* simple.el (newline): Fix last change to properly remove itself from
	the hook.

2010-09-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline): Eliminate optimization.
	Use post-self-insert-hook to set hard-newline and things before
	running post-self-insert-hook.
	(blink-matching-check-mismatch): New function.
	(blink-matching-check-function): New variable.
	(blink-matching-open): Use them.
	Skip back forward over prefix chars skipped by forward-sexp.
	Don't check if the parens are backslash escaped.
	(blink-paren-post-self-insert-function): Check backslash escaping here.

2010-09-02  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-menu-mode-map):
	Change package-menu-revert bindings to revert-buffer.
	(package-menu-mode): Set revert-buffer-function.
	(package-menu-revert): Doc fix.

2010-09-02  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-init-process): Use "~/" as
	`default-directory' unless using Ispell per-directory personal
	dictionaries and not in a mini-buffer under XEmacs.
	(kill-buffer-hook): Do not kill ispell process on exit when
	`ispell-process-directory' is "~/". (Bug#6143)

2010-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* simple.el (kill-new): Call interprogram-cut-function with only
	one argument.

	* term.el (term-mouse-paste): Don't call x-get-cutbuffer.
	Remove cut buffer from error message.

	* term/x-win.el (x-select-text):
	* term/pc-win.el (x-selection-value):
	* term/ns-win.el (x-selection-value):
	* eshell/em-term.el:
	* w32-fns.el (x-get-selection-value):
	* mouse-sel.el (mouse-sel-set-selection-function):
	* frame.el (display-selections-p): Remove cut-buffer in documentation.

	* term/x-win.el: Update documentation for x-last-selected-text-*.
	(x-last-selected-text-cut, x-last-selected-text-cut-encoded)
	(x-last-cut-buffer-coding, x-cut-buffer-max): Remove.
	(x-select-text): Remove argument PUSH, update documentation.  Remove
	cut-buffer code.
	(x-selection-value-internal): Was previously x-selection-value.
	(x-selection-value): Rename from x-cut-buffer-or-selection-value.
	Update documentation, remove cut-buffer code.  Call
	x-selection-value-internal.
	(x-clipboard-yank): Call x-selection-value-internal.
	(x-initialize-window-system): Remove setting of x-cut-buffer-max.

	* term/pc-win.el (x-last-selected-text):
	x-cut-buffer-or-selection-value renamed to x-selection-value
	(x-select-text): Remove argument PUSH, update documentation.

	* term/ns-win.el (x-setup-function-keys, ns-last-selected-text):
	x-cut-buffer-or-selection-value renamed to x-selection-value
	(x-selection-value): Renamed from x-cut-buffer-or-selection-value.
	(x-select-text): Remove argument PUSH, update documentation.

	* emacs-lisp/cl-macs.el (x-get-cutbuffer, x-get-cut-buffer): Remove.

	* w32-fns.el (x-last-selected-text):
	x-cut-buffer-or-selection-value renamed to x-selection-value.
	(x-cut-buffer-max): Remove.
	(x-select-text): Remove argument PUSH, update documentation.

	* simple.el (interprogram-cut-function): Remove mention of PUSH.

	* select.el (x-get-cut-buffer, x-set-cut-buffer): Remove.

	* mouse-sel.el (mouse-sel-get-selection-function):
	x-cut-buffer-or-selection-value renamed to x-selection-value.
	(x-select-text): Remove optional push.

2010-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (blink-paren-function): Move from C to here.
	(blink-paren-post-self-insert-function): New function.
	(post-self-insert-hook): Use it.

	* emacs-lisp/pcase.el (pcase-split-memq):
	Fix overenthusiastic optimisation.
	(pcase-u1): Handle the case of a lambda pred.

2010-08-31  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (standard-display-european-internal):
	Setup standard-display-table for 8-bit characters by storing 8-bit
	characters in the element vector.

	* disp-table.el (standard-display-8bit): Setup
	standard-display-table for 8-bit characters by storing 8-bit
	characters in the element vector.
	(standard-display-european): Likewise.

2010-08-31  Masatake YAMATO  <yamato@redhat.com>

	* textmodes/nroff-mode.el (nroff-view): New command.
	(nroff-mode-map): Bind it to C-c C-c.

2010-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-down-list): New command.

	Remove old indentation and navigation code on octave-mode.
	* progmodes/octave-mod.el (octave-mode-map): Remap down-list to
	smie-down-list rather than add a binding for octave-down-block.
	(octave-mark-block, octave-blink-matching-block-open):
	Rely on forward-sexp-function.
	(octave-fill-paragraph): Don't narrow, so you can use
	indent-according-to-mode.
	(octave-block-begin-regexp, octave-block-begin-or-end-regexp): Remove.
	(octave-in-block-p, octave-re-search-forward-kw)
	(octave-re-search-backward-kw, octave-indent-calculate)
	(octave-end-as-array-index-p, octave-block-end-offset)
	(octave-scan-blocks, octave-forward-block, octave-backward-block)
	(octave-down-block, octave-backward-up-block, octave-up-block)
	(octave-before-magic-comment-p, octave-indent-line): Remove.

2010-08-31  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package--read-archive-file): Just use
	`read', to avoid copying an additional string.
	(package-menu-mode): Set header-line-format here.
	(package-menu-refresh, package-menu-revert): Signal an error if
	not in the Package Menu.
	(package-menu-package-list): New var.
	(package--generate-package-list): Operate on the current buffer;
	don't assume that it is *Packages*, since the user may rename it.
	Allow persistent package listings and sort keys using
	package-menu-package-list and package-menu-package-sort-key.
	(package-menu--version-predicate): Fix version calculation.
	(package-menu-sort-by-column): Don't select the window.
	(package--list-packages): Create the *Packages* buffer.
	Set package-menu-package-list-key.
	(list-packages): Sorting by status is now the default.
	(package-buffer-info): Use match-string-no-properties.
	(define-package): Add a &rest argument for future proofing, but
	don't use it yet.
	(package-install-from-buffer, package-install-buffer-internal):
	Merge into a single function, package-install-from-buffer.
	(package-install-file): Change caller.

	* finder.el: Load finder-inf using `require'.
	(finder-list-matches): Sorting by status is now the default.
	(finder-compile-keywords): Simpify printing.

2010-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (octave-font-lock-keywords): Use regexp-opt.
	(octave-mode-map): Remove special bindings for forward/backward-block
	and octave-backward-up-block.  Use smie-close-block.
	(octave-continuation-marker-regexp): New var.
	(octave-continuation-regexp): Use it.
	(octave-operator-table, octave-smie-op-levels)
	(octave-operator-regexp, octave-smie-indent-rules): New vars.
	(octave-smie-backward-token, octave-smie-forward-token): New funs.
	(octave-mode): Use SMIE.
	(octave-close-block): Delete.

2010-08-30  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-edit-menu) <"Paste">: Check selection in
	CLIPBOARD, not in PRIMARY.  (Bug#6944)

2010-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent-offset-rule): Let :parent take
	a list of parents.
	(smie-indent-column): Allow indirection through variables.

	* composite.el (save-buffer-state): Delete, unused.
	* font-lock.el (save-buffer-state): Use with-silent-modifications.
	(font-lock-default-fontify-region): Use with-syntax-table.
	* jit-lock.el (with-buffer-unmodified): Remove.
	(with-buffer-prepared-for-jit-lock): Use with-silent-modifications.

	Use `declare' in defmacros.
	* window.el (save-selected-window):
	* subr.el (with-temp-file, with-temp-message, with-syntax-table):
	* progmodes/python.el (def-python-skeleton):
	* net/dbus.el (dbus-ignore-errors):
	* jka-cmpr-hook.el (with-auto-compression-mode):
	* international/mule.el (with-category-table):
	* emacs-lisp/timer.el (with-timeout):
	* emacs-lisp/lisp-mnt.el (lm-with-file):
	* emacs-lisp/eieio.el (with-slots):
	* emacs-lisp/easymenu.el (easy-menu-define):
	* emacs-lisp/debug.el (debugger-env-macro):
	* emacs-lisp/cl-compat.el (Multiple-value-bind, Multiple-value-setq)
	(Multiple-value-call, Multiple-value-prog1):
	* emacs-lisp/cl-seq.el (cl-parsing-keywords, cl-check-key)
	(cl-check-test-nokey, cl-check-test, cl-check-match): Move indent and
	edebug rule to definition.
	* emacs-lisp/lisp-mode.el (save-selected-window)
	(with-current-buffer, combine-after-change-calls)
	(with-output-to-string, with-temp-file, with-temp-buffer)
	(with-temp-message, with-syntax-table, read-if, eval-after-load)
	(dolist, dotimes, when, unless):
	* emacs-lisp/byte-run.el (inline): Remove indent rule, redundant.

2010-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* finder.el: Require `package'.
	(finder-known-keywords): Tweak descriptions.  Retire `oop' keyword.
	(finder-package-info): Var deleted.
	(finder-keywords-hash, finder--builtins-alist): New vars.
	(finder-compile-keywords): Compute package--builtins and
	finder-keywords-hash instead of finder-keywords-hash, respecting
	the "Package" header.
	(finder-unknown-keywords, finder-list-matches):
	Use finder-keywords-hash and package--list-packages.
	(finder-mode): Don't set font-lock-defaults.
	(finder-exit): We don't use "*Finder-package*" and "*Finder
	Category*" buffers anymore.

	* emacs-lisp/package.el (package--builtins-base): Var deleted.
	(package--builtins): Set default value to nil.
	(package-initialize): Load precomputed value of package--builtins
	from finder-inf.el.
	(package-alist, package-compute-transaction)
	(package-download-transaction): Improve docstring.
	(package-read-all-archive-contents): Do not change
	package--builtins here.
	(list-packages): Make package-list-packages an alias for this.
	Sort by status by default.
	(package--list-packages): Add optional PACKAGES arg.
	(describe-package-1): Use font-lock-face property.  For built-in
	packages, insert file commentary.
	(package--generate-package-list): Rename from
	package-list-packages-internal; all callers changed.  Add optional
	PACKAGES arg.  Add alphabetical sort fallbacks.
	(package-menu--version-predicate, package-menu--status-predicate)
	(package-menu--description-predicate)
	(package-menu--name-predicate): New functions.

	* info.el (Info-finder-find-node): Search package-alist instead of
	finder-package-info.

2010-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (version-regexp-alist): Don't use "a" and "b" for
	"alpha" and "beta".
	(version-to-list): Handle versions like "10.3d".

2010-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/macroexp.el (macroexpand-all-1): Use pcase.
	(macroexp-accumulate): Use `declare'.

2010-08-27  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-style): Adjust type declaration.

2010-08-26  Magnus Henoch  <magnus.henoch@gmail.com>

	* net/tramp-gvfs.el (tramp-gvfs-handle-copy-file): Do not pass
	empty argument to gvfs-copy.

2010-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp-compat.el (tramp-compat-delete-file): Rewrite to
	handle new TRASH arg of `delete-file'.

2010-08-26  Christian Lynbech  <christian.lynbech@tieto.com>  (tiny change)

	* net/tramp.el (tramp-handle-insert-directory): Don't use
	`forward-word', its default syntax could be changed.

2010-08-26  Toru TSUNEYOSHI  <t_tuneyosi@hotmail.com>
            Michael Albinus  <michael.albinus@gmx.de>

	Implement compression for inline methods.

	* net/tramp.el (tramp-inline-compress-start-size): New defcustom.
	(tramp-copy-size-limit): Allow also nil.
	(tramp-inline-compress-commands): New defconst.
	(tramp-find-inline-compress, tramp-get-inline-compress)
	(tramp-get-inline-coding): New defuns.
	(tramp-get-remote-coding, tramp-get-local-coding): Remove,
	replaced by `tramp-get-inline-coding'.
	(tramp-handle-file-local-copy, tramp-handle-write-region)
	(tramp-method-out-of-band-p): Use `tramp-get-inline-coding'.

2010-08-26  Noah Lavine  <noah549@gmail.com>  (tiny change)

	Detect ssh 'ControlMaster' argument automatically in some cases.

	* net/tramp.el (tramp-detect-ssh-controlmaster): New defun.
	(tramp-default-method): Use it.

2010-08-26  Karel Klíč  <kklic@redhat.com>

	* net/tramp.el (tramp-file-name-for-operation):
	Add file-selinux-context.

2010-08-26  Łukasz Stelmach  <lukasz.stelmach@iem.pw.edu.pl>  (tiny change)

	* play/cookie1.el (read-cookie): Fix off-by-one error (bug#6921).

2010-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (beginning-of-buffer, end-of-buffer): Doc fix
	(Bug#6907).

2010-08-26  Nathan Weizenbaum  <nweiz@cressida.sea.corp.google.com>  (tiny change)

	* progmodes/js.el: Make indentation more customizable (Bug#6914).
	(js-paren-indent-offset, js-square-indent-offset)
	(js-curly-indent-offset): New options.
	(js--proper-indentation): Use them.

2010-08-26  Daniel Colascione  <dan.colascione@gmail.com>

	* progmodes/sh-script.el (sh-get-indent-info): Use syntax-ppss
	instead of inspecting font-lock properties (Bug#6916).

2010-08-26  David Reitter  <david.reitter@gmail.com>

	* server.el (server-visit-files): Run pre-command-hook and
	post-command-hook for each buffer while it is current
	(Bug#6910).
	(server-execute): Do not run hooks here.

2010-08-26  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.19.

	* net/tramp-cmds.el (tramp-cleanup-all-connections)
	(tramp-reporter-dump-variable, tramp-load-report-modules)
	(tramp-append-tramp-buffers): Use `tramp-compat-funcall'.
	(tramp-bug): Recommend setting of `tramp-verbose' to 9.

	* net/tramp-compat.el (top): Do not autoload
	`tramp-handle-file-remote-p'.  Load tramp-util.el and tramp-vc.el
	only when `start-file-process' is not bound.
	(byte-compile-not-obsolete-vars): Define if not bound.
	(tramp-compat-funcall): New defmacro.
	(tramp-compat-line-beginning-position)
	(tramp-compat-line-end-position)
	(tramp-compat-temporary-file-directory)
	(tramp-compat-make-temp-file, tramp-compat-file-attributes)
	(tramp-compat-copy-file, tramp-compat-copy-directory)
	(tramp-compat-delete-file, tramp-compat-delete-directory)
	(tramp-compat-number-sequence, tramp-compat-process-running-p):
	Use it.
	(tramp-advice-file-expand-wildcards): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-compat-make-temp-file): Simplify fallback implementation.
	(tramp-compat-copy-file): Add PRESERVE-SELINUX-CONTEXT.
	(tramp-compat-copy-tree): Remove function.
	(tramp-compat-delete-file): New defun.
	(tramp-compat-delete-directory): Provide implementation for older
	Emacsen.
	(tramp-compat-file-attributes): Handle only
	`wrong-number-of-arguments' error.

	* net/tramp-fish.el (tramp-fish-handle-copy-file): Add
	PRESERVE_SELINUX_CONTEXT.
	(tramp-fish-handle-delete-file): Add TRASH arg.
	(tramp-fish-handle-directory-files-and-attributes):
	Do not use `tramp-fish-handle-file-attributes.
	(tramp-fish-handle-file-local-copy)
	(tramp-fish-handle-insert-file-contents)
	(tramp-fish-maybe-open-connection): Use `with-progress-reporter'.

	* net/tramp-gvfs.el (top): Require url-util.
	(tramp-gvfs-mount-point): Remove.
	(tramp-gvfs-file-name-handler-alist): Add `file-selinux-context'
	and `set-file-selinux-context'.
	(tramp-gvfs-stringify-dbus-message, tramp-gvfs-send-command)
	(tramp-gvfs-handle-file-selinux-context)
	(tramp-gvfs-handle-set-file-selinux-context): New defuns.
	(with-tramp-dbus-call-method): Format trace message.
	(tramp-gvfs-handle-copy-file): Handle PRESERVE-SELINUX-CONTEXT.
	(tramp-gvfs-handle-copy-file, tramp-gvfs-handle-rename-file):
	Implement backup call, when operation on local files fails.  Use
	progress reporter.  Flush properties of changed files.
	(tramp-gvfs-handle-delete-file): Add TRASH arg.  Use
	`tramp-compat-delete-file'.
	(tramp-gvfs-handle-expand-file-name): Expand "~/".
	(tramp-gvfs-handle-make-directory): Make more traces.
	(tramp-gvfs-handle-write-region): Protect deleting tmpfile.
	(tramp-gvfs-url-file-name): Hexify file name in url.
	(tramp-gvfs-fuse-file-name): Take also prefix (like dav shares)
	into account for the resulting file name.
	(tramp-gvfs-handler-askquestion): Preserve current message, in
	order to let progress reporter continue afterwards.  (Bug#6257)
	Return dummy mountpoint, when the answer is "no".  See
	`tramp-gvfs-maybe-open-connection'.
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Test also for new mountspec
	attribute "default_location".  Set "prefix" property.  Handle
	default-location.
	(tramp-gvfs-mount-spec): Return both prefix and mountspec.
	(tramp-gvfs-maybe-open-connection): Test, whether mountpoint
	exists.  Raise an error, if not (due to a corresponding answer
	"no" in interactive questions, for example). Use
	`tramp-compat-funcall'.

	* net/tramp-imap.el (top): Autoload `epg-make-context'.
	(tramp-imap-handle-copy-file): Add PRESERVE-SELINUX-CONTEXT.
	(tramp-imap-do-copy-or-rename-file)
	(tramp-imap-handle-insert-file-contents)
	(tramp-imap-handle-file-local-copy): Use `with-progress-reporter'.
	(tramp-imap-handle-delete-file): Add TRASH arg.

	* net/tramp-smb.el (tramp-smb-handle-copy-file): Add
	PRESERVE-SELINUX-CONTEXT.
	(tramp-smb-handle-copy-file)
	(tramp-smb-handle-file-local-copy, tramp-smb-handle-rename-file)
	(tramp-smb-handle-write-region, tramp-smb-maybe-open-connection):
	Use `with-progress-reporter'.
	(tramp-smb-handle-delete-file): Add TRASH arg.

	* net/tramp.el (tramp-methods): Move hostname to the end in all
	ssh `tramp-login-args'.  Add `tramp-async-args' attribute where
	appropriate.
	(tramp-verbose): Describe verbose level 9.
	(tramp-completion-function-alist)
	(tramp-file-name-regexp, tramp-chunksize)
	(tramp-local-coding-commands, tramp-remote-coding-commands)
	(with-connection-property, tramp-completion-mode-p)
	(tramp-action-process-alive, tramp-action-out-of-band)
	(tramp-check-for-regexp, tramp-file-name-p, tramp-equal-remote)
	(tramp-exists-file-name-handler): Fix docstring.
	(tramp-remote-process-environment): Use `format' instead of
	`concat'.  Protect version string by apostroph.
	(tramp-shell-prompt-pattern): Do not use a shy group in case of
	XEmacs.
	(tramp-file-name-regexp-unified)
	(tramp-completion-file-name-regexp-unified): On W32 systems, do
	not regard the volume letter as remote filename.  (Bug#5447)
	(tramp-perl-file-attributes)
	(tramp-perl-directory-files-and-attributes): Don't pass "$3".
	(tramp-vc-registered-read-file-names): Read input as
	here-document, otherwise the command could exceed maximum length
	of command line.
	(tramp-file-name-handler-alist): Add `file-selinux-context' and
	`set-file-selinux-context'.
	(tramp-debug-message): Add `tramp-compat-funcall' to ignored
	backtrace functions.
	(tramp-error-with-buffer): Don't show the connection buffer when
	we are in completion mode.
	(tramp-progress-reporter-update, tramp-remote-selinux-p)
	(tramp-handle-file-selinux-context)
	(tramp-handle-set-file-selinux-context, tramp-process-sentinel)
	(tramp-connectable-p, tramp-open-shell, tramp-get-remote-trash):
	New defuns.
	(with-progress-reporter): New defmacro.
	(tramp-debug-outline-regexp): New defconst.
	(top, tramp-rfn-eshadow-setup-minibuffer)
	(tramp-rfn-eshadow-update-overlay, tramp-handle-set-file-times)
	(tramp-handle-dired-compress-file, tramp-handle-shell-command)
	(tramp-completion-mode-p, tramp-check-for-regexp)
	(tramp-open-connection-setup-interactive-shell)
	(tramp-compute-multi-hops, tramp-read-passwd, tramp-clear-passwd)
	(tramp-time-diff, tramp-coding-system-change-eol-conversion)
	(tramp-set-process-query-on-exit-flag, tramp-unload-tramp):
	Use `tramp-compat-funcall'.
	(tramp-handle-make-symbolic-link): Flush file properties.
	(tramp-handle-load, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-handle-vc-registered, tramp-maybe-send-script)
	(tramp-find-shell): Use `with-progress-reporter'.
	(tramp-do-file-attributes-with-stat): Add space in format string,
	in order to work around a bug in pdksh.  Reported by Gilles Pion
	<gpion@lfdj.com>.
	(tramp-handle-verify-visited-file-modtime): Do not send a command
	when the connection is not established.
	(tramp-handle-set-file-times): Simplify the check for utc.
	(tramp-handle-directory-files-and-attributes)
	(tramp-get-remote-path): Use `copy-tree'.
	(tramp-completion-handle-file-name-all-completions): Ensure, that
	non remote files are still checked.  Oops.
	(tramp-handle-copy-file, tramp-do-copy-or-rename-file): Handle
	PRESERVE-SELINUX-CONTEXT.
	(tramp-do-copy-or-rename-file): Add progress reporter.
	(tramp-do-copy-or-rename-file-directly): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-do-copy-or-rename-file-out-of-band):
	Use `tramp-compat-delete-directory'.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-compute-multi-hops, tramp-maybe-open-connection):
	Use `format-spec-make'.
	(tramp-handle-delete-file): Add TRASH arg.
	(tramp-handle-dired-uncache): Flush directory cache, not only file
	cache.
	(tramp-handle-expand-file-name)
	(tramp-completion-handle-file-name-all-completions)
	(tramp-completion-handle-file-name-completion): Use
	`tramp-connectable-p'.
	(tramp-handle-start-file-process): Set connection property "vec".
	Use it, in order to invalidate file caches.  Check only for
	`remote-tty' process property.
	Implement tty setting.  (Bug#4604, Bug#6360)
	(tramp-file-name-for-operation): Add `call-process-region' and
	`set-file-selinux-context'.
	(tramp-find-foreign-file-name-handler)
	(tramp-advice-make-auto-save-file-name)
	(tramp-set-auto-save-file-modes): Remove superfluous check for
	`stringp'.  This is done inside `tramp-tramp-file-p'.
	(tramp-file-name-handler): Trace 'quit.  Catch the error for some
	operations when we are in completion mode.  This gives the user
	the chance to correct the file name in the minibuffer.
	(tramp-completion-mode-p): Use `non-essential'.
	(tramp-handle-file-name-all-completions): Backward/ XEmacs
	compatibility: Use `completion-ignore-case' if
	`read-file-name-completion-ignore-case' does not exist.
	(tramp-get-debug-buffer): Use `tramp-debug-outline-regexp'.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	`tramp-open-shell'.
	(tramp-action-password): Hide password prompt before next run.
	(tramp-process-actions): Widen connection buffer for the trace.
	(tramp-open-connection-setup-interactive-shell): Set `remote-tty'
	process property.  Trace stty settings if `tramp-verbose' >= 9.
	Apply workaround for IRIX64 bug.  Move argument of last
	`tramp-send-command' where it belongs to.
	(tramp-maybe-open-connection): Use `async-args' and `gw-args' in
	front of `login-args'.
	(tramp-get-ls-command, tramp-get-ls-command-with-dired): Run tests
	on "/dev/null" instead of "/".
	(tramp-get-ls-command-with-dired): Make test for "--dired"
	stronger.
	(tramp-set-auto-save-file-modes): Adapt version check.
	(tramp-set-process-query-on-exit-flag): Fix wrong parentheses.
	(tramp-handle-process-file): Call the program in a subshell, in
	order to preserve working directory.
	(tramp-handle-shell-command): Don't use hard-wired "/bin/sh" but
	`tramp-remote-sh' from `tramp-methods'.
	(tramp-get-ls-command): Make test for "--color=never" stronger.
	(tramp-check-for-regexp): Use (forward-line 1).

	* net/trampver.el: Update release number.

2010-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (help-map): Bind `C-h P' to describe-package.

	* menu-bar.el (menu-bar-describe-menu): Add describe-package.

	* emacs-lisp/package.el (package-refresh-contents): Catch errors
	when downloading archives.
	(describe-package-1): Add package commentary.
	(package-install-button-action): New function.
	(package-menu-mode-map): Bind ? to package-menu-describe-package.
	(package-menu-view-commentary): Function removed.
	(package-list-packages-internal): Hide the `package' package too.

2010-08-25  Kenichi Handa  <handa@m17n.org>

	* language/misc-lang.el ("Arabic"): New language environment.
	Setup composition-function-table for Arabic characters.

	* international/fontset.el (setup-default-fontset): Fix typo for
	arabic OTF spec (fini->fina).

2010-08-25  Jan Djärv  <jan.h.d@swipnet.se>

	* menu-bar.el (menu-bar-set-tool-bar-position): Set frame parameter
	on all frames.

2010-08-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Allow cleaning up blanks without blank
	visualization (Bug#6651).  Adjust help window for
	whitespace-toggle-options (Bug#6479).  Allow to use fill-column
	instead of whitespace-line-column (from EmacsWiki).  New version
	13.1.
	(whitespace-style): Added new value 'face.  Adjust docstring.
	(whitespace-space, whitespace-hspace, whitespace-tab): Adjust
	foreground property face.
	(whitespace-line-column): Adjust docstring and type declaration.
	(whitespace-style-value-list, whitespace-toggle-option-alist)
	(whitespace-help-text): Adjust const initialization.
	(whitespace-toggle-options, global-whitespace-toggle-options):
	Adjust docstring.
	(whitespace-display-window, whitespace-interactive-char)
	(whitespace-style-face-p, whitespace-color-on): Adjust code.
	(whitespace-help-scroll): New fun.

2010-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (list-packages): Alias for
	package-list-packages.

2010-08-24  Kevin Ryde  <user42@zip.com.au>

	* textmodes/flyspell.el (flyspell-check-tex-math-command): Doc fix
	(Bug#5651).

	* progmodes/ruby-mode.el (ruby): Add defgroup.

2010-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el: Add Ipython support (Bug#5390).
	(python-shell-prompt-alist)
	(python-shell-continuation-prompt-alist): New options.
	(python--set-prompt-regexp): New function.
	(inferior-python-mode, run-python, python-shell): Require
	ansi-color.  Use python--set-prompt-regexp to set the comint
	prompt based on the Python interpreter.
	(python--prompt-regexp): New var.
	(python-check-comint-prompt)
	(python-comint-output-filter-function): Use it.
	(run-python): Use a pipe (Bug#5694).

2010-08-24  Fabian Ezequiel Gallina  <galli.87@gmail.com>  (tiny change)

	* progmodes/python.el (python-send-region): Send a different
	Python command if Ipython is in use.
	(python-check-version): Use a Python command to find the version.

2010-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-yank-primary): Avoid setting primary when
	deactivating the mark (Bug#6872).

2010-08-23  Chris Foote  <chris@foote.com.au>  (tiny change)

	* progmodes/python.el (python-block-pairs): Allow use of "finally"
	with "else" (Bug#3991).

2010-08-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el: Accept UNIX domain sockets as bus address.
	(top): Don't initialize `dbus-registered-objects-table' anymore,
	this is done in dbusbind,c.
	(dbus-check-event): Adapt test for bus.
	(dbus-return-values-table, dbus-unregister-service)
	(dbus-event-bus-name, dbus-introspect, dbus-register-property):
	Adapt doc string.

2010-08-23  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-use-virtual-buffers): Fix typo in docstring.

2010-08-22  Juri Linkov  <juri@jurta.org>

	* simple.el (read-extended-command): New function with the logic
	for `completing-read' moved to Elisp from `execute-extended-command'.
	Use `function-called-at-point' in `minibuffer-default-add-function'
	to get a command name for M-n (bug#5364, bug#5214).

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line-1): Issue warning for ignored arguments
	--unibyte, etc (Bug#6886).

2010-08-22  Leo  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-add-or-remove): Accept a list of elements.
	(ignore, bright, dim, keyword): Split list of nicknames before
	passing to rcirc-add-or-remove (Bug#6894).

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Doc fix (Bug#6880).

2010-08-22  Leo  <sdl.web@gmail.com>

	Fix buffer-list rename&refresh after killing a buffer in ido.
	* lisp/ido.el: Revert Óscar's.
	(ido-kill-buffer-at-head): Exit the minibuffer with ido-exit=refresh.
	Remember the buffers at head, rather than their name.
	* lisp/iswitchb.el (iswitchb-kill-buffer): Re-make the list.

2010-08-22  Kirk Kelsey  <kirk.kelsey@0x4b.net>  (tiny change)
            Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-fill-paragraph): Account for the
	extra backslash added to each line (bug#6890).

2010-08-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-key): Don't echo keystrokes (bug#6883).

2010-08-22  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-games-menu): Add landmark.

2010-08-22  Glenn Morris  <rgm@gnu.org>

	* align.el (align-regexp): Make group and spacing arguments
	use the interactive defaults when non-interactive.  (Bug#6698)

	* mail/rmail.el (rmail-forward): Replace mail-text-start with its
	expansion, so as not to need sendmail.
	(mail-text-start): Remove declaration.
	(rmail-retry-failure): Require sendmail.

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (read-key): Don't hide the menu-bar entries (bug#6881).

2010-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* progmodes/flymake.el (flymake-start-syntax-check-process):
	Use `start-file-process' in order to let it run also on remote hosts.

2010-08-22  Kenichi Handa  <handa@m17n.org>

	* files.el: Add `word-wrap' as safe local variable.

2010-08-22  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-translate): Case matters.  (Bug#6849)

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (kill-region): Doc fix (Bug#6787).

2010-08-22  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-header-line-format):
	Fit it to the window, not the frame.

2010-08-22  Andreas Schwab  <schwab@linux-m68k.org>

	* subr.el (ignore-errors): Add debug declaration.

2010-08-22  Geoff Gole  <geoffgole@gmail.com>  (tiny change)

	* whitespace.el (whitespace-color-off): Remove post-command-hook
	locally.

2010-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/add-log.el (add-log-file-name): Don't get confused by symlinks.

2010-08-21  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-group-value-create): Add extra newline
	before end line (Bug#6876).

2010-08-21  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-save-then-kill): Don't save region to kill ring
	when extending it.  Before killing on the second click, check if
	the buffer is the correct one.  Doc fix.
	(mouse-secondary-save-then-kill): Allow usage without first
	calling mouse-start-secondary, by defaulting to point.  Don't save
	an empty secondary selection.  Doc fix.

2010-08-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Fix slow cursor movement (Bug#6172).  Reported by
	Christoph Groth <cwg@falma.de> and Liu Xin <x_liu@neusoft.com>.
	New version 13.0.
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp):
	Adjust initialization.
	(whitespace-bob-marker, whitespace-eob-marker)
	(whitespace-buffer-changed): New vars.
	(whitespace-cleanup, whitespace-color-on, whitespace-color-off)
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp)
	(whitespace-post-command-hook, whitespace-display-char-on):
	Adjust code.
	(whitespace-looking-back, whitespace-buffer-changed): New funs.
	(whitespace-space-regexp, whitespace-tab-regexp): Fun eliminated.

2010-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-file-completion-table): Only list the .el and .elc
	extensions if there's no other choice (bug#5955).

	* facemenu.el (facemenu-self-insert-data): New var.
	(facemenu-post-self-insert-function, facemenu-set-self-insert-face):
	New functions.
	(facemenu-add-face): Use them.

	* simple.el (blink-matching-open): Obey forward-sexp-function.

2010-08-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (prog-mode-map): New var.
	(prog-indent-sexp): New command.

	* progmodes/octave-mod.el (octave-mode-menu): Make toggle buttons.

	* progmodes/prolog.el (smie): Require.

	* emacs-lisp/smie.el (smie-default-backward-token)
	(smie-default-forward-token): Strip properties.
	(smie-next-sexp): Be more careful with associative operators.
	(smie-forward-sexp-command): Generalize.
	(smie-backward-sexp-command): Simplify.
	(smie-closer-alist): New var.
	(smie-close-block): New command.
	(smie-indent-debug-log): New var.
	(smie-indent-offset-rule): Add a few more cases.
	(smie-indent-column): New function.
	(smie-indent-after-keyword): Use it.
	(smie-indent-keyword): Use it.
	Fix up the opener code's point position.
	(smie-indent-comment): Only applies at BOL.
	(smie-indent-debug): New command.

	* emacs-lisp/autoload.el (make-autoload): Preload the macros's
	declarations that are useful before running the macro.

2010-08-18  Joakim Verona  <joakim@verona.se>

	* image.el (imagemagick-types-inhibit): New variable.
	(imagemagick-register-types): New function.
	* image-mode.el (image-transform-properties): New function.
	(image-transform-set-scale, image-transform-fit-to-height)
	(image-transform-set-rotation, image-transform-set-resize)
	(image-transform-fit-to-width, image-transform-fit-to-height):
	New functions.
	(image-toggle-display-image): Support image transforms.

2010-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* image.el (create-animated-image): Don't add heuristic mask to image
	(Bug#6839).

2010-08-18  Jan Djärv  <jan.h.d@swipnet.se>

	* term/ns-win.el (ns-get-pasteboard, ns-set-pasteboard):
	Use QCLIPBOARD instead of QPRIMARY (Bug#6677).

2010-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (up-list): Obey forward-sexp-function if set.

	Font-lock '...' strings, plus various simplifications and fixes.
	* progmodes/octave-mod.el (octave-font-lock-keywords): Use regexp-opt.
	(octave-font-lock-close-quotes): New function.
	(octave-font-lock-syntactic-keywords): New var.
	(octave-mode): Use it.  Set beginning-of-defun-function.
	(octave-mode-map): Don't override the <foo>-defun commands.
	(octave-mode-menu): Pass it directly to easy-menu-define;
	remove (now generic) <foo>-defun commands; use info-lookup-symbol.
	(octave-block-match-alist): Fix up last change so that
	octave-close-block uses the more specific keyword.
	(info-lookup-mode): Silence byte-compiler.
	(octave-beginning-of-defun): Not interactive any more.
	Optimize slightly.
	(octave-end-of-defun, octave-mark-defun, octave-in-defun-p): Remove.
	(octave-indent-defun, octave-send-defun): Use mark-defun instead.
	(octave-completion-at-point-function): Make sure point is within
	beg..end.
	(octave-reindent-then-newline-and-indent):
	Use reindent-then-newline-and-indent.
	(octave-add-octave-menu): Remove.

2010-08-17  Jan Djärv  <jan.h.d@swipnet.se>

	* mail/emacsbug.el (report-emacs-bug-insert-to-mailer)
	(report-emacs-bug-can-use-xdg-email): New functions.
	(report-emacs-bug): Set can-xdg-email to result of
	report-emacs-bug-can-use-xdg-email.  If can-xdg-email bind
	\C-cm to report-emacs-bug-insert-to-mailer and add help text
	about it.

	* net/browse-url.el (browse-url-default-browser): Add cond
	for browse-url-xdg-open.
	(browse-url-can-use-xdg-open, browse-url-xdg-open): New functions.

2010-08-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-engine.el (c-new-BEG, c-new-END)
	(c-fontify-recorded-types-and-refs): Define for compiler.
	* progmodes/cc-mode.el (c-new-BEG, c-new-END): Move definitions
	before use.

	* calendar/icalendar.el (icalendar--convert-recurring-to-diary):
	Fix format call.

2010-08-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-make-symbolic-link): Flush file
	properties.
	(tramp-handle-process-file): Call the program in a subshell, in
	order to preserve working directory.
	(tramp-action-password): Hide password prompt before next run.
	(tramp-process-actions): Widen connection buffer for the trace.

2010-08-16  Deniz Dogan  <deniz.a.m.dogan@gmail.com>

	* net/rcirc.el (rcirc-log-process-buffers): New option.
	(rcirc-print): Use it.
	(rcirc-generate-log-filename): New function.
	(rcirc-log-filename-function): Change default to
	rcirc-generate-log-filename (Bug#6828).

2010-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (deactivate-mark): If select-active-regions is `only',
	only set selection for temporarily active regions.

	* cus-start.el: Change defcustom for select-active-regions.

2010-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse--drag-set-mark-and-point): New function.
	(mouse-drag-track): Use LOCATION arg to push-mark.
	Use mouse--drag-set-mark-and-point to take click-count into
	consideration when updating point and mark (Bug#6840).

2010-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Give the Ruby rule a lower priority than Gnu (Bug#6778).

2010-08-14  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* font-lock.el (lisp-font-lock-keywords-2):
	Add combine-after-change-calls, condition-case-no-debug,
	with-demoted-errors, and with-silent-modifications (Bug#6025).

2010-08-14  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/copyright.el (copyright-update-year)
	(copyright-update): Temporary switch-to-buffer to ensure the
	buffer change being queried is visible (Bug#5394).

2010-08-14  Tom Tromey  <tromey@redhat.com>

	* progmodes/etags.el (tags-file-name): Mark safe if stringp
	(Bug#6733).

2010-08-14  Eli Zaretskii  <eliz@gnu.org>

	* mouse.el (mouse-yank-primary): Fix mouse-2 on MS-Windows and
	MS-DOS.  (Bug#6689)

2010-08-13  Jan Djärv  <jan.h.d@swipnet.se>

	* menu-bar.el (menu-bar-set-tool-bar-position): New function.
	(menu-bar-showhide-tool-bar-menu-customize-enable-left)
	(menu-bar-showhide-tool-bar-menu-customize-enable-right)
	(menu-bar-showhide-tool-bar-menu-customize-enable-top)
	(menu-bar-showhide-tool-bar-menu-customize-enable-bottom):
	Call menu-bar-set-tool-bar-position.

2010-08-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (octave-mode-syntax-table): Use the new "c"
	comment style (bug#6834).
	* progmodes/scheme.el (scheme-mode-syntax-table):
	* emacs-lisp/lisp-mode.el (lisp-mode-syntax-table): Remove spurious
	"b" flag in "' 14b" syntax.

	* progmodes/octave-mod.el (octave-mode-map): Remove special bindings
	for (un)commenting the region and performing completion.
	(octave-mode-menu): Use standard commands for help and completion.
	(octave-mode-syntax-table): Support %{..%} comments (sort of).
	(octave-mode): Use define-derived-mode.
	Set completion-at-point-functions and don't set columns.
	Don't disable adaptive-fill-regexp.
	(octave-describe-major-mode, octave-comment-region)
	(octave-uncomment-region, octave-comment-indent)
	(octave-indent-for-comment): Remove.
	(octave-indent-calculate): Rename from calculate-octave-indent.
	(octave-indent-line, octave-fill-paragraph): Update caller.
	(octave-initialize-completions): No need to make an alist.
	(octave-completion-at-point-function): New function.
	(octave-complete-symbol): Use it.
	(octave-insert-defun): Use define-skeleton.

	* progmodes/octave-mod.el (octave-mode): Set comment-add.
	(octave-mode-map): Use comment-dwim (bug#6829).

2010-08-12  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* cus-edit.el (custom-save-variables, custom-save-faces): Fix up
	indentation of inserted comment.

2010-08-11  Jan Djärv  <jan.h.d@swipnet.se>

	* faces.el (region): Add type gtk that uses gtk colors.

	* dynamic-setting.el (dynamic-setting-handle-config-changed-event):
	Handle theme-name change.

2010-08-10  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.5
	(sql-product-alist): Add :prompt-cont-regexp property for several
	database products.
	(sql-prompt-cont-regexp): New variable.
	(sql-output-newline-count, sql-output-by-send):
	New variables.  Record number of newlines in input text.
	(sql-send-string): Handle multiple filters and count newlines.
	(sql-send-magic-terminator): Count terminator newline.
	(sql-interactive-remove-continuation-prompt): Filters output to
	remove continuation prompts; one for each newline.
	(sql-interactive-mode): Set up new variables, prompt regexp and
	output filter.
	(sql-mode-sqlite-font-lock-keywords): Correct some keywords.
	(sql-make-alternate-buffer-name): Correct buffer name in edge cases.

2010-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/pcase.el: New file.

2010-08-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-vc-registered-read-file-names): Read input
	as here-document, otherwise the command could exceed maximum
	length of command line.
	(tramp-handle-vc-registered): Call script accordingly.
	Reported by Toru TSUNEYOSHI <t_tuneyosi@hotmail.com>.

2010-08-10  Kenichi Handa  <handa@m17n.org>

	* language/hebrew.el: Exclude U+05C3 (Hebrew SOF PASUQ) from the
	composable pattern.

2010-08-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-version-split)
	(package--version-first-nonzero, package-version-compare):
	Functions removed.
	(package-directory-list, package-load-all-descriptors)
	(package--built-in, package-activate, define-package)
	(package-installed-p, package-compute-transaction)
	(package-read-all-archive-contents)
	(package--add-to-archive-contents, package-buffer-info)
	(package-tar-file-info, package-list-packages-internal):
	Use version-to-list and version-list-*.

	* emacs-lisp/package-x.el (package-upload-buffer-internal):
	Use version-to-list.
	(package-upload-buffer-internal): Use version-list-<=.

2010-08-09  Kenichi Handa  <handa@m17n.org>

	* language/hebrew.el: Exclude U+05BD (Hebrew MAQAF) from the
	composable pattern.

2010-08-08  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el (tutorial--default-keys): C-d is now bound to
	delete-forward-char (Bug#6826).

	* mouse.el (mouse-drag-track): Remove accidentally-removed check
	for `double' value of mouse-1-click-follows-link (Bug#6807).

2010-08-08  Johan Bockgård  <bojohan@gnu.org>

	* replace.el (replace-highlight): Bind isearch-forward and
	isearch-error, ensuring that highlighting is updated if the user
	switches the search direction (Bug#6808).

	* isearch.el (isearch-lazy-highlight-forward): New var.
	(isearch-lazy-highlight-new-loop, isearch-lazy-highlight-search):
	(isearch-lazy-highlight-update): Use it.

2010-08-08  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (define-charset): Store NAME as :base property.
	(ctext-non-standard-encodings-table): Pay attention to charset aliases.
	(ctext-pre-write-conversion): Sort ctext-standard-encodings by the
	current priority.  Force using the designation of the specific
	charset by adding `charset' text property.  Improve the whole algorithm.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/pc-select.el (pc-selection-mode-hook)
	(copy-region-as-kill-nomark, beginning-of-buffer-mark)
	(pc-selection-mode): Fix typos in docstrings.

2010-08-08  Kenichi Handa  <handa@m17n.org>

	* language/cyrillic.el: Don't add "microsoft-cp1251" to
	ctext-non-standard-encodings-alist here.

	* international/mule.el (ctext-non-standard-encodings-alist):
	Add "koi8-r" and "microsoft-cp1251".
	(ctext-standard-encodings): New variable.
	(ctext-non-standard-encodings-table): List only elements for
	non-standard encodings.
	(ctext-pre-write-conversion): Adjust for the above change.
	Check ctext-standard-encodings.

	* international/mule-conf.el (compound-text): Doc fix.
	(ctext-no-compositions): Doc fix.
	(compound-text-with-extensions): Doc fix.

2010-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (exchange-dot-and-mark): Mark obsolete, finally.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/which-func.el (which-func-format): Split help-echo text
	into lines, like other mode-line tooltips.

	* server.el (server-start): When using TCP sockets, force IPv4
	and use a literal 127.0.0.1 for localhost.  (Related to bug#6781.)

2010-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (complete-symbol): Run completion-at-point as a fallback.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* term.el (term-delimiter-argument-list): Reflow docstring.
	(term-read-input-ring, term-write-input-ring, term-send-input)
	(term-bol, term-erase-in-display, serial-supported-or-barf):
	Fix typos in docstrings.

2010-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (function-key-map): Add a S-tab => backtab fallback.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* dabbrev.el (dabbrev-completion): Fix typo in docstring.

2010-08-08  MON KEY  <monkey@sandpframing.com>  (tiny change)

	* emacs-lisp/syntax.el (syntax-ppss-toplevel-pos):
	Fix typo in docstring (bug#6747).

2010-08-08  Leo  <sdl.web@gmail.com>

	* eshell/esh-io.el (eshell-get-target): Better detection of
	read-only file (Bug#6762).

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* align.el (align-default-spacing): Doc fix.
	(align-region-heuristic, align-regexp): Fix typos in docstrings.

2010-08-08  Stephen Peters  <speters@itasoftware.com>

	* calendar/icalendar.el
	(icalendar--split-value): Fixed splitting regexp. (Bug#6766)
	(icalendar--get-weekday-numbers): New
	(icalendar--convert-recurring-to-diary): Handle multiple byday
	values in weekly rules. (Bug#6766)

2010-08-08  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-uid-format): Doc fix.
	(icalendar--create-uid, icalendar-export-region)
	(icalendar--parse-summary-and-rest): Code formatting.

2010-08-08  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-trail-mode,calc-refresh): Use `face' property
	to italicize headers.
	(calc-highlight-selections-with-faces): New variable.
	(calc-selected-face, calc-nonselected-face): New faces.

	* calc/calccomp.el (math-comp-highlight-string): Use
	`calc-highlight-selections-with-faces' to determine how to highlight
	sub-formulas.

	* calc/calc-sel.el (calc-show-selections): Change message to when
	using faces to highlight selections.

2010-08-07  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el (sql-mode-sqlite-font-lock-keywords):
	Add SQLite 3 keywords, functions and datatypes.
	(sql-interactive-mode): Remove `comint-process-echoes' set to t
	(Bug#6686).

2010-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (select-active-regions): Move to keyboard.c.
	(deactivate-mark): Used saved-region-selection.
	(select-active-region): Function removed.
	(activate-mark, set-mark, push-mark-command)
	(handle-shift-selection): Don't call it.
	(keyboard-quit): Avoid adding the region to the window selection.

	* mouse.el (mouse-drag-track): Remove hacks to deal with old
	select-active-regions implementation.
	(mouse-yank-at-click): Doc fix.

	* cus-start.el: Add custom declaration for select-active-regions.

2010-08-07  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (delete-forward-char): Doc fix.

	* tutorial.el (help-with-tutorial): Hack safe file-local variables
	after reading the tutorial.

2010-08-06  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-cmds.el (c-mask-paragraph, c-fill-paragraph): Fix
	for the case that a C style comment has its delimiters alone on
	their respective lines.

2010-08-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-start-file-process): Set connection
	property "vec".
	(tramp-process-sentinel): Use it for flushing the cache.  We
	cannot do it via the process buffer, the buffer could be deleted
	already when running the sentinel.

2010-08-06  Jürgen Hötzel  <juergen@archlinux.org>  (tiny change)

	* comint.el (comint-mode): Make directory tracking functions
	functional on remote files.  (Bug#6764)

2010-08-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc/diff-mode.el (diff-mode-shared-map): Bind g to revert-buffer.

2010-08-05  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/find-gc.el (find-gc-source-files): Rename
	unexec.c => unexcoff.c.

	* emacs-lisp/authors.el (authors-fixed-entries): Rename
	unexec.c => unexcoff.c.

2010-08-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-dired-uncache): Flush directory
	cache, not only file cache.
	(tramp-process-sentinel): New defun.
	(tramp-handle-start-file-process): Use it, in order to invalidate
	file caches.

2010-08-03  Leo  <sdl.web@gmail.com>

	* server.el (server-start): Simplify loop.

2010-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (screen-height, screen-width, set-screen-width)
	(set-screen-height): Remove ancient compatibility aliases.

	* textmodes/fill.el (justify-current-line): Don't add 1 to nspaces
	when justifying.  It seems useless and harmful for ncols=1 (bug#6738).

	* emacs-lisp/timer.el (timer-event-handler): Protect against timers
	that change current buffer.

2010-08-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* mouse.el (mouse-fixup-help-message): Match "mouse-2" only at the
	beginning of the string.  Use `string-match-p'.  (Bug#6765)

2010-08-01  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (x-gtk-use-system-tooltips): New variable.

2010-08-01  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package--list-packages): Fix column alignment.
	(package--builtins): Tweak descriptions.
	(package-print-package): Upcase descriptions if necessary.
	Show all built-in packages in font-lock-builtin-face.
	(package-list-packages-internal): Omit "emacs" package.
	Show status of built-in packages as "built-in".

2010-07-31  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-save-then-kill): Doc fix.  Deactivate mark
	before killing to preserve the primary selection (Bug#6701).

	* term/x-win.el (x-select-text): Doc fix.

2010-07-31  Nathaniel Flath  <flat0103@gmail.com>

	Enhance Java Mode to handle Java 5.0 (Tiger) and Java 6 (Mustang).
	The following functions were modified or created:

	* progmodes/cc-vars.el (c-offsets-alist, c-inside-block-syms)
	(objc-font-lock-extra-types):
	* progmodes/cc-mode.el (c-basic-common-init):
	* progmodes/cc-langs.el (c-make-mode-syntax-table)
	(c++-make-template-syntax-table)
	(c-identifier-syntax-modifications, c-symbol-start, c-operators)
	(c-<-op-cont-regexp, c->-op-cont-regexp, c-class-decl-kwds)
	(c-brace-list-decl-kwds, c-modifier-kwds, c-prefix-spec-kwds-re)
	(c-type-list-kwds, c-decl-prefix-re, c-opt-type-suffix-key):
	* progmodes/cc-fonts.el (c-make-inverse-face)
	(c-basic-matchers-after):
	* progmodes/cc-engine.el (c-forward-keyword-clause)
	(c-forward-<>-arglist, c-forward-<>-arglist-recur)
	(c-forward-name, c-forward-type, c-forward-decl-or-cast-1)
	(c-guess-continued-construct, c-guess-basic-syntax):

2010-07-31  Jan Djärv  <jan.h.d@swipnet.se>

	* faces.el (face-all-attributes): Improve documentation (Bug#6767).

2010-07-31  Eli Zaretskii  <eliz@gnu.org>

	* files.el (bidi-paragraph-direction): Define safe local values.

	* language/hebrew.el ("Hebrew"): Add TUTORIAL.he to
	language-info-alist.  Remove outdated FIXME in a comment.

2010-07-31  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-mask-paragraph): Fix bug #6688:
	Auto-fill broken in C/C++ modes.

2010-07-29  Jan Djärv  <jan.h.d@swipnet.se>

	* menu-bar.el (menu-bar-showhide-tool-bar-menu-customize-enable-left)
	(menu-bar-showhide-tool-bar-menu-customize-disable)
	(menu-bar-showhide-tool-bar-menu-customize-enable-right)
	(menu-bar-showhide-tool-bar-menu-customize-enable-bottom)
	(menu-bar-showhide-tool-bar-menu-customize-enable-top): New functions
	(menu-bar-showhide-tool-bar-menu): If tool bar is moveable,
	make a menu for Options => toolbar that can move it.

2010-07-29  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package-x.el (package--make-rss-entry):
	(package-maint-add-news-item, package--update-news)
	(package-upload-buffer-internal): New arg ARCHIVE-URL.

	* emacs-lisp/package.el (package-archive-url): Rename from
	package-archive-id.
	(package-install): Doc fix.
	(package-download-single, package-download-tar, package-install)
	(package-menu-view-commentary): Callers changed.

2010-07-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-start-file-process): Check only for
	`remote-tty' process property.
	(tramp-open-shell): Don't check for tty.
	(tramp-open-connection-setup-interactive-shell): Set `remote-tty'
	process property.

	* progmodes/gdb-mi.el (gdb-init-1): Check also for tty on a remote
	host.

2010-07-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-load-list, package-archives)
	(package-archive-contents, package-user-dir)
	(package-directory-list, package--builtins, package-alist)
	(package-activated-list, package-obsolete-alist): Mark as risky.

2010-07-28  Phil Hagelberg  <phil@evri.com>

	Add support for non-default package repositories.
	* emacs-lisp/package.el (package-archive-base): Var deleted.
	(package-archives): New variable.
	(package-archive-contents): Doc fix.
	(package-load-descriptor): Do nothing if descriptor file is missing.
	(package--write-file-no-coding): New function.
	(package-unpack-single): Use it.
	(package-archive-id): New function.
	(package-download-single, package-download-tar)
	(package-menu-view-commentary): Use it.
	(package-installed-p): Make second argument optional.
	(package-read-all-archive-contents): New function.
	(package-initialize): Use it.
	(package-read-archive-contents): Add ARCHIVE argument.
	(package--add-to-archive-contents): New function.
	(package-install): Don't call package-read-archive-contents.
	(package--download-one-archive): Store archive file in a
	subdirectory of package-user-dir.
	(package-menu-execute): Remove spurious line movement.

2010-07-28  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (tool-bar-style): Add text-image-horiz.

2010-07-28  Michael Albinus  <michael.albinus@gmx.de>

	* progmodes/gud.el (gud-common-init): Check for remoteness of
	`file', and not of `default-directory'.

2010-07-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Move hostname to the end in all
	ssh `tramp-login-args'.
	(tramp-verbose): Describe verbose level 9.
	(tramp-open-shell): Check for tty if `tramp-verbose' >= 9.
	(tramp-open-connection-setup-interactive-shell): Trace stty
	settings if `tramp-verbose' >= 9.
	(tramp-handle-start-file-process): Implement tty setting.
	(Bug#4604, Bug#6360)

	* net/tramp-cmds.el (tramp-bug): Recommend setting of
	`tramp-verbose' to 9.

2010-07-27  Aaron S. Hawley  <ashawley@burlingtontelecom.net>

	* emacs-lisp/re-builder.el (reb-re-syntax, reb-lisp-mode)
	(reb-lisp-syntax-p, reb-change-syntax, reb-cook-regexp):
	Remove references to package `lisp-re' (bug#4369).

2010-07-27  Tom Tromey  <tromey@redhat.com>

	* progmodes/js.el (js-mode):
	* progmodes/make-mode.el (makefile-mode):
	* progmodes/simula.el (simula-mode):
	* progmodes/tcl.el (tcl-mode): Derive from prog-mode.

2010-07-27  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (find-lisp-object-file-name): Doc fix (bug#6494).

	* cedet/semantic/db-file.el (object-write): Fix typo in docstring.

	* time.el (display-time-day-and-date): Remove spurious * in docstring.
	(display-time-world-buffer-name, display-time-world-mode-map):
	Fix typos in docstrings.

2010-07-27  Shyam Karanatt  <shyam@swathanthran.in>  (tiny change)

	* image-mode.el (image-display-size): New function.
	(image-forward-hscroll, image-next-line, image-eol, image-eob)
	(image-mode-fit-frame): Use it (Bug#6639).

2010-07-27  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-buffers-for-dir): Handle list values of
	dired-directory (Bug#6636).

2010-07-26  Sam Steingold  <sds@gnu.org>

	* mouse.el (mouse-yank-primary, mouse-yank-secondary):
	Do not call `x-get-selection' the second time, reuse the value.

2010-07-26  Daiki Ueno  <ueno@unixuser.org>

	* epa-mail.el (epa-mail-mode-map): Add alternative key bindings
	which consist of control chars only.  Suggested by Richard Stallman.

2010-07-25  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-insert-file-contents): Check if LOCAL-FILE
	exists before passing an error to find-file-not-found-functions
	(bug#6723).

2010-07-23  Lukas Huonker  <l.huonker@gmail.com>

	* play/tetris.el (tetris-tty-colors, tetris-x-colors, tetris-blank):
	Remove leading nil element, adjust values.
	(tetris-shapes, tetris-shape-scores):
	Change representation of shapes and remove some redundancy.
	(tetris-get-shape-cell, tetris-shape-width, tetris-draw-next-shape)
	(tetris-draw-shape, tetris-erase-shape, tetris-test-shape):
	Adjust for working with new representation of shapes.
	(tetris-shape-rotations): New function.
	(tetris-move-bottom, tetris-move-left, tetris-move-right)
	(tetris-rotate-prev, tetris-rotate-next):
	Adjust for working with the new version of tetris-test-shape.

2010-07-23  Markus Triska  <markus.triska@gmx.at>

	* progmodes/ps-mode.el: Use comint (bug#5954).
	(ps-run-mode-map): Adapt for comint-mode; omit "\r", [return]..
	(ps-mode-other-newline): Simplify.
	(ps-run-mode): Derive from comint-mode instead of
	fundamental-mode, yielding input history etc.
	(ps-run-start, ps-run-quit, ps-run-clear, ps-run-region)
	(ps-run-send-string): Adapt for comint-mode.
	(ps-run-newline): Remove now unneeded function.

2010-07-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Move hostname to the end in all
	plink `tramp-login-args'.

2010-07-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-open-shell): New defun.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	Use it.

2010-07-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-regexp-unified)
	(tramp-completion-file-name-regexp-unified): On W32 systems, do
	not regard the volume letter as remote filename.  (Bug#5447)

2010-07-23  Juanma Barranquero  <lekktu@gmail.com>

	* custom.el (custom-declare-variable): Give a clearer error message
	when the docstring is missing (bug#6476).

2010-07-22  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.4.  Improved Login prompting.
	(sql-login-params): New widget definition.
	(sql-oracle-login-params, sql-mysql-login-params)
	(sql-solid-login-params, sql-sybase-login-params)
	(sql-informix-login-params, sql-ingres-login-params)
	(sql-ms-login-params, sql-postgres-login-params)
	(sql-interbase-login-params, sql-db2-login-params)
	(sql-linter-login-params): Use it.
	(sql-sqlite-login-params): Use it; Define "database" parameter as
	a file name.
	(sql-sqlite-program): Change to "sqlite3".
	(sql-comint-sqlite): Make sure database name is complete.
	(sql-for-each-login): New function.
	(sql-connect, sql-save-connection): Use it.
	(sql-get-login-ext): New function.
	(sql-get-login): Use it.
	(sql-make-alternate-buffer-name): Handle :file parameters.

2010-07-22  Juanma Barranquero  <lekktu@gmail.com>

	* dired.el (dired-no-confirm): Document value t and fix defcustom to
	accept it (bug#6597).  Suggested by Drew Adams <drew.adams@oracle.com>.

2010-07-22  Teemu Likonen  <tlikonen@iki.fi>  (tiny change)

	* dired.el (dired-mode-map): Use command remapping (bug#6632).

2010-07-22  Lawrence Mitchell  <wence@gmx.li>

	* term/vt100.el (vt100-wide-mode): Fix :init-value keyword (bug#6620).

2010-07-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-ls-command)
	(tramp-get-ls-command-with-dired): Run tests on "/dev/null"
	instead of "/".

2010-07-20  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.3.
	(sql-connection-alist): Changed keys from symbols to strings;
	enhanced the widget definition.
	(sql-mode-menu): Added submenu to select connections.
	(sql-interactive-mode-menu): Added "Save Connection" item.
	(sql-add-product): Fixed menu item.
	(sql-get-product-feature): Improved error handling.
	(sql--alt-buffer-part, sql--alt-if-not-empty): Removed.
	(sql-make-alternate-buffer-name): Simplified.
	(sql-product-interactive): Handle missing product.
	(sql-connect): Support string keys, minor improvements.
	(sql-save-connection): New function.
	(sql-connection-menu-filter): New function.

2010-07-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-handler): Trace 'quit.
	(tramp-open-connection-setup-interactive-shell): Apply
	workaround for IRIX64 bug.  Move argument of last
	`tramp-send-command' where it belongs to.

2010-07-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-perl-file-attributes)
	(tramp-perl-directory-files-and-attributes): Don't pass "$3".
	(tramp-maybe-open-connection): Use `async-args' and `gw-args' in
	front of `login-args'.

2010-07-19  Juanma Barranquero  <lekktu@gmail.com>

	* time.el (display-time-world-mode): Define with `define-derived-mode'.
	Set `show-trailing-whitespace' to nil.
	(display-time-world-display): Simplify.

2010-07-18  Alan Mackenzie  <acm@muc.de>

	Enhance `c-file-style' in file/directory local variables.
	* progmodes/cc-mode.el (c-count-cfss): New function.
	(c-before-hack-hook): Call `c-set-style' differently according to
	whether c-file-style was set in file or directory local
	variables.

2010-07-18  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.2.
	(sql-product, sql-user, sql-database, sql-server, sql-port): Use
	defcustom :safe keyword rather than putting safe-local-variable
	property.
	(sql-password): Use defcustom :risky keyword rather than putting
	risky-local-variable property.
	(sql-oracle-login-params, sql-sqlite-login-params)
	(sql-solid-login-params, sql-sybase-login-params)
	(sql-informix-login-params, sql-ingres-login-params)
	(sql-ms-login-params, sql-postgres-login-params)
	(sql-interbase-login-params, sql-db2-login-params)
	(sql-linter-login-params): Add `port' option.
	(sql-get-product-feature): Added NO-INDIRECT parameter.
	(sql-comint-oracle, sql-comint-sybase)
	(sql-comint-informix, sql-comint-sqlite, sql-comint-mysql)
	(sql-comint-solid, sql-comint-ingres, sql-comint-ms)
	(sql-comint-postgres, sql-comint-interbase, sql-comint-db2)
	(sql-comint-linter): Renamed sql-connect-* functions to
	sql-comint-*.
	(sql-product-alist, sql-mode-menu): Renamed as above and
	:sqli-connect-func to :sqli-comint-func.
	(sql-connection): New variable.
	(sql-interactive-mode): Set it.
	(sql-connection-alist): New variable.
	(sql-connect): New function.
	(sql--alt-buffer-part, sql--alt-if-not-empty)
	(sql-make-alternate-buffer-name): Improved alternative buffer name.

2010-07-17  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* image-mode.el (image-bookmark-make-record): Do not set context
	in an image (Bug#6650).

2010-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (select-active-region): New function.
	(push-mark-command, set-mark, activate-mark)
	(handle-shift-selection): Use it.
	(deactivate-mark): Don't check for size of region.

	* mouse.el (mouse-drag-track): Use select-active-region.

2010-07-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-ls-command-with-dired): Make test for
	"--dired" stronger.

2010-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-select-enable-primary): Change default to nil.
	(x-select-enable-clipboard): Add :version keyword.

	* mouse.el (mouse-drag-copy-region):
	* simple.el (select-active-regions): Likewise.

2010-07-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* vc/vc.el (vc-coding-system-inherit-eol): New defvar.
	(vc-coding-system-for-diff): Use it to decide whether to inherit
	from the file the EOL format for reading the diffs of that file.
	(Bug#4451)

2010-07-16  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailmm.el (rmail-mime-save): Make the temp buffer
	unibyte, so compressed attachments are not compressed again.

2010-07-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-shell-command): Don't use hard-wired
	"/bin/sh" but `tramp-remote-sh' from `tramp-methods'.
	(tramp-find-shell): Simplify setting connection property.
	(tramp-get-ls-command): Make test for "--color=never" stronger.

2010-07-15  Simon South  <ssouth@member.fsf.org>

	* progmodes/delphi.el (delphi-previous-indent-of): Indent case
	blocks within record declarations (i.e. variant parts) correctly.

2010-07-15  Simon South  <ssouth@member.fsf.org>

	* progmodes/delphi.el (delphi-token-at): Give newlines precedence
	over literal tokens when parsing so newlines aren't "absorbed" by
	single-line comments.  Corrects the indentation of case blocks
	that have a comment on the first line.

2010-07-14  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-load-hook): Fix doc string as suggested
	by Drew Adams (Bug#5504).

2010-07-14  Jan Djärv  <jan.h.d@swipnet.se>

	* xt-mouse.el (xterm-mouse-event-read): Fix for characters > 127
	now that Unicode is used (Bug#6594).

2010-07-14  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-select-enable-clipboard): Default to t.
	(x-initialize-window-system): Don't overwrite Paste menu item.

	* simple.el (select-active-regions): Default to t.
	(push-mark-command): Don't overwrite primary with empty string.

	* mouse.el: Bind mouse-2 to mouse-yank-primary.
	(mouse-drag-copy-region): Default to nil.

	* menu-bar.el (menu-bar-enable-clipboard): Don't overwrite
	Cut/Copy/Paste menu bar items.

2010-07-13  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	Allow C-w when setting a bookmark in a Gnus Article buffer (Bug#5975).
	Patch applied by Karl Fogel.

	* bookmark.el (bookmark-set): Don't set `bookmark-yank-point'
	and `bookmark-current-buffer' if they have been already set in
	another buffer (e.g gnus-art).

2010-07-13  Karl Fogel  <kfogel@red-bean.com>
            Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	Preparation for setting bookmarks in Gnus article buffers (Bug#5975).

	* bookmark.el (bookmark-make-record-default): Allow unneeded
	information to be omitted from the record.

	Adjust declarations and calls:

	* info.el (bookmark-make-record-default): Adjust declaration.
	(Info-bookmark-make-record): Adjust call.

	* woman.el (bookmark-make-record-default): Adjust declaration.
	(woman-bookmark-make-record): Adjust call.

	* man.el (bookmark-make-record-default): Adjust declaration.
	(Man-bookmark-make-record): Adjust call.

	* image-mode.el (bookmark-make-record-default): Adjust declaration.

	* doc-view.el (bookmark-make-record-default): Adjust declaration.

2010-07-13  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-show-annotation): Use `when' instead of `if'.
	This is also from Thierry Volpiatto's patch in bug #6444.  However,
	because it was extraneous to the functional change in that patch,
	and causes a re-indendation, I am committing it separately.

2010-07-13  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* bookmark.el (bookmark-show-annotation): Ensure annotations show,
	e.g. in Info bookmarks, by using `switch-to-buffer-other-window'.
	Patch applied by Karl Fogel (Bug#6444).

2010-07-13  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (make-frame): Fix typo in 2010-06-30 change (Bug#6625).

2010-07-13  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el: Bind M-~ to 'ns-prev-frame (due to Matthew
	Dempsky; bug#5084).  Remove incorrect binding for S-tab.
	(ns-alternatives-map): Change S-tab binding to backtab
	(bug#6616).

	* simple.el (normal-erase-is-backspace-setup-frame): Set mode on
	under ns.

2010-07-12  Andreas Schwab  <schwab@linux-m68k.org>

	* language/tai-viet.el ("TaiViet"): Try to fix re-encoding bugs.
	(Bug#5806)

	* language/tv-util.el (tai-viet-re): Remove format.

2010-07-12  Kenichi Handa  <handa@m17n.org>

	* language/hebrew.el: Remove no-byte-compile declaration.
	Change coding: tag to utf-8.  Register hebrew-shape-gstring in
	composition-function-table for 3-character looking back.
	(hebrew-font-get-precomposed): New function.
	(hebrew-shape-gstring): Utilize precomposed glyphs if available.

2010-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-drag-track): Handle select-active-regions
	(Bug#6612).

2010-07-11  Magnus Henoch  <magnus.henoch@gmail.com>

	* net/tramp-gvfs.el (tramp-gvfs-handle-copy-file): Do not pass
	empty argument to gvfs-copy.

2010-07-10  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-week-end-day): New function.
	* calendar/cal-tex.el (cal-tex-cursor-month): Remove unused vars.
	Respect calendar-week-start-day.  (Bug#6606)
	(cal-tex-insert-day-names, cal-tex-insert-blank-days)
	(cal-tex-insert-blank-days-at-end): Respect calendar-week-start-day.
	(cal-tex-first-blank-p, cal-tex-last-blank-p): Simplify, and
	respect calendar-week-start-day.

2010-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (use-region-p): Doc fix (Bug#6607).

2010-07-10  Aleksei Gusev  <aleksei.gusev@gmail.com>  (tiny change)

	* progmodes/compile.el (compilation-error-regexp-alist-alist): Add
	regexps for cucumber and ruby.

2010-07-08  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-error, epa-file--find-file-not-found-function)
	(epa-file-insert-file-contents): Hack to prevent
	find-file from opening empty buffer when decryption failed
	(bug#6568).

2010-07-07  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-alternate-dictionary):
	Use file-readable-p.
	Return nil if no word-list is found at default locations.
	(ispell-complete-word-dict): Default to nil.
	(ispell-command-loop): Use 'word-list' when using lookup-words.
	(lookup-words): Use ispell-complete-word-dict or
	ispell-alternate-dictionary.  Check for word-list availability
	and handle errors if needed with better messages (Bug#6539).
	(ispell-complete-word): Use ispell-complete-word-dict or
	ispell-alternate-dictionary.

2010-07-07  Christoph Scholtes  <cschol2112@gmail.com>

	* progmodes/python.el (python-font-lock-keywords): Add Python 2.7
	builtins (BufferError, BytesWarning, WindowsError; callables
	bin, bytearray, bytes, format, memoryview, next, print; __package__).

2010-07-07  Glenn Morris  <rgm@gnu.org>

	* play/zone.el (top-level): Do not require timer, tabify, or cl.
	(zone-shift-left): Ignore intangibility, and any errors from
	forward-char.
	(zone-shift-right): Remove no-op end-of-line.  Ignore intangibility.
	(zone-pgm-putz-with-case): Use upcase-region rather than inserting,
	deleting, and copying text properties.
	(zone-line-specs, zone-pgm-stress): Check forward-line exit status.
	(zone-pgm-rotate): Handle odd buffers like that of gomoku, where getting
	to point-max is hard.
	(zone-fret, zone-fill-out-screen): Replace cl's do with dotimes.
	(zone-fill-out-screen): Ignore intangibility.

2010-07-05  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-mode):
	* tool-bar.el (tool-bar-mode): Replace default-frame-alist element
	if it has been set.

	* mouse.el (mouse-drag-track): Call mouse-start-end to handle
	word/line selection (Bug#6565).

2010-07-04  Juanma Barranquero  <lekktu@gmail.com>

	* net/dbus.el (dbus-send-signal): Declare function.

2010-07-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el: Implement signal "PropertiesChanged" (from D-Bus 1.3.1).
	(dbus-register-property): New optional argument EMITS-SIGNAL.
	(dbus-property-handler): Send signal "PropertiesChanged" if requested.

2010-07-03  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-drag-overlay): Variable deleted.
	(mouse-move-drag-overlay, mouse-show-mark): Functions deleted.
	(mouse--remap-link-click-p): New function.
	(mouse-drag-track): Handle dragging by using temporary Transient
	Mark mode, instead of a special overlay.
	(mouse-kill-ring-save, mouse-save-then-kill): Don't call
	mouse-show-mark.

	* mouse-sel.el (mouse-sel-selection-alist): mouse-drag-overlay
	deleted.

2010-07-02  Juri Linkov  <juri@jurta.org>

	* autoinsert.el (auto-insert-alist): Fix readability
	by using dotted pair notation for lambda.

2010-07-02  Juri Linkov  <juri@jurta.org>

	* faces.el (read-face-name): Rename arg `string-describing-default'
	to `default'.  Doc fix.  Display the default value in quotes
	in the prompt.  With empty input, return the `default' arg,
	unless the default value is a string (in which case return nil).
	(describe-face): Replace the string `default' arg of `read-face-name'
	with the symbol `default'.

2010-07-02  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/viper-cmd.el (viper-delete-backward-char)
	(viper-del-backward-char-in-insert)
	(viper-del-backward-char-in-replace, viper-change)
	(viper-backward-indent): Replace delete-backward-char with
	delete-char (Bug#6552).

2010-07-01  Chong Yidong  <cyd@stupidchicken.com>

	* ruler-mode.el (ruler--save-header-line-format): Fix typos.

2010-06-30  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (make-frame): Add default-frame-alist to the PARAMETERS
	argument passed to frame-creation-function (Bug#5378).

	* faces.el (x-handle-named-frame-geometry)
	(x-handle-reverse-video, x-create-frame-with-faces)
	(face-set-after-frame-default, tty-create-frame-with-faces): Don't
	separately consult default-frame-alist.  It is now passed as the
	PARAMETER argument.

2010-06-30  Andreas Schwab  <schwab@linux-m68k.org>

	* startup.el (command-line): Don't call tool-bar-setup in a
	tty-only build.

2010-06-30  Chong Yidong  <cyd@stupidchicken.com>

	* ruler-mode.el (ruler--save-header-line-format): New fun.
	(ruler-mode): Use it as a setter function, so as not to overwrite
	ruler-mode-header-line-format-old if Ruler mode is on (Bug#5370).

2010-06-29  Chong Yidong  <cyd@stupidchicken.com>

	* vc/vc.el (vc-deduce-backend): New fun.  Handle diff buffers.
	(vc-root-diff, vc-print-root-log, vc-log-incoming)
	(vc-log-outgoing): Use it.
	(vc-diff-internal): Set diff-vc-backend.

	* vc/diff-mode.el (diff-vc-backend): New var.

2010-06-28  Jan Djärv  <jan.h.d@swipnet.se>

	* dynamic-setting.el (font-setting-change-default-font): Remove
	call to message.

2010-06-28  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-insert-kbd-layout): Fix the
	showing of untranslated characters.

2010-06-28  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (delete-active-region): New option.
	(delete-backward-char): Implement in Lisp.
	(delete-forward-char): New command.

	* mouse.el (mouse-region-delete-keys): Deleted.
	(mouse-show-mark): Simplify.

	* bindings.el (global-map): Bind delete and DEL, the former to
	delete-forward-char.

2010-06-27  Lennart Borgman  <lennart.borgman@gmail.com>

	* progmodes/ruby-mode.el (ruby-mode-map): Don't bind TAB.
	(ruby-mode): Bind indent-line-function (Bug#5119).

2010-06-27  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Recognize "0" X resource value.

2010-06-27  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Use X resources to set the value of
	menu-bar-mode and tool-bar-mode, before calling frame-initialize.

	* menu-bar.el (menu-bar-mode):
	* tool-bar.el (tool-bar-mode): Don't change default-frame-alist.
	Set init-value to t.

	* frame.el (frame-notice-user-settings): Don't change
	default-frame-alist based on menu-bar-mode and tool-bar-mode, or
	vice versa (Bug#2249).

2010-06-26  Eli Zaretskii  <eliz@gnu.org>

	* w32-fns.el (w32-convert-standard-filename): Doc fix.

2010-06-25  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-check-previous-highlighted-word):
	Make sure `flyspell-word' re-checks word after function run (Bug#6504).

	* textmodes/ispell.el (ispell-init-process): Make sure ispell and
	default directories are expanded (Bug#6143).

2010-06-24  Juri Linkov  <juri@jurta.org>

	* minibuffer.el (completions-format): Change default from nil to
	`horizontal'.  Remove `nil' value from :type.  Doc fix.  (Bug#6459)

2010-06-24  Juri Linkov  <juri@jurta.org>

	* vc/vc.el (vc-diff-internal): Set `revert-buffer-function'
	buffer-locally to lambda that re-runs the vc diff command.
	(Bug#6447)

2010-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* kmacro.el (kmacro-call-macro): Don't issue hint message if the
	echo area is in use (Bug#3412).

2010-06-22  Glenn Morris  <rgm@gnu.org>

	* textmodes/texinfmt.el (texinfo-format-region)
	(texinfo-raise-lower-sections, texinfo-format-separate-node)
	(texinfo-itemize-item, texinfo-multitable-item, texinfo-alias)
	(texinfo-format-option, texinfo-noindent):
	Use line-beginning-position and line-end-position.

	* calc/calc-aent.el, calc/calc-ext.el, calc/calc-lang.el:
	* calc/calc-store.el, calc/calc-units.el, calc/calc.el:
	* calc/calccomp.el: Add explicit utf-8 coding cookies to files with
	utf-8 characters.

2010-06-21  Karl Fogel  <kfogel@red-bean.com>

	* play/zone.el (zone-fall-through-ws): Fix next-line ->
	forward-line fallout.

2010-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-appearance-menu): Add docstring.

	* help.el (describe-key): Print up-event using key-description.

2010-07-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/zeroconf.el (zeroconf-resolve-service)
	(zeroconf-service-resolver-handler): Use
	`dbus-byte-array-to-string'.
	(zeroconf-publish-service): Use `dbus-string-to-byte-array'.

2010-07-03  Jan Moringen  <jan.moringen@uni-bielefeld.de>

	* net/zeroconf.el (zeroconf-service-remove-hook): New defun.

2010-06-30  Dan Nicolaescu  <dann@ics.uci.edu>

	Avoid displaying files with a nil state in vc-dir.
	* vc/vc-dir.el (vc-dir-update): Obey the noinsert argument in all
	cases that cause insertion.
	(vc-dir-resynch-file): Tell vc-dir-update to avoid inserting files
	with a nil state.

2010-06-30  Chong Yidong  <cyd@stupidchicken.com>

	* xml.el (xml-parse-region): Avoid infloop (Bug#5281).

2010-06-29  Leo  <sdl.web@gmail.com>

	* emacs-lisp/rx.el (rx): Doc fix.  (Bug#6537)

2010-06-27  Oleksandr Gavenko  <gavenkoa@gmail.com>  (tiny change)

	* generic-x.el (bat-generic-mode): Fix regexp for command line
	switches (Bug#5719).

2010-06-27  Masatake YAMATO  <yamato@redhat.com>

	* htmlfontify.el (hfy-face-attr-for-class): Use append instead
	of nconc to avoid pure storage error (Bug#6239).

2010-06-27  Christoph  <cschol2112@googlemail.com>  (tiny change)

	* bookmark.el (bookmark-bmenu-2-window, bookmark-bmenu-other-window)
	(bookmark-bmenu-other-window-with-mouse): Remove unnecessary
	bindings of bookmark-automatically-show-annotations (Bug#6515).

2010-06-25  Eli Zaretskii  <eliz@gnu.org>

	* arc-mode.el (archive-zip-extract): Don't quote the file name on
	MS-Windows and MS-DOS.  (Bug#6467, Bug#6144)

2010-06-24  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* comint.el (make-comint, make-comint-in-buffer): Mention return
	value in the docstrings.  (Bug#6498)

2010-06-24  Yoni Rabkin  <yoni@rabkins.net>

	* bs.el (bs-mode-font-lock-keywords): Remove "by" from Dired pattern,
	since it is not present when using some non-default switches.

2010-06-23  Karl Fogel  <kfogel@red-bean.com>

	* simple.el (compose-mail): Fix doc string to refer to
	`compose-mail-user-agent-warnings', instead of to the
	nonexistent `compose-mail-check-user-agent'.

2010-06-21  Alan Mackenzie  <bug-cc-mode@gnu.org>

	Fix an indentation bug:

	* progmodes/cc-mode.el (c-common-init): Initialise c-new-BEG/END.
	(c-neutralize-syntax-in-and-mark-CPP): c-new-BEG/END: Take account
	of existing values.

	* progmodes/cc-engine.el (c-clear-<-pair-props-if-match-after)
	(c-clear->-pair-props-if-match-before): now return t when they've
	cleared properties, nil otherwise.
	(c-before-change-check-<>-operators): Set c-new-beg/end correctly
	by taking account of the existing value.

	* progmodes/cc-defs.el
	(c-clear-char-property-with-value-function): Fix this to clear the
	property rather than overwriting it with nil.

2010-06-20  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-print-package): Add link to
	package description via describe-package.
	(describe-package-1): List package requirements.  Add button to
	perform installation.
	(package-menu-describe-package): New command.

	* help-mode.el (help-package): New button type.

2010-06-19  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el: Move package-list-packages binding to
	menu-bar.el.
	(describe-package, describe-package-1, package--dir): New funs.
	(package-activate-1): Use package--dir.

	* emacs-lisp/package-x.el (gnus-article-buffer): Require package.

	* help-mode.el (help-package-def): New button type.

	* menu-bar.el: Move package-list-packages binding here from
	package.el.

2010-06-19  Gustav Hållberg  <gustav@gmail.com>  (tiny change)

	* descr-text.el (describe-char): Avoid trailing whitespace.  (Bug#6423)

2010-06-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/edebug.el (edebug-read-list):
	Phase out old-style backquotes.

2010-06-17  Juri Linkov  <juri@jurta.org>

	* help-mode.el (help-mode): Set buffer-local variable
	revert-buffer-function to help-mode-revert-buffer.
	(help-mode-revert-buffer): New function.

	* info.el (Info-revert-find-node): Check for major-mode Info-mode
	before popping to "*info*" (like in other Info functions).
	Keep buffer-name in old-buffer-name.  Keep Info-history-forward in
	old-history-forward.  Pop to old-buffer-name or "*info*" to
	recreate the killed buffer.  Set Info-history-forward from
	old-history-forward.
	(Info-breadcrumbs-depth): Add :group and :version.

2010-06-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/package.el (package-menu-mode-map): Add a menu.

2010-06-17  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-aspell-find-dictionary): Fix regexp
	for languages like Portuguese with pt_{BR,PT} and no plain pt.

2010-06-17  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/package.el (package-menu-mode-map):
	Move initialization into declaration.

	* menu-bar.el (menu-bar-options-menu): Fix typo in menu entry.

2010-06-17  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-archive-base): Point to
	elpa.gnu.org.
	(package-enable, package-load-list): New defcustoms.
	(package-user-dir, package-directory-list): Turn into defcustoms.
	Don't include package-user-dir in package-directory-list.
	(package--builtins-base): Don't include Emacs as a "package".
	(package-subdirectory-regexp): New var.
	(package-load-all-descriptors, package-compute-transaction)
	(package-download-transaction): Obey package-load-list.
	(package-activate-1): Rename from package-do-activate.
	(package-list-packages-internal): Check package-load-list.
	(package-load-descriptor, package-generate-autoloads)
	(package-unpack, package-unpack-single)
	(package--read-archive-file, package-delete): Use
	expand-file-name.

	* emacs-lisp/package-x.el: New file.  Package uploading
	functionality split out from package.el.

	* startup.el (command-line): Load packages after reading init
	file.

2010-06-17  Tom Tromey  <tromey@redhat.com>

	* emacs-lisp/package.el: New file.

2010-06-22  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix vc-annotate for renamed files when using Git.
	* vc-git.el (vc-git-find-revision): Deal with empty results from
	ls-files.  Doe not pass the object as a file name to cat-file, it
	is not a file name.
	(vc-git-annotate-command): Pass the file name using -- to avoid
	ambiguity with the revision.
	(vc-git-previous-revision): Pass a relative file name.

2010-06-22  Glenn Morris  <rgm@gnu.org>

	* progmodes/js.el (js-mode-map): Use standard capitalization and
	ellipses for menu entries.

	* wid-edit.el (widget-complete): Doc fix.

2010-06-22  Jürgen Hötzel  <juergen@hoetzel.info>  (tiny change)

	* wid-edit.el (widget-complete): Fix typo in 2009-12-02 change.

2010-06-22  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix annotating other revisions for renamed files in vc-annotate.
	* vc-annotate.el (vc-annotate): Add an optional argument for the
	VC backend.  Use it when non-nil.
	(vc-annotate-warp-revision): Pass the VC backend to vc-annotate.
	(Bug#6487)

	Fix vc-annotate-show-changeset-diff-revision-at-line for git.
	* vc-annotate.el (vc-annotate-show-diff-revision-at-line-internal):
	Do not pass the file name to the 'previous-revision call when we
	don't want a file diff.  (Bug#6489)

2010-06-21  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix finding revisions for renamed files in vc-annotate.
	* vc.el (vc-find-revision): Add an optional argument for
	the VC backend.  Use it when non-nil.
	* vc-annotate.el (vc-annotate-find-revision-at-line): Pass the VC
	backend to vc-find-revision.  (Bug#6487)

2010-06-21  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix reading file names in Git annotate buffers.
	* vc-git.el (vc-git-annotate-extract-revision-at-line): Remove
	trailing whitespace.  Suggested by Eric Hanchrow.  (Bug#6481)

2010-06-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-hack-hook): When the mode is set
	in file local variables, set it first.

2010-06-19  Glenn Morris  <rgm@gnu.org>

	* descr-text.el (describe-char-unicode-data): Insert separating
	space when needed.  (Bug#6422)

	* progmodes/idlwave.el (idlwave-action-and-binding):
	Fix typo in 2009-12-03 change.  (Bug#6450)

2010-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/macroexp.el (macroexpand-all-1): Put back special
	handling for `lambda' (misunderstanding).

2010-06-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-poly.el (math-accum-factors): Make sure that
	constants aren't distributed after they are factored out.

2010-06-16  Juri Linkov  <juri@jurta.org>

	* facemenu.el (list-colors-display): Call `pop-to-buffer' before
	`list-colors-print'.  (Bug#6332)

	* subr.el (read-quoted-char): Fix up last change (bug#6290).

2010-06-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/macroexp.el (macroexpand-all-1): Don't handle `lambda'
	specially, since it's a macro.  Fix up wrong hint passed to maybe-cons.

	* font-lock.el (font-lock-major-mode): Rename from
	font-lock-mode-major-mode to distinguish it from
	global-font-lock-mode's own font-lock-mode-major-mode (bug#6135).
	(font-lock-set-defaults):
	* font-core.el (font-lock-default-function): Adjust users.
	(font-lock-mode): Don't set it at all.

2010-06-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-annotate.el (vc-annotate): Use vc-read-revision.

2010-06-16  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-time-msg-list): Doc fix.
	(appt-check): Let-bind appt-warn-time.
	(appt-add): Make the 3rd argument optional.
	Simplify argument names.  Doc fix.  Check for integer WARNTIME.
	Only add WARNTIME to the output list if non-nil.

2010-06-16  Ivan Kanis  <apple@kanis.eu>

	* calendar/appt.el (appt-check): Let the 3rd element of
	appt-time-msg-list specify the warning time.
	(appt-add): Add new argument with the warning time.  (Bug#5176)

2010-06-16  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* vc-svn.el (vc-svn-after-dir-status): Fix regexp for Subversions
	older than version 1.6.  (Bug#6361)

2010-06-16  Helmut Eller  <eller.helmut@gmail.com>

	* emacs-lisp/cl-macs.el (destructuring-bind): Bind `bind-enquote',
	used by cl-do-arglist.  (Bug#6408)

2010-06-16  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-dictionary-base-alist): Fix
	portuguese casechars/not-casechars for missing 'çÇ'.
	Suggested by Rolando Pereira (bug#6434).

2010-06-15  Juanma Barranquero  <lekktu@gmail.com>

	* facemenu.el (list-colors-sort): Doc fix.

2010-06-15  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* progmodes/sql.el (sql-connect-mysql): Fix typo.

2010-06-14  Juri Linkov  <juri@jurta.org>

	Add sort option `list-colors-sort'.  (Bug#6332)
	* facemenu.el (color-rgb-to-hsv): New function.
	(list-colors-sort): New defcustom.
	(list-colors-sort-key): New function.
	(list-colors-display): Doc fix.  Sort list according to the option
	`list-colors-sort'.
	(list-colors-print): Add HSV values to `help-echo' property of
	RGB strings.

2010-06-14  Juri Linkov  <juri@jurta.org>

	* compare-w.el: Move to the "vc" subdirectory.

2010-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* image-mode.el (image-mode-map): Remap left-char and right-char.

	* nxml/nxml-mode.el (nxml-indent-line): Standardize indent behavior.

2010-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* term/common-win.el (x-colors): Add all the color names defined
	in rgb.txt (Bug#6332).

	* facemenu.el (list-colors-print): Don't print extra names if it
	will overflow the window width.

	* vc/log-edit.el (log-edit-font-lock-keywords): Revert 2010-06-02
	change (Bug#6343).

2010-06-12  Eli Zaretskii  <eliz@gnu.org>

	* files.el (make-directory): Doc fix (bug#6396).

2010-06-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-process-environment): Protect version
	string by apostroph.
	(tramp-shell-prompt-pattern): Do not use a shy group in case of
	XEmacs.
	(tramp-file-name-for-operation): Add `call-process-region'.
	(tramp-set-process-query-on-exit-flag): Fix wrong parentheses.

	* net/tramp-compat.el (top): Do not autoload
	`tramp-handle-file-remote-p'.  Load tramp-util.el and tramp-vc.el
	only when `start-file-process' is not bound.
	(tramp-advice-file-expand-wildcards): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-compat-make-temp-file): Handle the case, that
	`make-temp-file' has no third argument EXTENSION.

2010-06-11  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (WINS_BASIC): Include new directory vc.

	* loadup.el ("vc-hooks", "ediff-hook"): Load from lisp/vc/.

2010-06-11  Juri Linkov  <juri@jurta.org>

	* finder.el (finder-known-keywords): Add keyword "vc"
	for version control.

	* add-log.el, cvs-status.el, diff.el, diff-mode.el, ediff.el,
	* emerge.el, log-edit.el, log-view.el, pcvs.el, smerge-mode.el,
	* vc-annotate.el, vc-bzr.el, vc-dir.el, vc-dispatcher.el, vc-git.el,
	* vc-hg.el, vc-mtn.el, vc.el: Add keyword "vc".

2010-06-11  Juri Linkov  <juri@jurta.org>

	Move version control related files to the "vc" subdirectory.
	* add-log.el, cvs-status.el, diff.el, diff-mode.el, ediff-diff.el,
	* ediff.el, ediff-help.el, ediff-hook.el, ediff-init.el,
	* ediff-merg.el, ediff-mult.el, ediff-ptch.el, ediff-util.el,
	* ediff-vers.el, ediff-wind.el, emerge.el, log-edit.el, log-view.el,
	* pcvs-defs.el, pcvs.el, pcvs-info.el, pcvs-parse.el, pcvs-util.el,
	* smerge-mode.el, vc-annotate.el, vc-arch.el, vc-bzr.el, vc-cvs.el,
	* vc-dav.el, vc-dir.el, vc-dispatcher.el, vc.el, vc-git.el,
	* vc-hg.el, vc-hooks.el, vc-mtn.el, vc-rcs.el, vc-sccs.el, vc-svn.el:
	Move files to the "vc" subdirectory.

2010-06-11  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-password-prompt-regexp): Fix 2010-04-10 change
	(Bug#6367).

2010-06-11  Stephen Eglen  <stephen@gnu.org>

	* shell.el: Bind `shell-resync-dirs' to M-RET.

2010-06-10  Michael Albinus  <michael.albinus@gmx.de>

	* notifications.el: Move file from lisp/net, because it is
	supposed to talk locally to the user.

2010-06-10  Julien Danjou  <julien@danjou.info>

	* net/notifications.el (notifications-on-action-signal)
	(notifications-on-closed-signal): Pass notification id as first
	argument to the callback functions.  Add docstrings.
	(notifications-notify): Fix docstring.

2010-06-10  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-ignored-files)
	(authors-valid-file-names): Add some files.

2010-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/rcirc.el (rcirc-server-alist, rcirc, rcirc-connect): Resolve
	merge conflict, giving preference to the emacs-23 version of the code.

2010-06-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/advice.el (ad-compile-function):
	Define warning-suppress-types before we let-bind it (bug#6275).

	* vc-dispatcher.el: Rename mode-line-hook to vc-mode-line-hook;
	declare it, make it buffer-local and permanent-local (bug#6324).
	(vc-resynch-window): Adjust name.
	* vc-hooks.el (vc-find-file-hook): Adjust name.

2010-06-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/notifications.el (notifications-notify): Fix docstring.

2010-06-09  Juanma Barranquero  <lekktu@gmail.com>

	Update to Unicode 6.0.0 beta.
	* international/charprop.el: Update copyright.
	* international/mule-cmds.el (ucs-names): Update character ranges.
	* international/uni-bidi.el:
	* international/uni-category.el:
	* international/uni-combining.el:
	* international/uni-comment.el:
	* international/uni-decimal.el:
	* international/uni-decomposition.el:
	* international/uni-digit.el:
	* international/uni-lowercase.el:
	* international/uni-mirrored.el:
	* international/uni-name.el:
	* international/uni-numeric.el:
	* international/uni-old-name.el:
	* international/uni-titlecase.el:
	* international/uni-uppercase.el: Regenerate.

2010-06-09  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/smie.el (comment-string-strip): Declare function.
	(smie-precs-precedence-table): Fix typo in docstring.

	* vc-mtn.el (log-edit-extract-headers): Declare function.

	* vc-hg.el (log-edit-extract-headers): Remove duplicate declaration.

	* net/notifications.el (dbus-register-signal): Declare function.
	(notifications-notify): Fix typos and reflow docstring.

2010-06-09  Dan Nicolaescu  <dann@ics.uci.edu>

	Improve VC create/retrieve tag/branch.
	* vc.el (vc-create-tag): Do not read the directory name for VCs
	with repository revision granularity.  Adjust the tag/branch
	prompt.  Reset VC properties.
	(vc-retrieve-tag): Do not read the directory name for VCs
	with repository revision granularity.  Reset VC properties.

2010-06-09  Julien Danjou  <julien@danjou.info>

	* net/notifications.el: New file.

2010-06-09  Dan Nicolaescu  <dann@ics.uci.edu>

	Add optional support for resetting VC properties.
	* vc-dispatcher.el (vc-resynch-window): Add new optional argument,
	call vc-file-clearprops when true.
	(vc-resynch-buffer): Add new optional argument, pass it down.
	(vc-resynch-buffers-in-directory): Likewise.

	Improve support for special markup in the VC commit message.
	* vc-mtn.el (vc-mtn-checkin): Add support for Author: and Date: markup.
	* vc-hg.el (vc-hg-checkin): Add support for Date:.
	* vc-git.el (vc-git-checkin):
	* vc-bzr.el (vc-bzr-checkin): Likewise.

2010-06-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent-keyword): Remove special case that
	can be handled with a ((:before "fn") (:prev "=>" parent)) rule.

2010-06-07  Martin Pohlack  <mp26@os.inf.tu-dresden.de>

	* iimage.el: Remove images as soon as the underlying text is modified.
	(iimage-modification-hook): New function.
	(iimage-mode-buffer): Use it.

2010-06-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent-offset-rule): Rename from
	smie-indent-offset-after.  Add :prev case.  Make a bit more generic.
	(smie-indent-virtual): Remove `virtual' arg.  Update callers.
	(smie-indent-keyword): Add handling of open-paren keywords.
	(smie-indent-comment-continue): Don't assume comment-continue.

2010-06-07  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-to-buffer): Remove the conditional that
	compares new-window and old-window, so it will reselect
	the selected window unconditionally.
	http://lists.gnu.org/archive/html/emacs-devel/2010-06/msg00078.html

2010-06-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent-offset-after)
	(smie-indent-forward-token, smie-indent-backward-token): New functions.
	(smie-indent-after-keyword): Use them.
	(smie-indent-fixindent): Only applies to the indentation of the BOL.
	(smie-indent-keyword): Tweak the black magic.
	(smie-indent-comment-continue): Strip comment-continue before use.
	(smie-indent-functions): Indent comments before keywords.

2010-06-06  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-lazy-highlight-search): Fix looping
	by checking for empty match.  This syncs this loop with the
	similar loop in `isearch-search'.  (Bug#6362)

2010-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* net/dbus.el (dbus-register-method): Declare function.
	(dbus-handle-event, dbus-property-handler): Fix typos in docstrings.
	(dbus-introspect): Doc fix.
	(dbus-event-bus-name, dbus-introspect-get-interface)
	(dbus-introspect-get-argument): Reflow docstrings.

2010-06-05  Dan Nicolaescu  <dann@ics.uci.edu>

	vc-log-incoming/vc-log-outgoing fixes for Git.
	* vc-git.el (vc-git-log-view-mode): Fix font lock for
	incoming/outgoing logs.
	(vc-git-log-outgoing, vc-git-log-incoming): Use @{upstream}
	instead of vc-git-compute-remote.
	(vc-git-compute-remote): Remove.

2010-06-04  Chong Yidong  <cyd@stupidchicken.com>

	* term/common-win.el (x-colors): Add "dark green" and "dark
	turquoise" (Bug#6332).

2010-06-04  Juri Linkov  <juri@jurta.org>

	* simple.el (kill-new): Fix logic of kill-do-not-save-duplicates.
	Instead of setting `replace' to t and replacing the same string
	with itself, don't do certain actions when
	kill-do-not-save-duplicates is non-nil and string is equal to car
	of kill-ring: don't call menu-bar-update-yank-menu, don't push
	interprogram-paste strings to kill-ring, and don't push the input
	argument `string' to kill-ring.
	http://lists.gnu.org/archive/html/emacs-devel/2010-06/msg00072.html

2010-06-04  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (directory-sep-char): Move from fileio.c and make a defconst.

2010-06-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-handle-expand-file-name): Expand "~/".
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Handle default-location.

	* net/tramp-smb.el (tramp-smb-handle-delete-directory): Don't try to
	move files to trash.

2010-06-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (nonascii-insert-offset)
	(nonascii-translation-table): Add obsolescence information.

	* international/mule.el (make-translation-table-from-vector): Doc fix.

2010-06-03  Eric Ludlam  <zappo@gnu.org>

	* cedet/semantic/lex-spp.el
	(semantic-lex-spp-table-write-slot-value): Instead of erroring on
	invalid values during save, just save a nil (Bug#6324).

2010-06-03  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-clear-preserve-buffers):
	Add "*Warnings*" buffer.  (Bug#6336)

2010-06-03  Dan Nicolaescu  <dann@ics.uci.edu>

	vc-log-incoming/vc-log-outgoing improvements for Git.
	* vc-git.el (vc-git-log-outgoing): Use the same format as the
	short log.
	(vc-git-log-incoming): Likewise.  Run "git fetch" before the log command.

	Add bindings for vc-log-incoming and vc-log-outgoing.
	* vc-hooks.el (vc-prefix-map): Add bindings for vc-log-incoming
	and vc-log-outgoing.
	* vc-dir.el (vc-dir-menu-map): Add menu bindings for vc-log-incoming
	and vc-log-outgoing.

2010-06-03  Chong Yidong  <cyd@stupidchicken.com>

	* net/rcirc.el (rcirc-sort-nicknames): Remove.
	(rcirc-handler-366): Always sort nicknames.

2010-06-03  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/smie.el (comment-continue): Declare for byte-compiler.

2010-06-03  Chong Yidong  <cyd@stupidchicken.com>

	* net/rcirc.el (rcirc-nickname<, rcirc-sort-nicknames-join): Doc fix.

2010-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/rcirc.el (rcirc-sort-nicknames): Change default.
	(rcirc-sort-nicknames-join): Avoid setq.

2010-06-03  Deniz Dogan  <deniz.a.m.dogan@gmail.com>

	* net/rcirc.el (rcirc-sort-nicknames): New custom.
	(rcirc-nickname<, rcirc-sort-nicknames-join): New funs.
	(rcirc-handler-366): Use them.

2010-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	Split smie-indent-calculate into more manageable chunks.
	* emacs-lisp/smie.el (smie-indent-virtual, smie-indent-fixindent)
	(smie-indent-comment, smie-indent-after-keyword, smie-indent-keyword)
	(smie-indent-close, smie-indent-comment-continue, smie-indent-bob)
	(smie-indent-exps): Extract from smie-indent-calculate.
	(smie-indent-functions): New var.
	(smie-indent-functions): Use them.

2010-06-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent-hanging-p): Use smie-bolp.
	(smie-indent-calculate): Simplify and cleanup.

2010-06-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (top): Require url-util.
	(tramp-gvfs-mount-point): Remove.
	(tramp-gvfs-stringify-dbus-message, tramp-gvfs-send-command):
	New defuns.
	(with-tramp-dbus-call-method): Format trace message.
	(tramp-gvfs-handle-copy-file, tramp-gvfs-handle-rename-file):
	Implement backup call, when operation on local files fails.
	Use progress reporter.  Flush properties of changed files.
	(tramp-gvfs-handle-make-directory): Make more traces.
	(tramp-gvfs-url-file-name): Hexify file name in url.
	(tramp-gvfs-fuse-file-name): Take also prefix (like dav shares)
	into account for the resulting file name.
	(tramp-gvfs-handler-askquestion): Return dummy mountpoint, when
	the answer is "no".  See `tramp-gvfs-maybe-open-connection'.
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Test also for new mountspec
	attribute "default_location".  Set "prefix" property.
	(tramp-gvfs-mount-spec): Return both prefix and mountspec.
	(tramp-gvfs-maybe-open-connection): Test, whether mountpoint
	exists.  Raise an error, if not (due to a corresponding answer
	"no" in interactive questions, for example).

2010-06-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* log-edit.el (log-edit-font-lock-keywords): Make group 4 match lax.

2010-06-01  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/eldoc.el: Add completions for new commands left-* and
	right-*.  (Bug#6265)

2010-06-01  Dan Nicolaescu  <dann@ics.uci.edu>

	Add support for vc-log-incoming, improve vc-log-outgoing for Git.
	* vc-git.el (vc-git-compute-remote): New function.
	(vc-git-log-outgoing): Use it instead of hard coding a value.
	(vc-git-log-incoming): New function.

	Improve state updating for VC tag commands.
	* vc.el (vc-create-tag, vc-retrieve-tag): Call vc-resynch-buffer
	to update the state of all buffers in the directory.

	* vc-dir.el (vc-dir-update): Remove entries with a nil state (bug#5539).

2010-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-revision-completion-table): Apply
	`file-directory-p' to the filename part rather than to the whole text.

2010-05-31  Jonathan Marchand  <jonathlela@gmail.com>  (tiny change)

	* cedet/ede/cpp-root.el (ede-set-project-variables): Fix feature name
	(bug#6231).

2010-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el (Man-completion-table): Let the user type "-k " (bug#6319).

2010-05-31  Drew Adams  <drew.adams@oracle.com>

	* files.el (directory-files-no-dot-files-regexp): Doc fix (bug#6298).

2010-05-31  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (momentary-string-display): Just use read-event to read
	the exit event (Bug#6238).

2010-05-30  Eli Zaretskii  <eliz@gnu.org>

	* international/mule.el (define-coding-system): Doc fix (bug#6313).

2010-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/cua-base.el: Recognize also `right-word' and `left-word'.
	Suggested by Eli Zaretskii <eliz@gnu.org>.

2010-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-file-name-table): Don't return a boundary
	past the end of `string' (bug#6299).
	(completion--file-name-table): Delegate to completion-file-name-table
	for the `boundaries' case.

2010-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/cua-base.el: Recognize `right-char' and `left-char' as
	movement commands.

	* progmodes/ada-xref.el (ada-prj-ada-project-path-sep): Set from
	`path-separator', but maintain compatibility with Emacs 20.2.

2010-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): Receive parent-id argument
	from emacsclient.
	(server-create-window-system-frame): New arg.  Pass parent-id as
	frame parameter.

2010-05-29  Eli Zaretskii  <eliz@gnu.org>

	Bidi-sensitive word movement with arrow keys.
	* subr.el (right-arrow-command, left-arrow-command): Move to
	bindings.el.

	* bindings.el (right-char, left-char): Move from subr.el and
	rename from right-arrow-command and left-arrow-command.
	(right-word, left-word): New functions.
	(global-map) <right>: Bind to right-char.
	(global-map) <left>: Bind to left-char.
	(global-map) <C-right>: Bind to right-word.
	(global-map) <C-left>: Bind to left-word.

	* ls-lisp.el (ls-lisp-classify-file): New function.
	(ls-lisp-insert-directory): Call it if switches include -F (bug#6294).
	(ls-lisp-classify): Call ls-lisp-classify-file.
	(insert-directory): Remove blanks from switches.

2010-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* ansi-color.el: Delete unused escape sequences (Bug#6085).
	(ansi-color-drop-regexp): New constant.
	(ansi-color-apply, ansi-color-filter-region)
	(ansi-color-apply-on-region): Delete unrecognized control sequences.
	(ansi-color-apply): Build string list before calling concat.

2010-05-28  Juri Linkov  <juri@jurta.org>

	* image-dired.el (image-dired-dired-toggle-marked-thumbs):
	Replace LOCALP arg of `dired-get-filename' 'no-dir with nil.
	(Bug#5270)

2010-05-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-debug-message): Add `tramp-compat-funcall'
	to ignored backtrace functions.
	(with-progress-reporter): Expand docstring.
	(tramp-handle-delete-file): Implement TRASH argument.
	(tramp-get-remote-trash): New defun.

2010-05-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el (tramp-compat-delete-file): Use
	`symbol-value' for backward compatibility.

	* net/tramp.el (tramp-handle-make-symbolic-link)
	(tramp-handle-load)
	(tramp-do-copy-or-rename-file-via-buffer)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-handle-process-file, tramp-handle-call-process-region)
	(tramp-handle-shell-command, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-delete-temp-file-function): Use `delete-file' instead
	of `tramp-compat-delete-file'.

	* net/tramp-fish.el (tramp-fish-handle-delete-directory)
	(tramp-fish-handle-make-symbolic-link)
	(tramp-fish-handle-process-file): Use `delete-file' instead
	of `tramp-compat-delete-file'.

	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Use
	`delete-file' instead of `tramp-compat-delete-file'.

	* net/tramp-gvfs.el (tramp-gvfs-handle-delete-file): Rename arg.
	(tramp-gvfs-handle-write-region): Use `delete-file' instead of
	`tramp-compat-delete-file'.

	* net/tramp-imap.el (tramp-imap-do-copy-or-rename-file): Use
	`delete-file' instead of `tramp-compat-delete-file'.

	* net/tramp-smb.el (tramp-smb-handle-copy-file)
	(tramp-smb-handle-file-local-copy, tramp-smb-handle-rename-file)
	(tramp-smb-handle-write-region): Use `delete-file' instead of
	`tramp-compat-delete-file'.
	(tramp-smb-handle-delete-directory): Use 'trash as arg.

2010-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-delete-file): New arg TRASH.
	(dired-internal-do-deletions): New arg TRASH.  Use progress reporter.
	(dired-do-flagged-delete, dired-do-delete): Use trash.

	* speedbar.el (speedbar-item-delete): Allow trashing.

	* files.el (delete-directory): New arg TRASH.

	* net/ange-ftp.el (ange-ftp-del-tmp-name, ange-ftp-delete-file)
	(ange-ftp-rename-remote-to-remote)
	(ange-ftp-rename-local-to-remote)
	(ange-ftp-rename-remote-to-local, ange-ftp-load)
	(ange-ftp-compress, ange-ftp-uncompress): Remove optional arg from
	`delete-file'.
	(ange-ftp-delete-directory): Add optional arg to `delete-file', to
	allow trashing.

	* net/tramp-compat.el (tramp-compat-delete-file): Rewrite to
	handle new TRASH arg of `delete-file'.

	* net/tramp.el (tramp-handle-delete-file): Change FORCE arg to TRASH.
	(tramp-handle-make-symbolic-link, tramp-handle-load)
	(tramp-do-copy-or-rename-file-via-buffer)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-handle-process-file, tramp-handle-call-process-region)
	(tramp-handle-shell-command, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-delete-temp-file-function): Use null TRASH arg in
	tramp-compat-delete-file call.

	* net/tramp-fish.el (tramp-fish-handle-delete-directory)
	(tramp-fish-handle-delete-file)
	(tramp-fish-handle-make-symbolic-link)
	(tramp-fish-handle-process-file): Use null TRASH arg in
	`tramp-compat-delete-file' call.

	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Use null TRASH
	arg in `tramp-compat-delete-file' call.

	* net/tramp-gvfs.el (tramp-gvfs-handle-delete-file): Rename arg.
	(tramp-gvfs-handle-write-region): Use null TRASH arg in
	`tramp-compat-delete-file' call.

	* net/tramp-imap.el (tramp-imap-handle-delete-file): Rename arg.
	(tramp-imap-do-copy-or-rename-file): Use null TRASH arg in
	`tramp-compat-delete-file' call.

	* net/tramp-smb.el (tramp-smb-handle-copy-file)
	(tramp-smb-handle-file-local-copy, tramp-smb-handle-rename-file)
	(tramp-smb-handle-write-region): Use null TRASH arg in
	tramp-compat-delete-file call.
	(tramp-smb-handle-delete-directory): Use tramp-compat-delete-file.
	(tramp-smb-handle-delete-file): Rename arg.

	* diff.el (diff-sentinel):
	* epg.el (epg--make-temp-file, epg-decrypt-string)
	(epg-verify-string, epg-sign-string, epg-encrypt-string):
	* jka-compr.el (jka-compr-partial-uncompress)
	(jka-compr-call-process, jka-compr-write-region):
	* server.el (server-sentinel): Remove optional arg from
	delete-file, reverting 2010-05-03 change.

2010-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/verilog-mode.el (verilog-type-font-keywords): Use
	font-lock-constant-face, not obsolete font-lock-reference-face.

2010-05-27  Kenichi Handa  <handa@m17n.org>

	* language/hebrew.el (hebrew-shape-gstring): Check if a glyph
	element of GSTRING is nil.

2010-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-forward-token-function)
	(smie-backward-token-function): New vars.
	(smie-backward-sexp, smie-forward-sexp)
	(smie-indent-hanging-p, smie-indent-calculate): Use them.
	(smie-default-backward-token): Rename from smie-backward-token and
	skip comments.
	(smie-default-forward-token): Rename from smie-forward-token and
	skip comments.
	(smie-next-sexp): Handle nil results from next-token.
	(smie-indent-calculate): Add a new case for special `fixindent' comments.

2010-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/verilog-mode.el (verilog-type-font-keywords):
	Use font-lock-constant-face, not obsolete font-lock-reference-face.

2010-05-27  Masatake YAMATO  <yamato@redhat.com>

	* htmlfontify.el (hfy-face-resolve-face): New function.
	(hfy-face-to-style): Use it (Bug#6279).

2010-05-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ada-xref.el (ada-gnat-parse-gpr):
	* emulation/edt.el (edt-load-keys): Avoid (expand-file-name ".").

2010-05-26  Glenn Morris  <rgm@gnu.org>

	* emulation/edt.el (edt-load-keys): Use locate-library.

2010-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* log-edit.el (log-edit-strip-single-file-name): Default to nil.
	(log-edit-changelog-entries): Doc fix.
	(log-edit-changelog-insert-entries): Args changed.
	Rename relative filenames in ChangeLog entries.  Delete tabs.
	(log-edit-insert-changelog-entries): Reorganize return value of
	`log-edit-changelog-entries' to pass filenames to
	log-edit-changelog-insert-entries.

2010-05-25  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* dired.el (dired-mode-map): Rebind "\C-t\C-t" from
	`image-dired-dired-insert-marked-thumbs' to
	`image-dired-dired-toggle-marked-thumbs'.

	* image-dired.el: Require cl when compiling.
	(image-dired-dired-toggle-marked-thumbs): Rename from
	`image-dired-dired-insert-marked-thumbs'.  Add ARG.  Doc fix.
	Use interactive spec "P".  Set LOCALP arg of `dired-get-filename'
	to 'no-dir.  Skip files whose names don't match
	`image-file-name-regexp'.  When file has a thumbnail overlay,
	delete it.  (Bug#5270)

2010-05-25  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-mode): Add image-after-revert-hook to
	after-revert-hook.
	(image-after-revert-hook): New function.  (Bug#5669)

2010-05-25  Juri Linkov  <juri@jurta.org>

	* image.el (image-animated-p): When delay between animated images
	is 0, set it to 10 (0.1 sec).  (Bug#6258)

2010-05-25  Christian Lynbech  <christian.lynbech@tieto.com>  (tiny change)

	* net/tramp.el (tramp-handle-insert-directory): Don't use
	`forward-word', its default syntax could be changed.

2010-05-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-progress-reporter-update): New defun.
	(with-progress-reporter): Use it.
	(tramp-process-actions):
	* net/tramp-gvfs.el (tramp-gvfs-handler-askquestion): Preserve
	current message, in order to let progress reporter continue
	afterwards.  (Bug#6257)

2010-05-25  Glenn Morris  <rgm@gnu.org>

	* net/rcirc.el (rcirc-default-user-name, rcirc-default-full-name):
	Add :version.

2010-05-25  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-default-user-name): Change to "user".
	(rcirc-default-full-name): Change to "unknown".
	(rcirc-user-name-history): Add variable.

2010-05-25  Ryan Yeske  <rcyeske@gmail.com>
            Jonathan Rockway  <jon@jrock.us>

	* net/rcirc.el (rcirc-server-alist): Add :pass.
	(rcirc): When prompting for connection parameters, also prompt for
	username and password.
	(rcirc-connect): Take a PASS argument.  If PASS is non-nil, send
	value to server when connecting.

2010-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-set-prec2tab): Check override before use.
	(smie-merge-prec2s): Pass the tables as separate args.
	(smie-bnf-precedence-table): Adjust call accordingly.
	(smie-prec2-levels): Set levels at the end.

	Replace Lisp calls to delete-backward-char by delete-char.
	* bs.el, expand.el, ido.el, image-dired.el, lpr.el, pcomplete.el,
	* skeleton.el, term.el, time.el, wid-edit.el, woman.el,
	* calc/calc-graph.el, calc/calc-help.el, calc/calc-incom.el,
	* calc/calc.el, emacs-cl-extra.el, emacs-cl-loaddefs.el,
	* emulation/cua-rect.el, emulation/viper-ex.el, eshell/esh-test.el,
	* eshell/eshell.el, gnus/gnus-uu.el, gnus/nndoc.el, gnus/nnrss.el,
	* gnus/rfc2047.el, gnus/utf7.el, international/utf-7.el,
	* language/ethio-util.el, mh-e/mh-alias.el, mh-e/mh-search.el,
	* net/imap.el, net/rcirc.el, obsolete/complete.el, play/decipher.el,
	* progmodes/ada-mode.el, progmodes/cc-awk.el, progmodes/dcl-mode.el,
	* progmodes/ps-mode.el, progmodes/verilog-mode.el,
	* progmodes/vhdl-mode.el, textmodes/bibtex.el, textmodes/fill.el,
	* textmodes/reftex-auc.el, textmodes/rst.el, textmodes/sgml-mode.el,
	* textmodes/table.el, textmodes/texinfmt.el: Replace Lisp calls to
	delete-backward-char by calls to delete-char.

2010-05-25  Kenichi Handa  <handa@m17n.org>

	* language/hebrew.el (hebrew-shape-gstring): New function.
	Register it in composition-function-table for all Hebrew combining
	characters.

2010-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* epa.el (epa--select-keys): Don't explicitly delete the window since
	that can fail (e.g. sole window in frame).  Use dedication instead.

2010-05-24  Uday S Reddy  <u.s.reddy@cs.bham.ac.uk>  (tiny change)

	* textmodes/fill.el (fill-region): Don't fill past the end (bug#6201).

2010-05-22  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (image-refresh): Define as an alias for image-flush.

	* image-mode.el (image-toggle-display-image): Caller changed.

2010-05-21  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep-read-files): Fix multi-pattern aliases.
	Remove "all" from grep-files-aliases.  Split grep-files-aliases by
	whitespace, call wildcard-to-regexp on substrings and concat them
	with "\\|".  (Bug#6114)

2010-05-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-parse-state-get-strategy):
	Replace parameter `here' with `here-' and `here-plus', which sandwich
	any pertinent CPP construct.
	(c-remove-stale-state-cache-backwards): Fix a bug which happens
	when doing (c-parse-state) in a CPP construct: Exclude any "new"
	CPP construct from taking part in the scanning.

2010-05-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file)
	(tramp-handle-file-local-copy, tramp-maybe-open-connection):
	Tune `with-progress-reporter' messages.
	(tramp-handle-vc-registered):
	* net/tramp-fish.el (tramp-fish-handle-file-local-copy)
	(tramp-fish-handle-insert-file-contents)
	(tramp-fish-maybe-open-connection):
	* net/tramp-gvfs.el (tramp-gvfs-maybe-open-connection):
	* net/tramp-imap.el (tramp-imap-do-copy-or-rename-file)
	(tramp-imap-handle-insert-file-contents)
	(tramp-imap-handle-file-local-copy): Use `with-progress-reporter'.

2010-05-21  Juanma Barranquero  <lekktu@gmail.com>

	* add-log.el (change-log-font-lock-keywords):
	Highlight all authors in multi-author entries.

	* smerge-mode.el (smerge-refine-ignore-whitespace)
	(smerge-refine-weight-hack, smerge-refine, smerge-makeup-conflict):
	Fix typos in docstrings.
	(smerge-resolve, smerge-refine-subst): Reflow docstrings.

2010-05-21  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-mode):
	* progmodes/f90.el (f90-mode): Derive from prog-mode.

	* loadup.el [CANNOT_DUMP]: Update for bootstrap-emacs no longer
	having a relative path in src/Makefile.in.

2010-05-20  Kevin Ryde  <user42@zip.com.au>

	* help-mode.el (help-make-xrefs): For Info node links turn
	newlines into spaces.  Link node names with newlines are matched
	by help-xref-info-regexp and buttonized, this change ensures they
	can be followed successfully with RET.  (Bug#6206)

2010-05-20  Juri Linkov  <juri@jurta.org>

	* locate.el (locate): Use pop-to-buffer instead of
	switch-to-buffer-other-window.  (Bug#6204)

2010-05-20  Juri Linkov  <juri@jurta.org>

	* replace.el (replace-highlight): Fix lazy-highlighting
	for `M-s w str M-% str RET'.

2009-12-15  Masatake YAMATO  <yamato@redhat.com>

	* isearch.el (isearch-yank-word-or-char): Pull next subword
	when `subword-mode' is activated.  (Bug#6220)

2010-05-20  Mark A. Hershberger  <mah@everybody.org>

	* isearch.el (isearch-update-post-hook): New hook.
	(isearch-update): Use the new hook.  (Bug#6225)

2010-05-20  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Bind more keys to isearch-help-map:
	[f1], [help], and (char-to-string help-char) instead of "\C-h".
	(Bug#6222)

2010-05-20  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-yank-string): Use isearch-process-search-string.
	(Bug#6223)

2010-05-20  Juri Linkov  <juri@jurta.org>

	* dired-x.el (dired-jump, dired-jump-other-window): Add arg
	FILE-NAME to read from the minibuffer when called interactively
	with prefix argument instead of using buffer-file-name.
	http://lists.gnu.org/archive/html/emacs-devel/2010-05/msg00534.html

	* dired.el: Update autoloads.

2010-05-20  Chong Yidong  <cyd@stupidchicken.com>

	* nxml/nxml-mode.el (nxml-mode-map): Bind C-c / to
	nxml-finish-element, for consistency with SGML mode.

	* progmodes/octave-mod.el (octave-mode-map): Bind C-c / to
	octave-close-block.

2010-05-20  Juanma Barranquero  <lekktu@gmail.com>

	* composite.el: Require cl when compiling.
	(reference-point-alist, compose-gstring-for-graphic)
	(compose-gstring-for-terminal): Fix typos in docstrings.

2010-05-19  Juri Linkov  <juri@jurta.org>

	* emacs-lisp/cl-macs.el (window-parameter): Add defsetf with
	set-window-parameter.

2010-05-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Add `tramp-async-args' attribute
	where appropriate.
	(tramp-maybe-open-connection): Use it.

2010-05-19  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (move-end-of-line): Make sure we are at line beginning
	before backing up to end of previous line.

2010-05-19  Michael Albinus  <michael.albinus@gmx.de>

	* password-cache.el (password-cache-remove): Fix docstring.

	* net/secrets.el: Autoload the widget functions.
	(secrets-search-items, secrets-create-item)
	(secrets-get-attributes, secrets-expand-item): Attributes will be
	stored on the password database without leading ":", as all other
	clients do as well.
	(secrets-mode): Fix docstring.
	(secrets-show-secrets): Provide it as autoloaded command only when
	D-Bus support is available.  Check existence of Secret Service API.

2010-05-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* indent.el (indent-region): Deactivate region (bug#6200).

2010-05-19  Glenn Morris  <rgm@gnu.org>

	* vc-dir.el (vc-dir): Don't pop-up-windows.  (Bug#6204)

2010-05-19  Kenichi Handa  <handa@m17n.org>

	* composite.el: Register compose-gstring-for-graphic in
	composition-function-table only for combining characters (Mn, Mc, Me).

2010-05-18  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-trail.el (calc-trail-isearch-forward)
	(calc-trail-isearch-backward): Ensure that the new window
	point is set correctly.

2010-05-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-quoted-char): Resolve modifiers after key
	remapping (bug#6212).

2010-05-18  Michael Albinus  <michael.albinus@gmx.de>

	Add visualization code for secrets.
	* net/secrets.el (secrets-mode): New major mode.
	(secrets-show-secrets, secrets-show-collections)
	(secrets-expand-collection, secrets-expand-item)
	(secrets-tree-widget-after-toggle-function)
	(secrets-tree-widget-show-password): New defuns.

2010-05-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-next-sexp): Break inf-loop at BOB.
	(smie-backward-sexp, smie-forward-sexp): Remove boundary condition now
	handled in smie-next-sexp.
	(smie-indent-calculate): Provide a starting indentation (so the
	recursion is well-founded ;-).

	Fix handling of non-associative equal levels.
	* emacs-lisp/smie.el (smie-prec2-levels): Choose distinct levels even
	when it's not needed.
	(smie-op-left, smie-op-right): New functions.
	(smie-next-sexp): New function, extracted from smie-backward-sexp.
	Better handle equal levels to distinguish the associative case from
	the "multi-keyword construct" case.
	(smie-backward-sexp, smie-forward-sexp): Use it.

2010-05-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/prolog.el (smie-indent-basic): Declare for byte-compiler.

	* emacs-lisp/smie.el (smie-precs-precedence-table, smie-backward-sexp)
	(smie-forward-sexp, smie-indent-calculate): Fix typos in docstrings.

2010-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	Provide a simple generic indentation engine and use it for Prolog.
	* emacs-lisp/smie.el: New file.
	* progmodes/prolog.el (prolog-smie-op-levels)
	(prolog-smie-indent-rules): New var.
	(prolog-mode-variables): Use them to configure SMIE.
	(prolog-indent-line, prolog-indent-level): Remove.

2010-05-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-vec.el (math-vector-avg): Put the vector elements in
	order before computing the averages.

2010-05-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-vec.el (calc-histogram):
	(calcFunc-histogram): Allow vectors as inputs.
	(math-vector-avg): New function.

	* calc/calc-ext.el (math-group-float): Have the number of digits
	being grouped depend on the radix (Bug#6189).

2010-05-15  Ken Raeburn  <raeburn@raeburn.org>

	* version.el (emacs-copyright, emacs-version): Don't define here,
	now that emacs.c defines it.

2010-05-15  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-cmds.el (mule-menu-keymap): Fix definition of
	"Describe Language Environment" menu item.

	* language/hebrew.el ("Hebrew", "Windows-1255"): Doc fix.

	Bidi-sensitive movement with arrow keys.
	* subr.el (right-arrow-command, left-arrow-command): New functions.

	* bindings.el (global-map): Bind them to right and left arrow keys.

	Don't override standard definition of convert-standard-filename.
	* files.el (convert-standard-filename): Call
	w32-convert-standard-filename and dos-convert-standard-filename on
	the corresponding systems.

	* w32-fns.el (w32-convert-standard-filename): Rename from
	convert-standard-filename.  Doc fix.

	* dos-fns.el (dos-convert-standard-filename): Doc fix.
	(convert-standard-filename): Don't defalias.
	(register-name-alist, make-register, register-value)
	(set-register-value, intdos): Obsolete aliases for the
	corresponding dos-* functions and variables.
	(dos-intdos): Add a doc string.

2010-05-15  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-aent.el (math-read-token, math-find-user-tokens):
	* calc/calc-lang.el (math-read-big-rec, math-lang-read-symbol):
	(math-compose-tex-func):
	* calc/calccomp.el (math-compose-expr):
	* calc/calc-ext.el (math-format-flat-expr-fancy):
	* calc/calc-store.el (calc-read-var-name):
	* calc/calc-units.el (calc-explain-units-rec): Allow Greek letters.

	* calc/calc.el (var-π, var-φ, var-γ): New variables.
	* calc/calc-aent.el (math-read-replacement-list): Add "micro" symbol.
	* calc/calc-units.el (math-unit-prefixes): Add mu for micro.
	(math-standard-units): Add units.

2010-05-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/asm-mode.el (asm-mode):
	* progmodes/prolog.el (prolog-mode): Use define-derived-mode.

	* pcomplete.el (pcomplete-completions-at-point): New function,
	extracted from pcomplete-std-complete.
	(pcomplete-std-complete): Use it.

2010-05-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (setwins, setwins_almost, setwins_for_subdirs):
	Remove references to CVS, RCS and Old directories.

2010-05-14  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-bin.el (math-format-twos-complement): Group digits when
	appropriate.

2010-05-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-mode-default-syntax-table): Remove.
	(sh-mode-syntax-table): Give it a default value instead.
	(sh-header-marker): Make buffer-local.
	(sh-mode): Move make-local-variable to the corresponding setq.
	(sh-add-completer): Avoid gratuitously let-binding a buffer-local var.
	Use complete-with-action.

	* simple.el (prog-mode): New (abstract) major mode.
	* emacs-lisp/lisp-mode.el (emacs-lisp-mode, lisp-mode): Use it.
	* progmodes/sh-script.el (sh-mode): Remove redundant var assignment.

2010-05-14  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/sql.el (sql-oracle-program): Reflow docstring.
	(sql-oracle-scan-on, sql-sybase-program, sql-product-font-lock)
	(sql-add-product-keywords, sql-highlight-product, sql-set-product)
	(sql-make-alternate-buffer-name, sql-placeholders-filter)
	(sql-escape-newlines-filter, sql-input-sender)
	(sql-send-magic-terminator, sql-sybase): Fix typos in docstrings.

2010-05-13  Chong Yidong  <cyd@stupidchicken.com>

	Add TeX open-block and close-block keybindings to SGML, and vice versa.

	* textmodes/tex-mode.el (tex-mode-map): Bind C-c C-t to
	latex-open-block and C-c / to latex-close-block.

	* textmodes/sgml-mode.el (sgml-mode-map): Bind C-c C-o to sgml-tag
	and C-c C-e to sgml-close-tag.

2010-05-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (with-progress-reporter): Create reporter object
	only when the message would be displayed.  Handle nested calls.
	(tramp-handle-load, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-maybe-send-script, tramp-find-shell):
	Use `with-progress-reporter'.
	(tramp-handle-dired-compress-file, tramp-maybe-open-connection):
	Fix message text.

	* net/tramp-smb.el (tramp-smb-handle-copy-file)
	(tramp-smb-handle-file-local-copy, tramp-smb-handle-rename-file)
	(tramp-smb-handle-write-region, tramp-smb-maybe-open-connection):
	Use `with-progress-reporter'.

2010-05-13  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-init-process): Do not kill ispell
	process everytime when spellchecking from the minibuffer (bug#6143).

2010-05-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-mode): Use define-derived-mode.

	* dos-fns.el: Add "dos-" prefix for namespace control.
	(convert-standard-filename): Define as alias for
	dos-convert-standard-filename but only if applicable.

2010-05-12  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-beginning-of-defun, c-end-of-defun):
	Push the mark at the start of these functions when appropriate.

2010-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-cycle-threshold): New custom var.
	(completion--do-completion): Use it.
	(minibuffer-complete): Use cycling if appropriate.

2010-05-11  Juanma Barranquero  <lekktu@gmail.com>

	* dirtrack.el (dirtrackp): Remove defcustom; don't make automatically
	buffer-local (it's an obsolete alias for `dirtrack-mode') (bug#6173).

2010-05-11  Juri Linkov  <juri@jurta.org>

	* scroll-all.el (scroll-all-check-to-scroll):
	Add `scroll-up-command' and `scroll-down-command' (bug#6164).

2010-05-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* iimage.el (iimage-mode-map): Move initialization into declaration.
	(iimage-mode-buffer): Use with-silent-modifications.
	Simplify calling convention.  Adjust callers.
	(iimage-mode): Don't run hook redundantly.

	* minibuffer.el (completion-pcm--pattern->regex):
	Fix last change (bug#6160).

2010-05-10  Juri Linkov  <juri@jurta.org>

	Remove nodes visited during Isearch from the Info history.
	* info.el (Info-isearch-initial-history)
	(Info-isearch-initial-history-list): New variables.
	(Info-isearch-start): Record initial values of
	Info-isearch-initial-history and Info-isearch-initial-history-list.
	Add Info-isearch-end to isearch-mode-end-hook.
	(Info-isearch-end): New function.

2010-05-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-file-attributes-with-stat): Add space in
	format string, in order to work around a bug in pdksh.
	Reported by Gilles Pion <gpion@lfdj.com>.
	(tramp-handle-verify-visited-file-modtime): Do not send a command
	when the connection is not established.
	(tramp-handle-set-file-times): Simplify the check for utc.

2010-05-10  Juanma Barranquero  <lekktu@gmail.com>

	Fix use of `filter-buffer-substring' (rework previous change).
	* emulation/cua-base.el (cua--filter-buffer-noprops): New function.
	(cua-repeat-replace-region):
	* emulation/cua-rect.el (cua--extract-rectangle, cua-incr-rectangle):
	* emulation/cua-gmrk.el (cua-copy-region-to-global-mark)
	(cua-cut-region-to-global-mark): Use it.

2010-05-09  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 2.1.
	(sql-product-alist): Redesign structure of product info.
	(sql-product, sql-user, sql-server, sql-database): Safe variables.
	(sql-port, sql-port-history): New variables.
	(sql-interactive-product): New variable.
	(sql-send-terminator): New variable.
	(sql-imenu-generic-expression): Add "Types" imenu entry.
	(sql-oracle-login-params, sql-sqlite-login-params)
	(sql-mysql-login-params, sql-solid-login-params)
	(sql-sybase-login-params, sql-informix-login-params)
	(sql-ingres-login-params, sql-ms-login-params)
	(sql-postgres-login-params, sql-interbase-login-params)
	(sql-db2-login-params, sql-linter-login-params)
	(sql-oracle-scan-on): New variables.
	(sql-mode-map): Add C-c C-i to start interactive mode.
	(sql-mode-menu): Update existing menu entries.
	(sql-font-lock-keywords-builder): Compile-time font-lock optimization.
	(sql-mode-oracle-font-lock-keywords)
	(sql-mode-postgres-font-lock-keywords)
	(sql-mode-ms-font-lock-keywords)
	(sql-mode-sybase-font-lock-keywords)
	(sql-mode-informix-font-lock-keywords)
	(sql-mode-interbase-font-lock-keywords)
	(sql-mode-ingres-font-lock-keywords)
	(sql-mode-solid-font-lock-keywords)
	(sql-mode-mysql-font-lock-keywords)
	(sql-mode-sqlite-font-lock-keywords)
	(sql-mode-db2-font-lock-keywords)
	(sql-mode-linter-font-lock-keywords): Update initialization to
	reduce run-time complexity.
	(sql-add-product, sql-del-product): New functions.
	(sql-set-product-feature, sql-get-product-feature): New functions.
	(sql-product-font-lock): Update product API.
	(sql-add-product-keywords): New function.
	(sql-highlight-product): Update product API.
	(sql-help-list-products): New function.
	(sql-help): Dynamically lists free and non-free products.
	(sql-get-login): Correct bug in handling history and added
	prompt for port.
	(sql-copy-column): Copy without properties.
	(sqli-input-sender): Apply filters to SQLi input.
	(sql-query-placeholders-and-send): Obey `sql-oracle-scan-on' setting.
	Implement as a filter.
	(sql-escape-newlines-filter): Implement as a filter.
	(sql-remove-tabs-filter): New function.
	(sql-send-magic-terminator): New function.
	(sql-send-string): Implement magic terminator.
	(sql-send-region): Use `sql-send-string'.
	(sql-interactive-mode): Use product API.
	(sql-product-interactive): Use product API.
	(sql-oracle, sql-sybase, sql-informix, sql-sqlite, sql-mysql)
	(sql-solid, sql-ingres, sql-ms, sql-postgres, sql-interbase)
	(sql-db2, sql-linter): Use `sql-product-interactive'.
	(sql-connect): New function.
	(sql-connect-oracle, sql-connect-sybase, sql-connect-informix)
	(sql-connect-sqlite, sql-connect-mysql, sql-connect-solid)
	(sql-connect-ingres, sql-connect-ms, sql-connect-postgres)
	(sql-connect-interbase, sql-connect-db2, sql-connect-linter):
	Use `sql-connect'.

2010-05-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm-complete-word-inserts-delimiters):
	New custom variable.
	(completion-pcm--string->pattern): Use it.
	(completion-pcm--pattern->regex, completion-pcm--pattern->string):
	Make it handle any symbol as `any'.
	(completion-pcm--merge-completions): Extract common suffix for the new
	`prefix' symbol as well.
	(completion-substring--all-completions): Use the new `prefix' symbol.

2010-05-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el (byte-compile-not-obsolete-vars): Define if
	not bound.
	(tramp-compat-copy-file): Add PRESERVE-SELINUX-CONTEXT.
	(tramp-compat-funcall): New defmacro.
	(tramp-compat-line-beginning-position)
	(tramp-compat-line-end-position)
	(tramp-compat-temporary-file-directory)
	(tramp-compat-make-temp-file, tramp-compat-file-attributes)
	(tramp-compat-copy-file, tramp-compat-copy-directory)
	(tramp-compat-delete-file, tramp-compat-delete-directory)
	(tramp-compat-number-sequence, tramp-compat-process-running-p)
	* net/tramp.el (top, with-progress-reporter)
	(tramp-rfn-eshadow-setup-minibuffer)
	(tramp-rfn-eshadow-update-overlay, tramp-handle-set-file-times)
	(tramp-handle-dired-compress-file, tramp-handle-shell-command)
	(tramp-completion-mode-p, tramp-check-for-regexp)
	(tramp-open-connection-setup-interactive-shell)
	(tramp-compute-multi-hops, tramp-read-passwd, tramp-clear-passwd)
	(tramp-time-diff, tramp-coding-system-change-eol-conversion)
	(tramp-set-process-query-on-exit-flag, tramp-unload-tramp)
	* net/tramp-cmds.el (tramp-cleanup-all-connections)
	(tramp-reporter-dump-variable, tramp-load-report-modules)
	(tramp-append-tramp-buffers)
	* net/tramp-gvfs.el (tramp-gvfs-handle-file-selinux-context): Use it.

	* net/tramp-imap.el (top): Autoload `epg-make-context'.

2010-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-buffer-modtime): Rename from
	buffer-modtime.  Adjust users.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule.el (auto-coding-alist): Only purecopy
	car of each item, not the whole list (Bug#6083).

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el (js-mode): Make paragraph variables local before
	calling c-setup-paragraph-variables (Bug#6071).

2010-05-08  Eli Zaretskii  <eliz@gnu.org>

	* composite.el (compose-region, reference-point-alist): Fix typos
	in the doc strings.

2010-05-08  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* calc/calc-graph.el (calc-graph-plot): Use the proper form for
	gnuplot's "set" command.

2010-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* abbrev.el (last-abbrev-text): Doc fix.
	(abbrev-prefix-mark): Don't escape parenthesis.

2010-05-08  Andreas Schwab  <schwab@linux-m68k.org>

	* composite.el (find-composition): Doc fix.

2010-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/sql.el (sql-electric-stuff): Fix typo in tag.
	(sql-oracle-program, sql-sqlite-options)
	(sql-query-placeholders-and-send): Doc fixes.
	(sql-set-product, sql-interactive-mode): Reflow docstrings.
	(sql-imenu-generic-expression, sql-buffer)
	(sql-mode-ansi-font-lock-keywords, sql-mode-oracle-font-lock-keywords)
	(sql-mode-postgres-font-lock-keywords, sql-mode-ms-font-lock-keywords)
	(sql-mode-sybase-font-lock-keywords)
	(sql-mode-informix-font-lock-keywords)
	(sql-mode-interbase-font-lock-keywords)
	(sql-mode-ingres-font-lock-keywords, sql-mode-solid-font-lock-keywords)
	(sql-mode-mysql-font-lock-keywords, sql-mode-sqlite-font-lock-keywords)
	(sql-mode-db2-font-lock-keywords, sql-mode-font-lock-keywords)
	(sql-product-feature, sql-highlight-product)
	(comint-line-beginning-position, sql-rename-buffer)
	(sql-toggle-pop-to-buffer-after-send-region sql-oracle)
	(sql-sybase, sql-informix, sql-sqlite, sql-mysql, sql-solid)
	(sql-ingres, sql-ms, sql-postgres, sql-interbase, sql-db2, sql-linter):
	Fix typos in docstrings.

2010-05-08  Juri Linkov  <juri@jurta.org>

	* info.el (Info-fontify-node): Put Info-breadcrumbs to the `display'
	property instead of `invisible' and `after-string' (bug#5998).

2010-05-08  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-mode-as-text): Fix typo in docstring.

2010-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* filecache.el (file-cache-add-directory-list)
	(file-cache-add-directory-recursively): Fix typos in docstrings.

2010-05-08  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (gurmukhi-composable-pattern): Fix typo.
	(gujarati-composable-pattern): Fix typo.

2010-05-08  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (oriya-composable-pattern)
	(tamil-composable-pattern, malayalam-composable-pattern):
	Add two-part vowels to "v" (vowel sign).

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (copy-directory): Handle symlinks (Bug#5982).

2010-05-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-state): Use HGRCPATH, not HGRC.
	(vc-hg-working-revision): Likewise.  Use hg parents, not hg parent
	(Bug#5846).

2010-05-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp.el (lisp-completion-at-point): Give it a doc string.

	* minibuffer.el (completion-at-point): Doc fix.

2010-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* electric.el (Electric-command-loop): Minor tweak.

	* ebuff-menu.el (electric-buffer-list): Try and make it behave a bit
	better with dedicated windows.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-07  Deniz Dogan  <deniz.a.m.dogan@gmail.com>  (tiny change)
            Stefan Monnier  <monnier@iro.umontreal.ca>

	Highlight vendor specific properties.
	* textmodes/css-mode.el (css-proprietary-nmstart-re): New var.
	(css-proprietary-property): New face.
	(css-font-lock-keywords): Use them.

2010-05-07  Eli Zaretskii  <eliz@gnu.org>

	* cus-start.el (all): Add native condition for tool-bar-* symbols.

2010-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/dns-mode.el (auto-mode-alist): Add entry for .zone files.
	* files.el (auto-mode-alist): Remove redundant entries.

	* files.el (auto-save-mode): Move to simple.el to fix bootstrap.
	* simple.el (auto-save-mode): Move from files.el.
	* minibuffer.el (completion--common-suffix): Fix copy&paste error.

2010-05-07  Christian von Roques  <roques@mti.ag>  (tiny change)

	* lisp/epg.el (epg-key-capablity-alist): Add "D" flag (Bug#5592).

2010-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail/binhex.el (binhex-decode-region-internal)
	* mail/uudecode.el (uudecode-decode-region-internal)
	* net/dns.el (dns-read-string-name, dns-write, dns-read)
	(dns-read-type, dns-query)
	* pgg-parse.el (pgg-parse-armor)
	* pgg.el (pgg-verify-region)
	* sha1.el (sha1-string-external): Don't run set-buffer-multibyte for
	XEmacs.

	* net/imap.el (imap-disable-multibyte): Redefine it as a macro.

2010-05-07  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/cperl-mode.el (cperl-mode-unload-function): New function.

	Fix use of `filter-buffer-substring' (4th arg NOPROPS removed).
	* emulation/cua-base.el (cua-repeat-replace-region):
	* emulation/cua-gmrk.el (cua-copy-region-to-global-mark)
	(cua-cut-region-to-global-mark):
	Remove text properties with `set-text-properties'.

2010-05-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top, with-progress-reporter):
	Use `symbol-function' inside `funcall'.

	* net/tramp-compat.el (tramp-compat-file-attributes)
	(tramp-compat-delete-file, tramp-compat-delete-directory):
	Handle only `wrong-number-of-arguments' error.

	* net/tramp-gvfs.el (tramp-gvfs-handle-copy-file): Fix typo.
	(tramp-gvfs-handle-file-selinux-context): Use `symbol-function'
	inside `funcall'.

2010-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--sreverse, completion--common-suffix):
	New functions.
	(completion-pcm--merge-completions): Extract common suffix when safe.

	* emacs-lisp/easy-mmode.el (define-minor-mode):
	Make :variable more flexible.
	* files.el (auto-save-mode): Use it to define using define-minor-mode.

2010-05-05  Juri Linkov  <juri@jurta.org>

	Add `slow' and `history' tags to the desktop data.

	* info.el (Info-virtual-nodes) [*Index*]: Add `slow' tag.
	(Info-virtual-files) [*Apropos*]: Add `slow' tag.
	(Info-finder-find-node): Require `finder.el' to be able
	to restore node from the desktop.
	(Info-desktop-buffer-misc-data): Save all nodes.  Save additional
	data `Info-history' and `slow' tag in the assoc list.
	(Info-restore-desktop-buffer): Don't restore nodes with the
	`slow' tag.  Restore `Info-history'.

2010-05-05  Michael Albinus  <michael.albinus@gmx.de>

	Add FORCE argument to `delete-file'.

	* net/ange-ftp.el (ange-ftp-del-tmp-name): Make it a defun,
	forcing to delete the temporary file.
	(ange-ftp-delete-file): Add FORCE arg.
	(ange-ftp-rename-remote-to-remote)
	(ange-ftp-rename-local-to-remote, ange-ftp-rename-remote-to-local)
	(ange-ftp-load, ange-ftp-compress, ange-ftp-uncompress):
	Force file deletion.

	* net/tramp-compat.el (tramp-compat-delete-file): New defun.

	* net/tramp.el (tramp-handle-delete-file): Add FORCE arg.
	(tramp-handle-make-symbolic-link, tramp-handle-load)
	(tramp-do-copy-or-rename-file-via-buffer)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-handle-process-file, tramp-handle-call-process-region)
	(tramp-handle-shell-command, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-delete-temp-file-function): Use `tramp-compat-delete-file'.

	* net/tramp-fish.el (tramp-fish-handle-delete-file): Add FORCE arg.
	(tramp-fish-handle-make-symbolic-link)
	(tramp-fish-handle-process-file): Use `tramp-compat-delete-file'.

	* net/tramp-ftp.el (tramp-ftp-file-name-handler):
	Use `tramp-compat-delete-file'.

	* net/tramp-gvfs.el (tramp-gvfs-handle-delete-file): Add FORCE arg.
	(tramp-gvfs-handle-write-region): Use `tramp-compat-delete-file'.

	* net/tramp-imap.el (tramp-imap-handle-delete-file): Add FORCE arg.
	(tramp-imap-do-copy-or-rename-file): Use `tramp-compat-delete-file'.

	* net/tramp-smb.el (tramp-smb-handle-delete-file): Add FORCE arg.
	(tramp-smb-handle-copy-file, tramp-smb-handle-file-local-copy)
	(tramp-smb-handle-rename-file, tramp-smb-handle-write-region): Use
	`tramp-compat-delete-file'.

2010-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	Minor cleanups.
	* subr.el (add-minor-mode): Use push.
	* mail/supercite.el (sc-electric-mode): Use more descriptive arg name.
	* emulation/edt.el (edt-select-mode): Simplify.

	Use define-minor-mode in more cases.
	* term/tvi970.el (tvi970-set-keypad-mode):
	* simple.el (auto-fill-mode, overwrite-mode, binary-overwrite-mode)
	(normal-erase-is-backspace-mode):
	* scroll-bar.el (scroll-bar-mode): Use it and define-minor-mode.
	(set-scroll-bar-mode-1): (Re)move to its sole caller.
	(get-scroll-bar-mode): New function.
	* emacs-lisp/cl-macs.el (eq): Handle a non-variable first arg.

	Use define-minor-mode for less obvious cases.
	* emacs-lisp/easy-mmode.el (define-minor-mode): Add :variable keyword.
	* emacs-lisp/cl-macs.el (terminal-parameter, eq): Add setf method.
	* international/iso-ascii.el (iso-ascii-mode):
	* frame.el (auto-raise-mode, auto-lower-mode):
	* composite.el (global-auto-composition-mode): Use define-minor-mode.

2010-05-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Remove "-q" from `tramp-login-args'
	in order to see error messages for failed logins.

2010-05-03  Chong Yidong  <cyd@stupidchicken.com>

	* diff.el (diff-sentinel):

	* epg.el (epg--make-temp-file, epg-decrypt-string)
	(epg-verify-string, epg-sign-string, epg-encrypt-string):

	* jka-compr.el (jka-compr-partial-uncompress)
	(jka-compr-call-process, jka-compr-write-region, jka-compr-load):

	* server.el (server-sentinel): Use delete-file's new FORCE arg
	(Bug#6070).

2010-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use define-minor-mode where applicable.
	* view.el (view-mode):
	* type-break.el (type-break-query-mode)
	(type-break-mode-line-message-mode):
	* textmodes/reftex.el (reftex-mode):
	* term/vt100.el (vt100-wide-mode):
	* tar-mode.el (tar-subfile-mode):
	* savehist.el (savehist-mode):
	* ibuf-ext.el (ibuffer-auto-mode):
	* composite.el (auto-composition-mode):
	* progmodes/vhdl-mode.el (vhdl-electric-mode, vhdl-stutter-mode):
	Use define-minor-mode.
	(vhdl-mode): Use static mode-line format.
	(vhdl-mode-line-update): Delete.
	(vhdl-create-mode-menu, vhdl-activate-customizations)
	(vhdl-hs-minor-mode): Don't bother calling it.

2010-05-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (with-wrapper-hook): Move.
	(buffer-substring-filters): Mark obsolete.
	(filter-buffer-substring-functions): New variable.
	(filter-buffer-substring): Use it.  Remove unused arg `noprops'.

	Use a mode-line spec rather than a static string in Semantic.
	* cedet/semantic/util-modes.el:
	(semantic-minor-modes-format): New var to replace...
	(semantic-minor-modes-status): Remove.
	(semantic-mode-line-update): Construct a mode-line spec rather than
	a static string so that mouse buttons can be used on individual minor
	modes and so that semantic-mode-line-update only needs to be called
	when global settings are changed.
	(semantic-add-minor-mode, semantic-toggle-minor-mode-globally):
	Call semantic-mode-line-update.
	(semantic-toggle-minor-mode-globally): Don't assume mode is on
	minor-mode-alist, check semantic-minor-mode-alist as well.
	(semantic-stickyfunc-mode, semantic-show-parser-state-auto-marker)
	(semantic-show-parser-state-marker, semantic-show-parser-state-mode)
	(semantic-show-unmatched-syntax-mode, semantic-highlight-edits-mode):
	* cedet/semantic/mru-bookmark.el (semantic-mru-bookmark-mode):
	* cedet/semantic/idle.el (semantic-idle-scheduler-mode)
	(define-semantic-idle-service, semantic-idle-summary-mode):
	* cedet/semantic/decorate/mode.el (semantic-decoration-mode):
	Don't call semantic-mode-line-update any more.

2010-05-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use define-minor-mode in CEDET where applicable.

	* cedet/srecode/mode.el (srecode-minor-mode,global-srecode-minor-mode):
	Use define-minor-mode.

	* cedet/semantic/util-modes.el (semantic-add-minor-mode):
	Remove unused arg `keymap' and code redundant with define-minor-mode.
	(semantic-toggle-minor-mode-globally): Only handle arg -1 and 1.
	(semantic-stickyfunc-mode, global-semantic-show-unmatched-syntax-mode)
	(semantic-highlight-func-mode, global-semantic-show-parser-state-mode)
	(global-semantic-highlight-edits-mode, semantic-highlight-edits-mode)
	(semantic-show-unmatched-syntax-mode, semantic-show-parser-state-mode)
	(global-semantic-stickyfunc-mode, global-semantic-highlight-func-mode):
	Use define-minor-mode.
	(semantic-stickyfunc-mode-setup, semantic-highlight-edits-mode-setup)
	(semantic-show-unmatched-syntax-mode-setup)
	(semantic-show-parser-state-mode-setup)
	(semantic-highlight-func-mode-setup): Inline into sole caller.

	* cedet/semantic/mru-bookmark.el (global-semantic-mru-bookmark-mode)
	(semantic-mru-bookmark-mode): Use define-minor-mode.
	(semantic-mru-bookmark-mode-setup): Inline into sole caller.

	* cedet/semantic/idle.el (define-semantic-idle-service):
	Use define-minor-mode and inline setup function into its sole caller.
	(semantic-idle-scheduler-mode-setup)
	(semantic-idle-summary-mode-setup): Inline into sole caller.
	(global-semantic-idle-scheduler-mode, semantic-idle-scheduler-mode):
	Use define-minor-mode.

	* cedet/semantic/decorate/mode.el (global-semantic-decoration-mode)
	(semantic-decoration-mode): Use define-minor-mode.
	(semantic-decoration-mode-setup): Inline into sole caller.

	* cedet/ede/dired.el (ede-dired-minor-mode): Initialize in declaration.
	(ede-dired-minor-mode): Use define-minor-mode and derived-mode-p.
	(ede-dired-add-to-target): Use dolist.

2010-05-01  Toru TSUNEYOSHI  <t_tuneyosi@hotmail.com>
            Michael Albinus  <michael.albinus@gmx.de>

	Implement compression for inline methods.

	* net/tramp.el (tramp-inline-compress-start-size): New defcustom.
	(tramp-copy-size-limit): Allow also nil.
	(tramp-inline-compress-commands): New defconst.
	(tramp-find-inline-compress, tramp-get-inline-compress)
	(tramp-get-inline-coding): New defuns.
	(tramp-get-remote-coding, tramp-get-local-coding): Remove,
	replaced by `tramp-get-inline-coding'.
	(tramp-handle-file-local-copy, tramp-handle-write-region)
	(tramp-method-out-of-band-p): Use `tramp-get-inline-coding'.

2010-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (mode-line-abbrev-mode, mode-line-auto-fill-mode):
	Remove unused functions.

	* emacs-lisp/lisp-mode.el (lisp-mode): Use define-derived-mode.
	Set find-tag-default-function as a variable rather than a property.

	* minibuffer.el (tags-completion-at-point-function): Move to etags.el.
	* progmodes/etags.el (tags-completion-at-point-function):
	Remove left over interactive spec.  Add autoloading stub.
	(complete-tag): Use tags-completion-at-point-function.

2010-04-30  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (tags-completion-at-point-function): Fix return value.

2010-04-29  Chong Yidong  <cyd@stupidchicken.com>

	* ido.el (ido-init-completion-maps): Remove C-v binding.
	(ido-minibuffer-setup): Don't set cua-inhibit-cua-keys (Bug#5765).

2010-04-29  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (tags-completion-at-point-function): New function.
	(completion-at-point-functions): Use it.

	* cedet/semantic.el (semantic-completion-at-point-function):
	New function.
	(semantic-mode): Use semantic-completion-at-point-function for
	completion-at-point-functions instead.

	* progmodes/etags.el (complete-tag): Revert last change.

2010-04-29  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-extend-region-for-CPP): Fix an
	off-by-one error (in end of macro position).

2010-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/browse-url.el (browse-url-firefox-program): Use iceweasel if
	firefox is absent.  Don't autoload.
	(browse-url-galeon-program): Don't autoload.

2010-04-28  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el (complete-symbol): Move into minibuffer.el.

	* minibuffer.el (complete-tag): Move from etags.el.  If tags
	completion cannot be performed, return nil instead of signalling
	an error.
	(completion-at-point): Make it an alias for complete-symbol.
	(complete-symbol): Move from bindings.el, and replace with the
	body of completion-at-point.

	* progmodes/etags.el (complete-tag): Move to minibuffer.el.

	* cedet/semantic.el (semantic-mode): When enabled, add
	semantic-ia-complete-symbol to completion-at-point-functions.

	* cedet/semantic/ia.el (semantic-ia-complete-symbol): Return nil
	if Semantic is not active.

2010-04-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-selinux-p): New defun.
	(tramp-handle-file-selinux-context)
	(tramp-handle-set-file-selinux-context): Use it.

2010-04-28  Sam Steingold  <sds@gnu.org>

	* progmodes/bug-reference.el (bug-reference-url-format): Mark as
	`safe-local-variable' if the value is a string or a symbol with
	the property `bug-reference-url-format'.

2010-04-28  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/bug-reference.el (bug-reference-url-format):
	Revert 2010-04-27 change due to security risk.

2010-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make it possible to locally disable a globally enabled mode.
	* simple.el (fundamental-mode): Run fundamental-mode-hook.
	* emacs-lisp/derived.el (define-derived-mode): Use fundamental-mode
	rather than kill-all-local-variables so it runs fundamental-mode-hook.
	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Use fundamental-mode-hook to run MODE-enable-in-buffers earlier, so
	that subsequent hooks get a chance to disable it.

2010-04-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Avoid re-enabling a minor mode after the user turned the minor mode
	off if MODE-enable-in-buffers is run twice (typically once from
	fundamental-mode's after-change-major-mode-hook and a second time from
	run-mode-hook's own after-change-major-mode-hook).

	* emacs-lisp/lisp.el (lisp-complete-symbol): Fail gracefully.

2010-04-27  Sam Steingold  <sds@gnu.org>

	* progmodes/bug-reference.el (bug-reference-url-format): Mark as
	`safe-local-variable' if the value is a string or a function, as
	documented and implemented on 2010-04-02.

2010-04-27  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-buffer-internal): Bind `ido-use-virtual-buffers' to nil
	when method is 'kill.

2010-04-27  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-init-process): Fix personal dictionary
	condition in default directory check.
	(ispell-init-process,ispell-kill-ispell,kill-buffer-hook):
	Kill ispell process when killing its associated buffer.

2010-04-27  Jan Djärv  <jan.h.d@swipnet.se>

	* desktop.el (desktop-kill): ask-if-new: Ask if desktop file exists,
	but we aren't using it.

2010-04-25  Jan Djärv  <jan.h.d@swipnet.se>

	* tool-bar.el (tool-bar-local-item-from-menu): Revert unintended
	checkin in rev 100010.

2010-04-24  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-obsolete-files-regexps):
	Ignore VCS-ignore files, and deleted nextstep preferences files.
	(authors-ignored-files): Ignore deleted cedet test files, and "*.el".
	(authors-ambiguous-files): New list.
	(authors-valid-file-names): Add some deleted files.
	(authors-renamed-files-alist): Add font-setting.el, edt-user.doc.
	(authors-disambiguate-file-name): New function.  (Bug#5501)
	(authors-canonical-file-name): Doc fix.
	Don't warn about obsolete files.
	(authors-canonical-file-name, authors-scan-el):
	Use authors-disambiguate-file-name.

	* hfy-cmap.el (htmlfontify-load-rgb-file, hfy-fallback-colour-values):
	Add autoload cookies.
	(htmlfontify-unload-rgb-file, hfy-fallback-colour-values): Add docs.
	(generated-autoload-file): Set file-local value to "htmlfontify.el".
	* htmlfontify.el (caddr, cadddr): Remove fallback definitions.
	They have definitions / compiler macros in cl.el.
	(htmlfontify-load-rgb-file, hfy-fallback-colour-values):
	Replace manual autoloads with generated ones.
	(htmlfontify-unload-rgb-file): Remove autoload.
	* Makefile.in (autoloads): Ensure htmlfontify.el is writable.

2010-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-set-default): New function.
	(byte-compile-setq-default): Optimize for the
	single-var case and don't call byte-compile-form in this case to avoid
	inf-loop with byte-compile-set-default.

	* progmodes/compile.el (compilation-start): Abbreviate default directory.

2010-04-23  Michael Albinus  <michael.albinus@gmx.de>

	Implement SELINUX backends.

	* net/tramp.el (tramp-file-name-handler-alist):
	Add `file-selinux-context' and `set-file-selinux-context'.
	(tramp-handle-file-selinux-context)
	(tramp-handle-set-file-selinux-context): New defuns.
	(tramp-handle-copy-file, tramp-do-copy-or-rename-file):
	Handle PRESERVE-SELINUX-CONTEXT.

	* net/tramp-gvfs.el (tramp-gvfs-file-name-handler-alist):
	Add `file-selinux-context' and `set-file-selinux-context'.
	(tramp-gvfs-handle-file-selinux-context)
	(tramp-gvfs-handle-set-file-selinux-context): New defuns.
	(tramp-gvfs-handle-copy-file): Handle PRESERVE-SELINUX-CONTEXT.

	* net/ange-ftp.el (ange-ftp-copy-file):
	* net/tramp-fish.el (tramp-fish-handle-copy-file):
	* net/tramp-imap.el (tramp-imap-handle-copy-file):
	* net/tramp-smb.el (tramp-smb-handle-copy-file):
	Add PRESERVE-SELINUX-CONTEXT.

2010-04-22  Michael Albinus  <michael.albinus@gmx.de>

	Synchronize with Tramp repository.

	* net/tramp.el (with-connection-property, tramp-completion-mode-p)
	(tramp-action-process-alive, tramp-action-out-of-band)
	(tramp-check-for-regexp, tramp-file-name-p, tramp-equal-remote)
	(tramp-exists-file-name-handler): Fix docstring.
	(with-progress-reporter): New defmacro.
	(tramp-do-copy-or-rename-file, tramp-handle-dired-compress-file)
	(tramp-maybe-open-connection): Use it.

2010-04-22  Noah Lavine  <noah549@gmail.com>  (tiny change)

	Detect ssh 'ControlMaster' argument automatically in some cases.

	* net/tramp.el (tramp-detect-ssh-controlmaster): New defun.
	(tramp-default-method): Use it.

2010-04-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-copy-file): Add new optional
	parameter `preserve-selinux-context'.
	(tramp-file-name-for-operation): Add `set-file-selinux-context'.

2010-04-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-handle-file-name-all-completions):
	Ensure, that non remote files are still checked.  Oops.

2010-04-21  Michael Albinus  <michael.albinus@gmx.de>

	Fix Bug#5840.

	* icomplete.el (icomplete-completions): Use `non-essential'.

	* net/tramp.el (tramp-connectable-p): New defun.
	(tramp-handle-expand-file-name)
	(tramp-completion-handle-file-name-all-completions)
	(tramp-completion-handle-file-name-completion): Use it.

2010-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-completion-at-point): Try and handle errors.

2010-04-21  Jan Djärv  <jan.h.d@swipnet.se>

	* vc-dir.el (vc-dir-tool-bar-map): Add :label on some tool bar items.

	* tool-bar.el (tool-bar-setup): Add :label on some tool bar items.

	* loadup.el: Load dynamic-setting.el if feature dynamic-setting
	is present.

	* info.el (info-tool-bar-map): Add labels.

	* cus-start.el (all): Add tool-bar-style and tool-bar-max-label-size.

	* cus-edit.el (custom-commands): Add labels for tool bar.
	(custom-buffer-create-internal, Custom-mode): Adjust for
	labels in custom-commands.

	* dynamic-setting.el: Renamed from font-setting.el.

2010-04-21  John Wiegley  <jwiegley@gmail.com>

	* ido.el (ido-init-completion-maps): For ido-switch-buffer, C-o
	toggles the use of virtual buffers.
	(ido-buffer-internal): Guard `ido-use-virtual-buffers' global value.
	(ido-toggle-virtual-buffers): New function.

2010-04-21  Juanma Barranquero  <lekktu@gmail.com>

	Use `define-derived-mode'; fix window selection; doc fixes.
	* play/tetris.el (tetris, tetris-update-speed-function)
	(tetris-tty-colors, tetris-x-colors, tetris-move-bottom)
	(tetris-move-left, tetris-move-right, tetris-rotate-prev)
	(tetris-rotate-next, tetris-end-game, tetris-start-game)
	(tetris-pause-game): Fix typos in docstrings.
	(tetris-mode-map, tetris-null-map):
	Move initialization into declaration.
	(tetris-mode): Define with `define-derived-mode';
	set show-trailing-whitespace to nil.
	(tetris): Prefer window already displaying the "*Tetris*" buffer.

2010-04-21  Karel Klíč  <kklic@redhat.com>

	* files.el (backup-buffer): Handle SELinux context, and return it
	if a backup was made by renaming.
	(backup-buffer-copy): Set SELinux context to the target file.
	(basic-save-buffer): Set SELinux context of the newly written file.
	(basic-save-buffer-1): Now it also returns any SELinux context.
	(basic-save-buffer-2): Set SELinux context of the newly created file,
	and return it.
	* net/tramp.el (tramp-file-name-for-operation):
	Add file-selinux-context.

2010-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make the log-edit comments use RFC822 format throughout.

	* vc.el (vc-checkin, vc-modify-change-comment):
	Adjust to new vc-start/finish-logentry.
	(vc-find-conflicted-file): New command.
	(vc-transfer-file): Adjust to new vc-checkin.
	(vc-next-action): Improve scoping.

	* vc-hg.el (vc-hg-log-edit-mode): Remove.
	(vc-hg-checkin): Remove extra arg.  Use log-edit-extract-headers.

	* vc-git.el (vc-git-log-edit-mode): Remove.
	(vc-git-checkin): Remove extra arg.  Use log-edit-extract-headers.
	(vc-git-commits-coding-system): Rename from git-commits-coding-system.

	* vc-dispatcher.el (vc-log-edit): Shorten names for log-edit-show-files.
	(vc-start-logentry): Remove argument `extra'.
	(vc-finish-logentry): Remove extra args.

	* vc-bzr.el (vc-bzr-log-edit-mode): Remove.
	(vc-bzr-checkin): Remove extra arg.  Use log-edit-extract-headers.
	(vc-bzr-conflicted-files): New function.

	* log-edit.el (log-edit-extra-flags)
	(log-edit-before-checkin-process): Remove.
	(log-edit-summary, log-edit-header, log-edit-unknown-header): New faces.
	(log-edit-headers-alist): New var.
	(log-edit-header-contents-regexp): New const.
	(log-edit-match-to-eoh): New function.
	(log-edit-font-lock-keywords): Use them.
	(log-edit): Insert a "Summary:" header as default.
	(log-edit-mode): Mark font-lock rules as case-insensitive.
	(log-edit-done): Cleanup headers.
	(log-view-process-buffer): Remove.
	(log-edit-extract-headers): New function to replace it.

2010-04-20  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (default-direction-reversed): Remove obsolescence info.

2010-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dispatcher.el (vc-finish-logentry): Don't mess so badly with the
	windows/frames.

	* emacs-lisp/lisp.el (lisp-completion-at-point): Complete around point.
	I.e. include text after point in the completion region.
	Also, return nil when we're not after/in a symbol.

	* international/mule-cmds.el (view-hello-file): Don't fiddle with the
	default enable-multibyte-characters.

2010-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule.el: Help the user choose a valid coding-system.
	(read-buffer-file-coding-system): New function.
	(set-buffer-file-coding-system): Use it.  Prompt the user if the
	coding-system cannot encode all the chars.

	* vc-bzr.el: Use standard *vc* and *vc-diff* buffers.
	(vc-bzr-shelve-show, vc-bzr-shelve-apply)
	(vc-bzr-shelve-apply-and-keep, vc-bzr-shelve-snapshot):
	Don't use *vc-bzr-shelve*.

2010-04-19  Chong Yidong  <cyd@stupidchicken.com>

	* cedet/ede/pmake.el (ede-proj-makefile-insert-variables):
	Don't destroy list before using it.

2010-04-19  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix the version number for added files.
	* vc-hg.el (vc-hg-working-revision): Check if the file is
	registered after hg parent fails (Bug#5961).

2010-04-19  Glenn Morris  <rgm@gnu.org>

	* htmlfontify.el (htmlfontify-buffer)
	(htmlfontify-copy-and-link-dir): Autoload entry points.

2010-04-19  Magnus Henoch  <magnus.henoch@gmail.com>

	* vc-hg.el (vc-hg-annotate-extract-revision-at-line): Expand file
	name relative to the project root (Bug#5960).

2010-04-19  Glenn Morris  <rgm@gnu.org>

	* vc-git.el (vc-git-print-log): Doc fix.

2010-04-19  Óscar Fuentes  <ofv@wanadoo.es>

	* ido.el (ido-file-internal): Fix 2009-12-02 change.

2010-04-19  Christoph  <cschol2112@googlemail.com>  (tiny change)

	* progmodes/grep.el (grep-compute-defaults): Fix handling of host
	default settings (Bug#5928).

2010-04-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-match-and-skip-declaration):
	New function.
	(fortran-font-lock-keywords-3): Use it.  (Bug#1385)

2010-04-19  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (malayalam-composable-pattern): Fix previous
	change (add U+0D4D "SIGN VIRAMA").
	(oriya-composable-pattern): Add U+0B30 and fix typo in the regexp.
	(tamil-composable-pattern): Fix typo in the regexp.
	(telugu-composable-pattern): Fix U+0C4D and typo in the regexp.
	(kannada-composable-pattern): Fix U+0CB0 and typo in the regexp.
	(malayalam-composable-pattern): Fix U+0D4D and typo in the regexp.

2010-04-19  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/tex-mode.el (latex-mode): Revert 2008-03-03 change to
	paragraph-separate (Bug#5821).

2010-04-19  Juri Linkov  <juri@jurta.org>

	Put breadcrumbs on overlay instead of inserting to buffer (bug#5809).

	* info.el (Info-find-node-2): Comment out code that skips
	breadcrumbs line.
	(Info-mouse-follow-link): New command.
	(Info-link-keymap): New keymap.
	(Info-breadcrumbs): Rename from `Info-insert-breadcrumbs'.
	Return a string with links instead of inserting breadcrumbs
	to the Info buffer.
	(Info-fontify-node): Comment out code that inserts breadcrumbs.
	Instead of putting the `invisible' text property over the Info
	header, make an overlay over the Info header with the `invisible'
	property and `after-string' set to the string returned by
	`Info-breadcrumbs'.

2010-04-19  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (help-window-setup-finish): Doc fix (Bug#5830).
	Reported by monkey@sandpframing.com.

2010-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tmm.el (tmm-prompt): Remove obsolete call to x-popup-menu.
	(tmm-get-keymap): Add key-binding shortcuts now that they're not
	available in the "keyseq cache" any more.

	* custom.el (defcustom): Add edebug spec.

2010-04-18  Juri Linkov  <juri@jurta.org>

	Test for special mode-class in view-buffer instead of view-file (bug#5513).

	* view.el (view-file, view-buffer): Move test for special mode-class
	from view-file to view-buffer.

	* tar-mode.el (tar-extract): Turn if's into one cond
	like in arc-mode.el.

2010-04-18  Juri Linkov  <juri@jurta.org>

	Add 7z archive format support (bug#5475).

	* arc-mode.el (archive-zip-extract): Try to find 7z executable.
	(archive-7z-extract): New defcustom.
	(archive-find-type): Add magic string for 7z.
	(archive-extract-by-stdout): Add new optional arg `stderr-file'.
	If `stderr-file' is non-nil, use `(t stderr-file)' for the
	`buffer' arg of `call-process'.
	(archive-zip-extract): Check `archive-zip-extract' for "7z" and
	call the function `archive-7z-extract' with the variable
	`archive-7z-extract' let-bound to `archive-zip-extract'.
	(archive-7z-summarize, archive-7z-extract): New functions.

	* international/mule.el (auto-coding-alist):
	* files.el (auto-mode-alist): Add 7z file extension.

2010-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loadup.el: Setup hash-cons for pure data.

	Fix duplicate entries in cedet's loaddefs.el files.
	* emacs-lisp/autoload.el (autoload-file-load-name): Be more clever.
	Should make most file-local generated-autoload-file unnecessary.
	(print-readably): Silence warnings.
	(autoload-find-destination): Take load-name as an arg to make sure
	it's the same as the one that will be in the file.
	(autoload-generate-file-autoloads): Adjust to above changes.
	Try to make the dataflow a bit simpler.

	* cvs-status.el (cvs-refontify): Remove unused.

2010-04-18  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc.el (calc-mode-map): Bind "O" to `calc-missing-key'.

	* calc-bin.el (calc-radix): Have the "O" option turn on
	twos-complement mode.

2010-04-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc-ext.el (calc-init-extensions): Add keybinding for 'calc-option'.
	Add `calc-option-prefix-help' to calc-help autoloads.
	(calc-inverse): Add "Option" to message, as appropriate.
	(calc-hyperbolic): Add "Option" to message, as appropriate.
	(calc-option, calc-is-option): New functions.

	* calc-help.el (calc-full-help): Add `calc-option-help'.
	(calc-option-prefix-help): New function.

	* calc-misc.el (calc-help): Add "Option" entry.

	* calc.el (calc-local-var-list): Add `calc-option-flag'.
	(calc-option-flag): New variable.
	(calc-do): Set `calc-option-flag to nil.
	(calc-set-mode-line): Add "Opt " as appropriate.

2010-04-16  Juri Linkov  <juri@jurta.org>

	Move scrolling commands from simple.el to window.el
	because their primitives are implemented in window.c.

	* simple.el (scroll-error-top-bottom)
	(scroll-up-command, scroll-down-command, scroll-up-line)
	(scroll-down-line, scroll-other-window-down)
	(beginning-of-buffer-other-window, end-of-buffer-other-window):
	* window.el (scroll-error-top-bottom)
	(scroll-up-command, scroll-down-command, scroll-up-line)
	(scroll-down-line, scroll-other-window-down)
	(beginning-of-buffer-other-window, end-of-buffer-other-window):
	Move from simple.el to window.el because their primitives are
	implemented in window.c.

2010-04-16  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-lookup-scroll-key): Check both
	`isearch-scroll' and `scroll-command' properties.
	(scroll-up, scroll-down): Remove `isearch-scroll' property.

	* mwheel.el (mwheel-scroll): Remove `isearch-scroll' property.

	* simple.el (scroll-up-command, scroll-down-command)
	(scroll-up-line, scroll-down-line): Remove `isearch-scroll' property.

2010-04-15  Juri Linkov  <juri@jurta.org>

	* simple.el (scroll-up-command, scroll-down-command)
	(scroll-up-line, scroll-down-line): Put `scroll-command'
	property on the these symbols.  Remove them from
	`scroll-preserve-screen-position-commands'.

	* mwheel.el (mwheel-scroll): Put `scroll-command' and
	`isearch-scroll' properties on the `mwheel-scroll' symbol.
	Remove it from `scroll-preserve-screen-position-commands'.

	* isearch.el (isearch-allow-scroll): Doc fix.

2010-04-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-error-with-buffer): Don't show the
	connection buffer when we are in completion mode.
	(tramp-file-name-handler): Catch the error for some operations
	when we are in completion mode.  This gives the user the chance to
	correct the file name in the minibuffer.

2010-04-15  Glenn Morris  <rgm@gnu.org>

	* progmodes/verilog-mode.el (verilog-forward-sexp): Avoid free variable.

2010-04-15  Juanma Barranquero  <lekktu@gmail.com>

	Simplify by using `define-derived-mode'.
	* info.el (Info-mode):
	* calendar/todo-mode.el (todo-mode):
	* play/gomoku.el (gomoku-mode): Define with `define-derived-mode'.
	(gomoku-mode-map): Move initialization into declaration.

2010-04-14  Michael Albinus  <michael.albinus@gmx.de>

	Fix Bug#5840.
	* ido.el (ido-file-name-all-completions-1):
	* minibuffer.el (minibuffer-completion-help):
	* net/tramp.el (tramp-completion-mode-p): Use `non-essential'.

2010-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (non-essential): New var.

	Add a new field `location' to bookmarks for non-file bookmarks.
	* bookmark.el (bookmark-location): Use the new field, if present.
	(bookmark-insert-location): Undo last change, not needed any more.
	* man.el (Man-bookmark-make-record):
	* woman.el (woman-bookmark-make-record): Add `location' field.

2010-04-14  Juri Linkov  <juri@jurta.org>

	* simple.el (scroll-error-top-bottom): New defcustom.
	(scroll-up-command, scroll-down-command): Use it.  Doc fix.

	* emulation/pc-select.el (pc-select-override-scroll-error):
	Obsolete in favor of `scroll-error-top-bottom'.

2010-04-14  Juri Linkov  <juri@jurta.org>

	* tutorial.el (tutorial--default-keys): Rebind `C-v' to
	`scroll-up-command' and `M-v' to `scroll-down-command'.

	* emulation/cua-rect.el (cua--init-rectangles):
	* forms.el (forms--change-commands):
	* image-mode.el (image-mode-map):
	Remap scroll-down-command and scroll-up-command
	in addition to scroll-down and scroll-up.

2010-04-14  Juri Linkov  <juri@jurta.org>

	* mwheel.el (scroll-preserve-screen-position-commands):
	Add mwheel-scroll to this list of commands.

	* simple.el (scroll-preserve-screen-position-commands):
	Add scroll-up-command, scroll-down-command, scroll-up-line,
	scroll-down-line to this list of commands.

2010-04-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* obsolete/complete.el: Move from lisp/complete.el.

	* pcomplete.el (pcomplete-here*): Fix mistaken change (bug#5935).

	* emacs-lisp/easy-mmode.el (define-minor-mode): Passing a nil argument
	to the minor mode function now turns the mode ON unconditionally.

2010-04-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dir.el (vc-dir-kill-line): New command.
	(vc-dir-mode-map): Bind it to C-k.

	* bookmark.el (bookmark-insert-location): Handle a nil filename.

	* woman.el: Add bookmark declarations to silence the compiler.
	(bookmark-prop-get): Use `man-args' rather than `filename' as a first
	step to compatibility between man and woman bookmarks.
	Adjust for Man-default-bookmark-title renaming.
	(woman-bookmark-jump): Adjust accordingly.  Don't forget to autoload.

	* man.el: Add bookmark declarations to silence the compiler.
	(Man-name-local-regexp): Make it match NAME as well.
	(Man-getpage-in-background): Return the buffer.
	(Man-notify-when-ready): Use `case'.
	(man-set-default-bookmark-title): Rename to Man-default-bookmark-title.
	Don't hardcode "NAME".  Simplify.
	(Man-bookmark-make-record): Use Man-arguments rather than buffer-name.
	Rename from Man-bookmark-make-record.
	(Man-bookmark-jump): Rename from man-bookmark-jump.  Simplify now that
	we have the actual man-args.  Use Man-getpage-in-background rather
	than `man' since the arg is already processed.  Let bookmark.el do the
	window handling.  Only wait for the relevant process.
	Don't forget to autoload.

	* bookmark.el (bookmark-default-file): Use locate-user-emacs-file.

2010-04-12  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* woman.el (woman-bookmark-make-record, woman-bookmark-jump):
	New functions.
	(woman-mode): Setup bookmark support.

	* man.el (man-set-default-bookmark-title, man-bookmark-make-record)
	(man-bookmark-jump): New functions.
	(Man-mode): Setup bookmark support.

2010-04-10  Jari Aalto  <jari.aalto@cante.net>

	* comint.el (comint-password-prompt-regexp): Use regexp-opt, and
	recognize ssh-keygen prompt (Bug#2817).

2010-04-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file): Add progress reporter.

2010-04-10  Michael Albinus  <michael.albinus@gmx.de>

	Synchronize with Tramp repository.

	* net/tramp.el (tramp-completion-function-alist)
	(tramp-file-name-regexp, tramp-chunksize)
	(tramp-local-coding-commands, tramp-remote-coding-commands):
	Fix docstring.
	(tramp-remote-process-environment): Use `format' instead of `concat'.
	(tramp-handle-directory-files-and-attributes)
	(tramp-get-remote-path): Use `copy-tree'.
	(tramp-handle-file-name-all-completions): Backward/ XEmacs
	compatibility: Use `completion-ignore-case' if
	`read-file-name-completion-ignore-case' does not exist.
	(tramp-do-copy-or-rename-file-directly): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-do-copy-or-rename-file-out-of-band):
	Use `tramp-compat-delete-directory'.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-compute-multi-hops, tramp-maybe-open-connection):
	Use `format-spec-make'.
	(tramp-find-foreign-file-name-handler)
	(tramp-advice-make-auto-save-file-name)
	(tramp-set-auto-save-file-modes): Remove superfluous check for
	`stringp'.  This is done inside `tramp-tramp-file-p'.
	(tramp-debug-outline-regexp): New defconst.
	(tramp-get-debug-buffer): Use it.
	(tramp-check-for-regexp): Use (forward-line 1).
	(tramp-set-auto-save-file-modes): Adapt version check.

	* net/tramp-compat.el (tramp-advice-file-expand-wildcards):
	Wrap call of `featurep' for 2nd argument.
	(tramp-compat-make-temp-file): Simplify fallback implementation.
	(tramp-compat-copy-tree): Remove function.
	(tramp-compat-delete-directory): Provide implementation for older
	Emacsen.

	* net/tramp-fish.el (tramp-fish-handle-directory-files-and-attributes):
	Do not use `tramp-fish-handle-file-attributes.

	* net/trampver.el: Update release number.

2010-04-10  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-save-buffers-predicate):
	Add missing :version tag.

2010-04-09  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-save-buffers-predicate):
	Remove the "autoload" cookie.

	* progmodes/bug-reference.el (turn-on-bug-reference-mode)
	(turn-on-bug-reference-prog-mode): Remove, `bug-reference-mode'
	and `bug-reference-prog-mode' can be used in hooks directly.

2010-04-09  Dan Nicolaescu  <dann@ics.uci.edu>

	Add --author support to git commit.
	* vc-git.el (vc-git-checkin): Pass extra-args to the commit command.
	(vc-git-log-edit-mode): New minor mode.
	(log-edit-mode, log-edit-extra-flags, log-edit-mode):
	New declarations.

2010-04-09  Eric Raymond  <esr@snark.thyrsus.com>

	* vc-hooks.el, vc-git.el: Improve documentation comments.

2010-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix some of the problems in defsubst* (bug#5728).
	* emacs-lisp/cl-macs.el (defsubst*): Don't substitute non-trivial args.
	(cl-defsubst-expand): Do the substitutions simultaneously (bug#5728).

2010-04-07  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-save-buffers-predicate):
	New custom variable.
	(compile, recompile): Pass it to `save-some-buffers'.

2010-04-07  Jan Djärv  <jan.h.d@swipnet.se>

	* wid-edit.el (widget-choose): Move cursor to the second line of
	the buffer (Bug#5695).

2010-04-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Add new VC methods: vc-log-incoming and vc-log-outgoing.
	* vc.el (vc-print-log-setup-buttons): New function split out from
	vc-print-log-internal.
	(vc-log-internal-common): New function, a parametrized version of
	vc-print-log-internal.
	(vc-print-log-internal): Just call vc-log-internal-common with the
	right arguments.
	(vc-incoming-outgoing-internal):
	(vc-log-incoming, vc-log-outgoing): New functions.
	(vc-log-view-type): New permanent local variable.

	* vc-hooks.el (vc-menu-map): Bind vc-log-incoming and vc-log-outgoing.

	* vc-bzr.el (vc-bzr-log-view-mode): Use vc-log-view-type instead
	of the dynamic bound vc-short-log.
	(vc-bzr-log-incoming, vc-bzr-log-outgoing): New functions.

	* vc-git.el (vc-git-log-outgoing): New function.
	(vc-git-log-view-mode): Use vc-log-view-type instead
	of the dynamic bound vc-short-log.

	* vc-hg.el (vc-hg-log-view-mode): Use vc-log-view-type instead
	of the dynamic bound vc-short-log.  Highlight the tag.
	(vc-hg-log-incoming, vc-hg-log-outgoing): New functions.
	(vc-hg-outgoing, vc-hg-incoming, vc-hg-outgoing-mode):
	(vc-hg-incoming-mode): Remove.
	(vc-hg-extra-menu-map): Do not bind vc-hg-incoming and vc-hg-outgoing.

2010-04-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix default-directory for vc-root-diff.
	* vc.el (vc-root-diff): Bind default-directory to the root
	directory for the diff command.

2010-04-07  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-forward-sexp):
	(verilog-calc-1): Support "disable fork" and "fork wait" multi
	word keywords, suggested by Steve Pearlmutter.
	(verilog-pretty-declarations): Support lineup of declarations in
	port lists.
	(verilog-skip-backward-comments, verilog-skip-forward-comment-p):
	fix bug for /* / comments.
	(verilog-backward-syntactic-ws, verilog-forward-syntactic-ws):
	Speed up and simplfy as this is never called with a bound.
	(verilog-pretty-declarations): Enhance to line up declarations
	inside a parameter list, suggested by Alan Morgan.
	(verilog-pretty-expr): Tune assignment regular expression match
	string for corner cases; also use markers instead of character
	number as indent changes the later.

2010-04-07  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-type-keywords): Fix pulldown
	as missing keyword.
	(verilog-read-sub-decls-line): Fix comments in AUTO_TEMPLATE
	causing truncation of AUTOWIRE signals.  Reported by Bruce Tennant.
	(verilog-auto-inst, verilog-auto-inst-port): Add vl_mbits for
	AUTO_TEMPLATEs needing multiple array bits.  Suggested by Bruce
	Tennant.
	(verilog-keywords):
	(verilog-1800-2005-keywords, verilog-1800-2009-keywords): Add IEEE
	1800-2009 keywords, including "global.".

2010-04-06  John Wiegley  <jwiegley@gmail.com>

	* ido.el (ido-add-virtual-buffers-to-list): Fix duplicated names
	appearing in buffer list (if a live buffer name matched a recentf
	file basename).  Should use uniquify to offer a real solution.

2010-04-06  John Wiegley  <jwiegley@gmail.com>

	* ido.el (ido-use-virtual-buffers, ido-virtual): Move a ChangeLog
	comment to code, and add a :version tag.
	(ido-virtual-buffers): Move defvar to fix byte-compiler warning.

2010-04-06  Juanma Barranquero  <lekktu@gmail.com>

	Enable recentf-mode if using virtual buffers.
	* ido.el (recentf-list): Declare for byte-compiler.
	(ido-virtual-buffers): Move up to silence byte-compiler. Add docstring.
	(ido-make-buffer-list): Simplify.
	(ido-add-virtual-buffers-to-list): Simplify.  Enable recentf-mode.

2010-04-05  Juri Linkov  <juri@jurta.org>

	Scrolling commands which scroll a line instead of full screen.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01452.html

	* simple.el (scroll-up-line, scroll-down-line): New commands.
	Put property isearch-scroll=t on them.

	* emulation/ws-mode.el (scroll-down-line, scroll-up-line):
	Remove commands.

2010-04-05  Juri Linkov  <juri@jurta.org>

	Scrolling commands which do not signal errors at top/bottom.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01452.html

	* simple.el (scroll-up-command, scroll-down-command): New commands.
	Put property isearch-scroll=t on them.

	* bindings.el (global-map): Rebind [prior] from `scroll-down' to
	`scroll-down-command' and [next] from `scroll-up' to
	`scroll-up-command'.

	* emulation/cua-base.el: Put property CUA=move on
	`scroll-up-command' and `scroll-down-command'.
	(cua--init-keymaps): Remap `scroll-up-command' to `cua-scroll-up'
	and `scroll-down-command' to `cua-scroll-down'.

2010-04-05  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (describe-mode): Return nil.

2010-04-04  John Wiegley  <jwiegley@gmail.com>

	* ido.el (ido-use-virtual-buffers): New variable to indicate
	whether "virtual buffer" support is enabled for IDO.
	(ido-virtual): Face used to indicate virtual buffers in the list.
	(ido-buffer-internal): If a buffer is chosen, and no such buffer
	exists, but a virtual buffer of that name does (which would be why
	it was in the list), recreate the buffer by reopening the file.
	(ido-make-buffer-list): If virtual buffers are being used, call
	`ido-add-virtual-buffers-to-list' before the make list hook.
	(ido-virtual-buffers): New variable which contains a copy of the
	current contents of the `recentf-list', albeit pared down for the
	sake of speed, and with proper faces applied.
	(ido-add-virtual-buffers-to-list): Using the `recentf-list',
	create a list of "virtual buffers" to present to the user in
	addition to the currently open set.  Note that this logic could
	get rather slow if that list is too large.  With the default
	`recentf-max-saved-items' of 200, there is little speed penalty.

2010-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el: Require CL when compiling.
	(font-lock-turn-on-thing-lock): Use `case'.

2010-04-03  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries): Add entry for Eli
	Zaretskii.

2010-04-02  Juanma Barranquero  <lekktu@gmail.com>

	* cedet/semantic/imenu.el (semantic-imenu-bucketize-type-members)
	(semantic-create-imenu-directory-index): Fix typos in docstrings.
	(semantic-imenu-goto-function): Reflow docstring.

2010-04-02  Juri Linkov  <juri@jurta.org>

	* ehelp.el (electric-help-orig-major-mode):
	New buffer-local variable.
	(electric-help-mode): Set it to original major-mode.  Doc fix.
	(with-electric-help): Use `electric-help-orig-major-mode' instead
	of (default-value 'major-mode).  Doc fix.
	http://lists.gnu.org/archive/html/emacs-devel/2010-04/msg00069.html

2010-04-02  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-push, vc-hg-pull): Use `apply' when calling
	`vc-hg-command' with a list of flags.

	* progmodes/bug-reference.el (bug-reference-bug-regexp):
	Also accept "patch" and "RFE".
	(bug-reference-fontify): `bug-reference-url-format' can also be a
	function to be able to handle the bug kind.
	(turn-on-bug-reference-mode, turn-on-bug-reference-prog-mode): Add.

2010-04-02  Jan Djärv  <jan.h.d@swipnet.se>

	* tmm.el (tmm-get-keymap): Check with symbolp before passing
	value to fboundp, it may not be a symbol.

2010-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-buffer-sort-alphabetically): Update :version.

2010-03-31  Juri Linkov  <juri@jurta.org>

	* simple.el (next-line, previous-line): Re-throw a signal
	with `signal' instead of using `ding'.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01432.html

2010-03-31  Juri Linkov  <juri@jurta.org>

	* simple.el (keyboard-escape-quit): Raise deselecting the active
	region higher than exiting the minibuffer.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00904.html

2010-03-31  Juri Linkov  <juri@jurta.org>

	* image.el (image-animated-p): Use `image-metadata' instead of
	`image-extension-data'.  Get GIF extenstion data from metadata
	property `extension-data'.

2010-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (append-to-buffer): Simplify.

2010-03-31  Tomas Abrahamsson  <tab@lysator.liu.se>

	* textmodes/artist.el (artist-mode): Fix typo in docstring.
	Reported by Alex Schröder <kensanata@gmail.com>.  (Bug#5807)

2010-03-31  Kenichi Handa  <handa@m17n.org>

	* language/sinhala.el (composition-function-table): Fix regexp for
	the new Unicode specification.

	* language/indian.el (devanagari-composable-pattern)
	(tamil-composable-pattern, kannada-composable-pattern)
	(malayalam-composable-pattern): Adjust for the new Unicode
	specification.
	(bengali-composable-pattern, gurmukhi-composable-pattern)
	(gujarati-composable-pattern, oriya-composable-pattern)
	(telugu-composable-pattern): New variables to cope with the new
	Unicode specification.  Use them in composition-function-table.

2010-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make tmm-menubar work for the Buffers menu again (bug#5726).
	* tmm.el (tmm-prompt): Also handle keymap entries in the form of
	vectors rather than cons cells, as used in menu-bar-update-buffers.

2010-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el (js-auto-indent-flag, js-mode-map)
	(js-insert-and-indent): Revert 2009-08-15 change, restoring
	electric punctuation for "{}();,:" (Bug#5586).

	* mail/sendmail.el (mail-default-directory): Doc fix.

2010-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-default-directory): Doc fix.

2010-03-31  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (version-regexp-alist, version-to-list)
	(version-list-<, version-list-=, version-list-<=)
	(version-list-not-zero, version<, version<=, version=): Doc fix.
	(Bug#5744).

2010-02-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-root-diff): Doc fix.

2010-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* vc.el (vc-print-log, vc-print-root-log): Doc fix.

	* simple.el (append-to-buffer): Fix last change.

2010-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (append-to-buffer): Ensure that point is preserved if
	BUFFER is the current buffer.  Suggested by YAMAMOTO Mitsuharu.
	(Bug#5749)

2010-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-case-fold): Change default to t.

2010-03-30  Juri Linkov  <juri@jurta.org>

	* dired-x.el (dired-omit-mode): Doc fix.

2010-03-30  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-accumulate-lines): Move occur-engine related
	functions `occur-accumulate-lines' and `occur-engine-add-prefix'
	to be located after `occur-engine'.

2010-03-30  Juri Linkov  <juri@jurta.org>

	Make occur handle multi-line matches cleanly with context.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01280.html

	* replace.el (occur-accumulate-lines): Add optional arg `pt'.
	(occur-engine): Add local variables `ret', `prev-after-lines',
	`prev-lines'.  Use more arguments for `occur-context-lines'.
	Set first elem of its returned list to `data', and the second elem
	to `prev-after-lines'.  Don't print the separator line.
	In the end, print remaining context after-lines.
	(occur-context-lines): Add new arguments `begpt', `endpt',
	`lines', `prev-lines', `prev-after-lines'.  Rewrite to combine
	after-lines of the previous match with before-lines of the
	current match and not overlap them.  Return a list with two
	values: the output line and the list of context after-lines.

2010-03-30  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-accumulate-lines): Fix a bug where the first
	context line at the beginning of the buffer was missing.

2010-03-30  Eli Zaretskii  <eliz@gnu.org>

	* files.el: Make bidi-display-reordering safe variable for boolean
	values.

2010-03-29  Phil Hagelberg  <phil@evri.com>
            Chong Yidong  <cyd@stupidchicken.com>

	* subr.el: Extend progress reporters to perform "spinning".
	(progress-reporter-update, progress-reporter-do-update):
	Handle non-numeric value arguments.
	(progress-reporter--pulse-characters): New var.

2010-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-start): Fix regexp detection
	of initial cd command (Bug#5771).

2010-03-28  Stefan Guath  <stefan@automata.se>  (tiny change)

	* find-dired.el (find-dired): Use read-directory-name (Bug#5777).

2010-03-27  Nick Roberts  <nickrob@snap.net.nz>

	Restore GDB/MI fuctionality removed by r99212.
	* lisp/progmodes/gdb-mi.el: Restore.
	* lisp/progmodes/gdb-ui.el: Remove.
	* lisp/progmodes/gud.el: Re-accommodate for gdb-mi.el.

2010-03-25  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-save-buffer-p): Don't mistakenly include
	all dired buffers, even tramp ones.  (Bug#5755)

2010-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	Add "union tags" in mpc.el.
	* mpc.el: Remove backward compatibility code.
	(mpc-browser-tags): Change default.
	(mpc--find-memoize-union-tags): New var.
	(mpc-cmd-flush, mpc-cmd-special-tag-p): New fun.
	(mpc-cmd-find): Handle the case where the playlist does not exist.
	Handle union-tags.
	(mpc-cmd-list): Use mpc-cmd-special-tag-p.  Handle union-tags.
	(mpc-cmd-add): Use mpc-cmd-flush.
	(mpc-tagbrowser-tag-name): New fun.
	(mpc-tagbrowser-buf): Use it.
	(mpc-songs-refresh): Use cond.  Move to point-min as a fallback.

2010-03-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	Misc cleanup.
	* progmodes/make-mode.el (makefile-bsdmake-rule-action-regex):
	Use replace-regexp-in-string.
	(makefile-mode-abbrev-table): Merge defvar and define-abbrev-table.
	(makefile-imake-mode-syntax-table): Move init into defvar.
	(makefile-mode): Use define-derived-mode.

	* progmodes/make-mode.el (makefile-rule-action-regex): Backtrack less.
	(makefile-make-font-lock-keywords): Adjust rule since submatch 1 may
	not be present any more.

2010-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (set-face-attribute): Fix typo in docstring.
	(face-valid-attribute-values): Reflow docstring.

	* cedet/srecode/table.el (srecode-template-table): Fix docstring typo.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* textmodes/flyspell.el (sgml-lexical-context): Autoload it (Bug#5752).

2010-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* indent.el (indent-for-tab-command): Doc fix.

2010-03-24  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-remove-stale-state-cache):
	Fix off-by-one error.  Fixes bug #5747.

2010-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* image-dired.el (image-dired-display-thumbs): Fix typo in docstring.
	(image-dired-read-comment): Doc fix.

	* json.el (json-object-type, json-array-type, json-key-type)
	(json-false, json-null, json-read-number):
	* minibuffer.el (completion-in-region-functions):
	* calendar/cal-tex.el (cal-tex-daily-end, cal-tex-number-weeks)
	(cal-tex-cursor-week):
	* emacs-lisp/trace.el (trace-function):
	* eshell/em-basic.el (eshell/printnl):
	* eshell/em-dirs.el (eshell-last-dir-ring, eshell-parse-drive-letter)
	(eshell-read-last-dir-ring, eshell-write-last-dir-ring):
	* obsolete/levents.el (allocate-event, event-key, event-object)
	(event-point, event-process, event-timestamp, event-to-character)
	(event-window, event-x, event-x-pixel, event-y, event-y-pixel):
	* textmodes/reftex-vars.el (reftex-index-macros-builtin)
	(reftex-section-levels, reftex-auto-recenter-toc, reftex-toc-mode-hook)
	(reftex-cite-punctuation, reftex-search-unrecursed-path-first)
	(reftex-highlight-selection): Fix typos in docstrings.

2010-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-in-region-functions): Fix docstring typos.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-highlight-face): Restore option deleted
	2008-02-13 without comment; mark it obsolete.
	(rmail-highlight-headers): Use rmail-highlight-face once more.

2010-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman2-process-escapes): Only consume the newline if
	the filler character is on a line by itself (Bug#5729).

2010-03-24  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (devanagari-composable-pattern): Add more
	consonants.

2010-03-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/trampver.el: Update release number.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Add cedet/semantic/imenu.el.

2010-03-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-executable):
	Use `tramp-get-connection-buffer'.  Make the regexp for checking
	output of "wc -l" more robust.
	(tramp-find-shell): Use another shell but /bin/sh on OpenSolaris.
	(tramp-open-connection-setup-interactive-shell): Remove workaround
	for OpenSolaris bug, it is not needed anymore.

2010-03-24  Eric M. Ludlam  <zappo@gnu.org>

	* cedet/semantic/imenu.el: New file, from the CEDET repository
	(Bug#5412).

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-macs.el (defsubst*): Add autoload cookie.  (Bug#4427)

2010-03-24  Wilson Snyder  <wsnyder@wsnyder.org>

	* files.el (auto-mode-alist): Accept more verilog file patterns.

2010-03-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dir.el (vc-dir-headers): Abbreviate the working dir.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* vc-bzr.el (vc-bzr-log-edit-mode): Add --fixes support to
	log-edit-before-checkin-process.

	* vc.el (vc-modify-change-comment): Pass MODE to vc-start-logentry.

	* vc.el, vc-bzr.el, vc-hg.el (log-edit-mode): Declare.

	* vc-dispatcher.el (vc-start-logentry): Doc fix.
	(log-view-process-buffer, log-edit-extra-flags): Declare.

	* log-edit.el (log-edit-before-checkin-process): Doc fix.

	* cedet/semantic/bovine/c.el (semantic-c-describe-environment):
	Consistently check ede-object is bound throughout.

	* cedet/ede/project-am.el (ede-shell-run-something): Declare.

2010-03-23  Sam Steingold  <sds@gnu.org>

	Fix bug#5620: recalculate all markers on compilation buffer
	modifications, not on file modifications.
	* progmodes/compile.el (buffer-modtime): New buffer-local variable:
	the buffer modification time, for buffers not associated with files.
	(compilation-mode): Create it.
	(compilation-filter): Update it.
	(compilation-next-error-function): Use it instead of
	`visited-file-modtime' for timestamp.

2010-03-23  Juri Linkov  <juri@jurta.org>

	Implement Occur multi-line matches.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01044.html

	* replace.el (occur): Doc fix.
	(occur-engine): Set `begpt' to the beginning of the first line.
	Set `endpt' to the end of the last match line.  At first, count
	line numbers between `origpt' and `begpt'.  Split out code from
	`out-line' variable to new let-bindings `match-prefix' and
	`match-str'.  In `out-line' add non-numeric prefix to all
	non-first lines of multi-line matches.  Finally, count lines
	between `begpt' and `endpt' and add to `lines'.

2010-03-23  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-accumulate-lines, occur-engine):
	Use `occur-engine-line' instead of duplicate code.
	(occur-engine-line): New function created from duplicate code
	in `occur-accumulate-lines' and `occur-engine'.

	* replace.el (occur-engine-line): Add optional arg `keep-props'.
	(occur-accumulate-lines, occur-engine): Add arg `keep-props'.

2010-03-23  Juri Linkov  <juri@jurta.org>

	* finder.el: Remove TODO tasks.

	* info.el (Info-finder-find-node): Add node "all"
	with all package info.  Handle a list of multiple keywords
	separated by comma.
	(info-finder): In interactive use with a prefix argument,
	use `completing-read-multiple' to read a list of keywords
	separated by comma.

2010-03-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	Add a new completion style `substring'.
	* minibuffer.el (completion-basic--pattern): New function.
	(completion-basic-try-completion, completion-basic-all-completions):
	Use it.
	(completion-substring--all-completions)
	(completion-substring-try-completion)
	(completion-substring-all-completions): New functions.
	(completion-styles-alist): New style `substring'.

2010-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	Get rid of .elc files after removal of the corresponding .el.
	* Makefile.in (compile-clean): New target.
	(compile-main): Use it.

2010-03-22  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (compile-main): cd to $(lisp) in a sub-shell, so we
	don't do make there.  When compiling with separate object dir, there
	is no Makefile there.

2010-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	Get rid of the ELCFILES abomination, again.
	* Makefile.in (update-elclist, ELCFILES, compile-last): Remove.
	(all, compile): Don't call compile-last.
	(compile-main): Build the "elcfiles" list dynamically.
	(compile-targets): New (internal) target.

2010-03-21  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (top_srcdir): Define.
	(abs_top_builddir): Define.
	(srcdir): Don't append `/..'.
	(EMACS): Use ${abs_top_builddir}.
	(all, compile, compile-always, compile-last): Don't set emacswd.
	(update-subdirs, update-authors): Use $(top_srcdir) instead of
	$(srcdir).
	(lisp): Use $(srcdir) instead of @srcdir@.

2010-03-21  Juri Linkov  <juri@jurta.org>

	Fix message of multi-line occur regexps and multi-buffer header lines.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00457.html

	* replace.el (occur-1): Don't display regexp if it is longer
	than window-width.  Use `query-replace-descr' to display regexp.
	(occur-engine): Don't display regexp in the buffer header for
	multi-buffer occur.  Display a separate header line with total
	match count and regexp for multi-buffer occur.
	Use `query-replace-descr' to display regexp.

2010-03-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/secrets.el: Fix parenthesis.
	(secrets-enabled): Fix parenthesis.

2010-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use more relative file and directory names.
	* Makefile.in (EMACS): Arrange for it to work when we chdir.
	(setwins, setwins_almost, setwins_for_subdirs):
	Don't `cd'; output relative names.
	(all, compile, compile-always, compile-last): Set emacswd.
	(custom-deps, finder-data, autoloads, update-subdirs, compile-last):
	Just cd to the lisp source dir so we can use relative file names.

	* outline.el (hide-sublevels): Unfix the paren non-typo! (bug#5738).

2010-03-20  Glenn Morris  <rgm@gnu.org>

	* textmodes/rst.el: Use faces for font-lock customization, and make the
	old -face variables obsolete.
	(rst-block, rst-external, rst-definition, rst-directive, rst-comment)
	(rst-emphasis1, rst-emphasis2, rst-literal, rst-reference): New faces.
	(rst-block-face, rst-external-face, rst-definition-face)
	(rst-directive-face, rst-comment-face, rst-emphasis1-face)
	(rst-emphasis2-face, rst-literal-face, rst-reference-face):
	Make obsolete.
	(rst-font-lock-keywords-function): Update for above changes.

2010-03-20  Juri Linkov  <juri@jurta.org>

	* s-region.el:
	* obsolete/s-region.el: Move to obsolete.

2010-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* vc-dispatcher.el (vc-do-command): Remove reference to `vc-path'.

2010-03-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-path): Remove variable and obsolete declaration.

2010-03-19  Dan Nicolaescu  <dann@ics.uci.edu>

	Add special markup processing for commit logs.
	* log-edit.el (log-edit-extra-flags): New variable.
	(log-edit): Add new argument MODE.  Use that mode when non-nil
	instead of the log-view-mode.
	(log-view-process-buffer): New function.

	* vc.el: Document that the checkin method takes optional
	arguments.  Document new backend specific method: log-view-mode.
	(vc-default-log-edit-mode): New function.
	(vc-checkin): Use a backend specific log-view-mode.
	Pass extra arguments to the checkin method.
	(vc-modify-change-comment): Pass a dummy extra argument.

	* vc-dispatcher.el (vc-log-edit): Add a mode argument, pass it to
	log-edit.
	(vc-start-logentry): Add a mode argument, pass it to vc-log-edit.
	(vc-finish-logentry): Process the log buffer before passing it
	down.  Pass log-edit-extra-flags.

	* vc-bzr.el (vc-bzr-checkin): Pass extra arguments to the commit
	command.
	(log-edit-extra-flags, log-edit-before-checkin-process):
	New declarations.

	* vc-hg.el (vc-hg-checkin): Pass extra arguments to the commit
	command.
	(log-edit-extra-flags, log-edit-before-checkin-process):
	New declarations.
	(vc-hg-log-edit-mode): New derived mode.

	* vc-arch.el (vc-arch-checkin):
	* vc-cvs.el (vc-cvs-checkin):
	* vc-git.el (vc-git-checkin):
	* vc-mtn.el (vc-mtn-checkin):
	* vc-rcs.el (vc-rcs-checkin):
	* vc-sccs.el (vc-sccs-checkin):
	* vc-svn.el (vc-svn-checkin): Add an optional ignored argument.

2010-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* outline.el (hide-sublevels): Don't hide trailing newline (and fix
	parent typo).

2010-03-19  Glenn Morris  <rgm@gnu.org>

	* password-cache.el (password-cache, password-cache-expiry): Autoload.

2010-03-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/autoload.el (autoload-rubric): Doc fix.

	* replace.el (query-replace-history): Give it a doc string.
	(map-query-replace-regexp): Use query-replace-from-history-variable
	and query-replace-to-history-variable.

	* mail/hashcash.el (declare-function): Remove duplicate definition.

	* mail/emacsbug.el (report-emacs-bug-pretest-address):
	Make it an obsolete alias for report-emacs-bug-address.
	(message-strip-special-text-properties): Declare.
	(report-emacs-bug): Remove test for a pretest bug address.
	Combine message-mode-specific code.

	* mail/supercite.el: Don't require sendmail.
	(mh-in-header-p): Declare rather than using with-no-warnings.
	(sc-no-blank-line-or-header): Use rfc822-goto-eoh rather than
	mail-header-end.  Don't bind mysterious variable `kill-lines-magic'.

	* calendar/cal-french.el: Convert to utf-8.

	* files.el (interpreter-mode-alist): Use emacs-lisp-mode for
	Emacs scripts.

2010-03-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/secrets.el (secrets-enabled): New variable.  Use it instead
	of a subfeature.

2010-03-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/secrets.el (top): Register the D-Bus signals only when the
	service "org.freedesktop.secrets" can be pinged.
	Provide subfeature `enabled'.

2010-03-14  Juri Linkov  <juri@jurta.org>

	Add finder unknown keywords.

	* finder.el (finder-unknown-keywords): New function.

	* info.el (Info-finder-find-node): Use `finder-unknown-keywords'
	to create a Finder node with unknown keywords.

2010-03-14  Juri Linkov  <juri@jurta.org>

	* finder.el (finder-compile-keywords): Replace `princ' with
	`prin1' on a list of symbols interned from keyword strings.

	* emacs-lisp/lisp-mnt.el (lm-keywords-list): If `keywords' contains
	a comma, then split keywords using a comma and optional whitespace.
	Otherwise, split by whitespace.

	* complete.el:
	* face-remap.el:
	* log-view.el:
	* net/hmac-def.el:
	* net/hmac-md5.el:
	* net/netrc.el:
	* progmodes/mixal-mode.el: Fix keywords.

2010-03-13  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (ELCFILES): Add net/secrets.elc.

	* net/secrets.el: New file.

2010-03-12  Chong Yidong  <cyd@stupidchicken.com>

	* facemenu.el (list-colors-display, list-colors-print): New arg
	callback.  Use it to allow selecting colors.

	* wid-edit.el (widget-image-insert): Insert image prop even if the
	current display is non-graphic.
	(widget-field-value-set): New fun.
	(editable-field): Use it.
	(widget-field-value-get): Clean up unused var.
	(widget-color-value-create, widget-color--choose-action):
	New funs.  Allow using list-colors-display to choose color.

2010-03-12  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el: Resort topmost custom groups.
	(custom-buffer-sort-alphabetically): Default to t.
	(customize-apropos): Use apropos-parse-pattern.
	(custom-search-field): New var.
	(custom-buffer-create-internal): Add custom-apropos search field.
	(custom-add-parent-links): Don't display parent doc.
	(custom-group-value-create): Don't sort top-level custom group.
	(custom-magic-value-create): Show visibility button before option name.

	(custom-variable-state): New fun, from custom-variable-state-set.
	(custom-variable-state-set): Use it.
	(custom-group-value-create): Hide options with standard values
	using the :hidden-states property.  Use progress reporter.

	(custom-show): Simplify.
	(custom-visibility): Disable images by default.
	(custom-variable): New property :hidden-states.
	(custom-variable-value-create): Enable images for
	custom-visibility widgets.  Use :hidden-states property to
	determine initial visibility.

	* wid-edit.el (widget-image-find): Give images center ascent.
	(visibility): Add :on-image and :off-image properties.
	(widget-visibility-value-create): Use them.

2010-03-12  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (processes): Remove from development group.
	(oop, hypermedia): Delete group.
	(comm): Promote to top-level group.

	* net/browse-url.el (browse-url):
	* net/xesam.el (xesam):
	* net/tramp.el (tramp):
	* net/goto-addr.el (goto-address):
	* net/ange-ftp.el (ange-ftp): Put in comm group.

	* view.el (view): Remove from editing group.

	* uniquify.el (uniquify): Put in files group.

	* net/browse-url.el (browse-url):
	* ps-print.el (postscript): Put in external group.

	* cus-edit.el (outlines):
	* textmodes/text-mode.el (text-mode-hook):
	* textmodes/table.el (table):
	* textmodes/picture.el (picture):
	* outline.el (outlines): Put in wp group.

	* nxml/nxml-mode.el (nxml): Remove from wp group.

	* net/tramp-imap.el (tramp-imap): Put in tramp group.

	* mail/metamail.el (metamail): Remove from hypermedia group.

	* cus-edit.el (abbrev):
	* whitespace.el (whitespace):
	* vcursor.el (vcursor):
	* reveal.el (reveal):
	* hl-line.el (hl-line): Put in convenience group.

	* epg-config.el (epg): Put in data group.

	* emulation/pc-select.el (pc-select): Put in emulations group.

	* calculator.el (calculator): Put in applications group.

2010-03-12  Dan Nicolaescu  <dann@ics.uci.edu>

	Add .dir-locals.el support for file-less buffers.
	* files.el (hack-local-variables): Split out code to apply local
	variable settings ...
	(hack-local-variables-apply): ... here.  New function.
	(hack-dir-local-variables): Use the default directory for when the
	buffer does not have an associated file.
	(hack-dir-local-variables-non-file-buffer): New function.
	* diff-mode.el (diff-mode):
	* vc-annotate.el (vc-annotate-mode):
	* vc-dir.el (vc-dir-mode):
	* log-edit.el (log-edit-mode):
	* log-view.el (log-view-mode): Call hack-dir-local-variables-non-file-buffer.

2010-03-12  Dan Nicolaescu  <dann@ics.uci.edu>

	Add support for shelving snapshots and for showing shelves.
	* vc-bzr.el (vc-bzr-shelve-show, vc-bzr-shelve-show-at-point)
	(vc-bzr-shelve-apply-and-keep-at-point, vc-bzr-shelve-snapshot):
	New functions.
	(vc-bzr-shelve-map, vc-bzr-shelve-menu-map)
	(vc-bzr-extra-menu-map): Map them.

2010-03-11  Glenn Morris  <rgm@gnu.org>

	* cus-edit.el (customize-changed-options-previous-release):
	Bump to 23.1.

	* image.el (image-animate-max-time): Fix :version tag.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-03-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-git.el (vc-git-revision-table): Include remote branches.

2010-03-10  Kim F. Storm  <storm@cua.dk>

	Animated image API.
	http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00211.html

	* image.el (image-animate-max-time): New defcustom.
	(image-animated-types): New defconst.
	(create-animated-image, image-animate-timer)
	(image-animate-start, image-animate-stop, image-animate-timeout)
	(image-animated-p): New functions.

	* image-mode.el (image-toggle-display-image):
	Replace `create-image' with `create-animated-image'.

2010-03-09  Miles Bader  <miles@gnu.org>

	* vc-git.el (vc-git-print-log): Use "tformat:" for shortlog,
	instead of "format:"; this ensures that the output is
	newline-terminated.

2010-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rfc822.el (rfc822-addresses): Use nested catches to ensure
	that all errors are caught, and that the return value is always a
	list (Bug#5692).

2010-03-08  Kenichi Handa  <handa@m17n.org>

	* language/misc-lang.el (windows-1256): New coding system.
	(cp1256): New alias of windows-1256 (bug#5690).

2010-03-07  Andreas Schwab  <schwab@linux-m68k.org>

	* mail/rfc822.el (rfc822-addresses): Move catch clause down around
	call to rfc822-bad-address.  (Bug#5692)

2010-03-07  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* vc-git.el (vc-git-annotate-extract-revision-at-line):
	Use vc-git-root as default directory for revision path (Bug#5657).

2010-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* calculator.el (calculator): Don't bind split-window-keep-point
	(Bug#5674).

2010-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-git.el: Re-flow to fit into 80 columns.
	(vc-git-after-dir-status-stage, vc-git-dir-status-goto-stage):
	Remove spurious `quote' element in each case alternative.
	(vc-git-show-log-entry): Use prog1.
	(vc-git-after-dir-status-stage): Remove unused var `remaining'.

2010-03-06  Glenn Morris  <rgm@gnu.org>

	* cedet/semantic/grammar.el (semantic-grammar-header-template):
	Update template copyright to GPLv3+.

2010-03-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el (Man-files-regexp): Tighten up the regexp (bug#5686).

2010-03-03  Chong Yidong  <cyd@stupidchicken.com>

	* macros.el (insert-kbd-macro): Look up keyboard macro using the
	definition, not the name (Bug#5481).

2010-03-03  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* subr.el (momentary-string-display): Don't overwrite the MESSAGE
	argument with a local variable.  (Bug#5670)

2010-03-02  Juri Linkov  <juri@jurta.org>

	* info.el (Info-index-next): Decrement line number by 2.  (Bug#5652)

2010-03-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band): Fix an
	error when FILENAME and NEWNAME are existing remote directories.

	* net/tramp-compat.el (tramp-compat-make-temp-file): Add optional
	parameter DIR-FLAG.

2010-03-02  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-hebrew.el (holiday-hebrew-passover): Fix date
	of Yom HaAtzma'ut when it falls on a Monday (rule changed in 2004).

2010-03-01  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el (burmese-composable-pattern): Rename from
	myanmar-composable-pattern.

	* international/characters.el (script-list):
	* international/fontset.el (script-representative-chars):
	Change myanmar to burmese.
	(otf-script-alist): Likewise.
	(setup-default-fontset): Likewise.  Re-fix :otf spec.

2010-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* menu-bar.el (menu-bar-manuals-menu): Fix typo.

2010-02-28  Jan Djärv  <jan.h.d@swipnet.se>

	* scroll-bar.el (scroll-bar-drag-1): Add save-excursion, bug #5654.

2010-02-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-write-region): START can be a string.
	Take care in the checks.  Reported by Dan Davison
	<davison@stats.ox.ac.uk>.

2010-02-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-introspect, dbus-get-property)
	(dbus-set-property, dbus-get-all-properties):
	Use `dbus-call-method' when noninteractive.  (Bug#5645)

2010-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/reftex-toc.el (reftex-toc-promote-prepare):
	* emacs-lisp/elint.el (elint-add-required-env):
	* cedet/semantic/db-find.el
	(semanticdb-find-translate-path-brutish-default):
	* cedet/ede/make.el (ede-make-check-version):
	* calendar/icalendar.el (icalendar--add-diary-entry):
	* calc/calcalg2.el (math-tracing-integral):
	* files.el (recover-session-finish): Use with-current-buffer
	instead of save-excursion.

2010-02-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix in-buffer completion when after-change-functions modify the buffer.
	* minibuffer.el (completion--replace): New function.
	(completion--do-completion): Use it and use relative movement.

2010-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* international/fontset.el (setup-default-fontset): Fix :otf spec.

2010-02-27  Jeremy Whitlock  <jcscoobyrs@gmail.com>  (tiny change)

	* progmodes/python.el (python-pdbtrack-stack-entry-regexp):
	Allow the characters _<> in the stack entry (Bug#5653).

2010-02-26  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el: Fix entries in composition-function-table.
	(myanmar-composable-pattern): New variable.

	* international/fontset.el (setup-default-fontset): Add an entry
	for myanmar.

	* international/characters.el (script-list): Add Myanmar
	Extended-A.

2010-02-26  Glenn Morris  <rgm@gnu.org>

	* custom.el (custom-initialize-delay): Doc fix.

	* mail/sendmail.el (send-mail-function): Autoload the call
	to custom-initialize-delay, not otherwise preserved in loaddefs.el.

2010-02-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-filter): For eval forms, also
	check safe-local-variable-p (Bug#5636).

2010-02-24  Eduard Wiebe  <usenet@pusto.de>

	* javascript.el (wisent-javascript-jv-expand-tag): Avoid c(ad)ddr
	and use c(ad)r of cddr (Bug#5640).

2010-02-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band): Protect
	setting the modes by `ignore-errors'.  It might fail, for example
	if the file is not owned by the user but the group.
	(tramp-handle-write-region): Ensure, that `tmpfile' is always readable.

2010-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (directory-listing-before-filename-regexp): Use
	stricter matching for iso-style dates, to avoid false matches with
	date-like filenames (Bug#5597).

	* htmlfontify.el (htmlfontify): Doc fix.

	* eshell/eshell.el (eshell): Doc fix.

	* startup.el (fancy-about-screen): In mode-line, apply
	mode-line-buffer-id face only to the buffer name (Bug#5613).

2010-02-20  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	In `watcom' anchor regexp to start of line, to avoid slowness
	(Bug#5599).

2010-02-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (remove-yank-excluded-properties): Explain in a comment
	why `category' property is removed.

2010-02-19  Chong Yidong  <cyd@stupidchicken.com>

	* isearch.el (isearch-update-post-hook, isearch-update): Revert
	2010-02-17 change.

2010-02-19  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--convert-ordinary-to-ical)
	(icalendar--convert-weekly-to-ical)
	(icalendar--convert-yearly-to-ical)
	(icalendar--convert-block-to-ical)
	(icalendar--convert-cyclic-to-ical)
	(icalendar--convert-anniversary-to-ical): Take care of time
	specifications where hour has 1-digit only (Bug#5549).

2010-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-assembler-handler): Accommodate change
	of disassemble output in GDB 7.1.

2010-02-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-electric-insert): Give it a delete-selection
	property.  (Bug#5593)

2010-02-18  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-merge-news): Yet another fix of message parsing.

2010-02-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use abbreviated file names in bookmarks (bug#5591).
	* bookmark.el (bookmark-maybe-load-default-file): Remove redundant
	calls to expand-file-name.
	(bookmark-relocate): Use abbreviated file names in bookmarks.
	(bookmark-load): Use abbreviated file names in messages.

2010-02-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-directory-files): When FULL, do not
	expand "." and "..".  Reported by Thierry Volpiatto
	<thierry.volpiatto@gmail.com>.

2010-02-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents): Set always the
	permissions of the temporary file to "0600".  In case the remote
	file has no read permissions for the owner, there might be
	problems otherwise.  Reported by Ole Laursen <olau@iola.dk>.

22010-02-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-renamed-files-alist):
	Add entries for INSTALL.CVS.

2010-02-17  Mark A. Hershberger  <mah@everybody.org>

	* vc-bzr.el: Fix typo in Known Bugs section.

	* isearch.el (isearch-update-post-hook): New hook.
	(isearch-update): Use the new hook.

2010-02-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band):
	Fix errors in copying directories.
	(tramp-handle-add-name-to-file, tramp-handle-copy-directory)
	(tramp-do-copy-or-rename-file, tramp-handle-delete-directory)
	(tramp-handle-delete-file)
	(tramp-handle-dired-recursive-delete-directory)
	(tramp-handle-write-region): Flush also the cache for the upper
	directory.

2010-02-16  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (save-interprogram-paste-before-kill): Doc fix.

	* cus-edit.el (hardware): Doc fix.

	* man.el (man): Add to external custom group.

	* delim-col.el (columns): Move to wp custom group.

	* doc-view.el (doc-view): Add to data custom group.

	* cedet/data-debug.el (data-debug): Move to extensions group.

	* cedet/ede.el (ede):
	* cedet/srecode.el (srecode):
	* cedet/semantic.el (semantic): Put in tools and extensions group.

	* nxml/nxml-mode.el (nxml-faces): Remove from font-lock-faces group.

	* textmodes/flyspell.el (flyspell-word): Obey the offset specified
	by ispell-parse-output (Bug#5575).

2010-02-16  Kenichi Handa  <handa@m17n.org>

	* international/ja-dic-cnv.el (iso-2022-7bit-short): Delete it.
	(skkdic-convert-okuri-ari): Ignore lines starting with '>'.
	(skkdic-convert): Use `euc-japan' coding system for writing.

2010-02-16  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-bibtex-file): Expand the result of
	tex-main-file before using it.  (Bug#5562)

2010-02-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/advice.el (ad-compile-function): Suppress byte-compiler
	warnings, since it is annoying for the user to see them each time he
	runs the code.

2010-02-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-actions, tramp-read-passwd):
	* net/tramp-gvfs.el (tramp-gvfs-maybe-open-connection): Use VEC
	instead of PROC for caching "first-password-request".  Otherwise,
	new processes would not profit from passwords already entered.

	* net/tramp-cache.el (tramp-dump-connection-properties):
	Don't save "first-password-request" property.

2010-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* outline.el (outline-head-from-level):
	* simple.el (with-wrapper-hook):
	* cedet/ede.el (ede-run-target, project-delete-target)
	(project-dist-files, ede-name, ede-documentation, ede-parent-project)
	(ede-adebug-project, ede-adebug-project-parent)
	(ede-adebug-project-root):
	* emacs-lisp/elint.el (elint-extra-errors, elint-current-buffer)
	(elint-defun, elint-buffer-env, elint-top-form-logged)
	(elint-unbound-variable):
	* textmodes/reftex-toc.el (reftex-toc-newhead-from-alist):
	Fix typos in docstrings.

2010-02-14  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (insert-directory): When WILDCARD-REGEXP and
	FULL-DIRECTORY-P are nil, insert the file entry instead of the
	whole directory.  (Bug#5551)

	* net/ange-ftp.el (ange-ftp-insert-directory): Insert "  " for
	dired's alignment sanity.  (Bug#5516)

2010-02-14  Juri Linkov  <juri@jurta.org>

	* man.el (Man-fontify-manpage, Man-cleanup-manpage):
	Remove remaining ^H with their preceding chars.  (Bug#5566)

2010-02-13  Glenn Morris  <rgm@gnu.org>

	* simple.el (transpose-subr): Give it a doc-string.

	* textmodes/paragraphs.el (transpose-paragraphs, transpose-sentences):
	Doc fixes.

2010-02-12  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-unique-fname): Make directories for nested
	archives.  (Bug#5540)

2010-02-12  Juri Linkov  <juri@jurta.org>

	* ffap.el (dired-at-point): Fix docstring.  (Bug#5565)

2010-02-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (copy-overlay): Handle deleted overlays.

	* man.el (Man-completion-table): Don't signal an error if we can't run
	manual-program (bug#4056).

2010-02-10  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/artist.el (artist-mt): Fix typos in docstring.

2010-02-10  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* info.el (Info-bookmark-jump): Simplify.

	* bookmark.el (bookmark-handle-bookmark): Catch the right error.
	(bookmark-default-handler): Accept new bookmark field `buffer'.

2010-02-10  Chong Yidong  <cyd@stupidchicken.com>

	* iswitchb.el (iswitchb-completions): Revert last change.

2010-02-10  Michael Albinus  <michael.albinus@gmx.de>

	* ls-lisp.el (ls-lisp-insert-directory): When WILDCARD-REGEXP and
	FULL-DIRECTORY-P are nil, and FILE is absolute, expand it.
	This prevents file names like "~/" being listed literally.

2010-02-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-maybe-set-dark-background-mode):
	Remove dead code.  (Bug#5546)

2010-02-09  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/em-ls.el (eshell-ls-applicable): Frob file attributes
	correctly (Bug#5548).

2010-02-08  Jose E. Marchesi  <jemarch@gnu.org>

	* progmodes/ada-mode.el (ada-in-numeric-literal-p): New function.
	(ada-adjust-case): Don't adjust case in hexadecimal number literals.

2010-02-08  Kenichi Handa  <handa@m17n.org>

	* international/mule-util.el (with-coding-priority): Add autoload
	cookie for putting `lisp-indent-function'.

2010-02-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-1, f90-font-lock-keywords-2):
	Move F2003 named interfaces from keywords-2 to keywords-1, and
	use function-name-face rather than constant-face.
	Simplify "abstract interface" regexp.

2010-02-07  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/esh-util.el (eshell-file-attributes): New optional arg
	ID-FORMAT.  Pass it to `file-attributes'.

	* eshell/em-ls.el (eshell-do-ls): Use it (Bug#5528).

2010-02-07  sj  <prime.wizard+emacs@gmail.com>  (tiny change)

	* faces.el (set-face-attribute): Allow calling
	internal-set-lisp-face-attribute with 'unspecified family and
	foundry argument (Bug#5536).

2010-02-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2)
	(f90-looking-at-type-like, f90-looking-at-program-block-end):
	Handle F2003 named interfaces.

2010-02-06  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-mode.el (c-common-init): Bind temporary variables
	beg and end before calling c-get-state-before-change-functions.

2010-02-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-dir-extra-headers): Disable the pending merges header.

2010-02-05  Juri Linkov  <juri@jurta.org>

	* doc-view.el (doc-view-mode):
	* image-mode.el (image-mode): Put property mode-class=special.
	(Bug#4896)

2010-02-05  Mark A. Hershberger  <mah@everybody.org>

	* vc-svn.el (vc-svn-revision-table): New function.

2010-02-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory):
	* net/tramp-imap.el (tramp-imap-handle-insert-directory):
	* net/tramp-smb.el (tramp-smb-handle-insert-directory):
	Handle also directories.  (Bug#5478)

2010-02-05  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2): Fix `enum'.

2010-02-05  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line-1): Convert options beginning with a
	single dash as well (Bug#5519).

2010-02-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make `initials' completion work for /hh -> /home/horn again (bug#5524).
	* minibuffer.el (completion-initials-expand): Only check the presence
	of delims *within* the boundaries, since otherwise the / delim is
	always found for files.

	Fix up various corner case problems.
	* doc-view.el (doc-view-last-page-number): New function.
	(doc-view-mode, doc-view-last-page, doc-view-goto-page): Use it.
	(doc-view-goto-page): Avoid inf-loops when the conversion fails.
	(doc-view-kill-proc): Avoid inf-loop in freak cases.
	(doc-view-reconvert-doc): Use the new recursive delete-directory.
	(doc-view-convert-current-doc): Don't create the resolution.el file
	here any more.
	(doc-view-pdf/ps->png): Do it here instead.
	(doc-view-already-converted-p): Check that resolution.el is present.
	(doc-view-pdf->png): Don't rely on doc-view-pdf/ps->png for the few
	windows that are not yet showing images.

2010-02-04  Michael Albinus  <michael.albinus@gmx.de>

	* dired.el (dired-revert): If DIRED-DIRECTORY is a cons cell, call
	`dired-uncache' for every elemnt which is an absolute file name.

	* net/tramp.el (tramp-handle-dired-uncache): When DIR is not a
	directory, handle its directory component.
	(tramp-handle-file-remote-p): Let-bind `tramp-verbose' to 3; this
	function is called permanently and creates noise, otherwise.

	* net/tramp-imap.el (tramp-imap-handle-insert-directory):
	* net/tramp-smb.el (tramp-smb-handle-insert-directory):
	Handle the case, FILENAME is not in `default-directory'.  (Bug#5478)

2010-02-04  David Burger  <dburger@google.com>  (tiny change)

	* macros.el (apply-macro-to-region-lines):
	Minor simplification.  (Bug#5485)

2010-02-04  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-show-message-1): Handle malformed
	quoted-printable text.  (Bug#5441)

	* mail/mail-utils.el (mail-unquote-printable-region): Doc fix.

	* simple.el (visual-line-mode): Capitalize lighter.

2010-02-03  John Wiegley  <jwiegley@gmail.com>

	* iswitchb.el (iswitchb-completions): Add bookmark files to the
	list of files considered for "virtual buffer" completions.

2010-02-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory): Parse directory
	also in case of (and (not full) (not wildcard)).  This is needed
	when dired is called with a list of files, which are not in
	`default-directory'.  (Bug#5478)

2010-02-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-path): Make it an obsolete var, rather than function.

2010-02-02  Juri Linkov  <juri@jurta.org>

	* textmodes/ispell.el (ispell-message-text-end): Remove final newline
	from unidiff to allow function-line after @@.

2010-02-02  Juri Linkov  <juri@jurta.org>

	* ediff-util.el (ediff-file-checked-in-p): Replace '(nil CVS) by
	'(RCS SCCS) with inverted condition.

2010-02-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-skip-msgs): Ignore all ""^500 .*AUTH"
	messages.

2010-02-01  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-zip-extract): Use `member-ignore-case' to
	compare with "pkunzip" and "pkzip" instead of only "pkzip".
	In the `archive-extract-by-stdout' branch use `shell-quote-argument'
	only when (car archive-zip-extract) is "unzip".  (Bug#5475)

2010-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-new-window-function): Be a bit more defensive.
	(doc-view-revert-buffer): New command.
	(doc-view-mode-map): Use it.

2010-02-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-dir-extra-headers): Add a header when a
	pending merge is detected.

2010-01-31  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (zrgrep): Call `grep-compute-defaults' at the
	beginning of interactive spec like all other grep commands do.
	Put "all" in front of "gz".  (Bug#5260)

2010-01-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Match another renaming indicator.

2010-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* dirtrack.el (dirtrack): Warn instead of signalling error if the
	regexp is incorrect (Bug#5476).

2010-01-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-directory): Handle also
	symlinks, when FILENAME is not in `default-directory'.

2010-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory): Handle the case,
	FILE is not in `default-directory'.  (Bug#5478)

	* net/tramp.el (tramp-handle-insert-directory): Simplify handling
	of SWITCHES.  Handle the case, FILENAME is not in
	`default-directory'.  (Bug#5478)
	(tramp-register-file-name-handlers): Add safe-magic property.

2010-01-28  Chong Yidong  <cyd@stupidchicken.com>

